<?php
/*
 * Jazykový súbor "slovenčina" pre MNews verziu 2.6.0
 *
 * ---------------------------------------------------
 *
 * @autor prekladu     Milan Nemčík <milan@nemcik.sk>
 * @copyright          Copyright (c) 2009 Milan Nemčík
 * @licencia           GNU GENERAL PUBLIC LICENSE
 * @verzia             2.6.0
 *
*/


/* ----- Všeobecné výrazy ----------------------------------------------------------------------- */
  $lang['uni_add'] = 'pridať';
  $lang['uni_anonym'] = 'Anonym';
  $lang['uni_approve'] = 'Schváliť';
  $lang['uni_ban'] = 'blokovať';
  $lang['uni_ban_ip'] = 'Zablokovať IP adresu';
  $lang['uni_banned_ip'] = 'Blokovaná IP adresa';
  $lang['uni_bulk_actions'] = 'Hromadné akcie';
  $lang['uni_cancel'] = 'Zrušiť';
  $lang['uni_change_lang'] = 'Zmeniť jazyk';
  $lang['uni_close'] = 'Zatvoriť';
  $lang['uni_code'] = 'Kód';
  $lang['uni_continue'] = 'Pokračovať';
  $lang['uni_date'] = 'Dátum';
  $lang['uni_date_day'] = 'Deň';
  $lang['uni_date_hour'] = 'Hodina';
  $lang['uni_date_minute'] = 'Minúta';
  $lang['uni_date_month'] = 'Mesiac';
  $lang['uni_date_year'] = 'Rok';
  $lang['uni_delete'] = 'Zmazať';
  $lang['uni_download'] = 'Stiahnuť';
  $lang['uni_edit'] = 'Upraviť';
  $lang['uni_hide'] = 'Skryť';
  $lang['uni_insert'] = 'Vložiť';
  $lang['uni_left'] = 'Vľavo';
  $lang['uni_logout'] = 'odhlásiť sa';
  $lang['uni_next'] = 'nasledujúca';
  $lang['uni_no'] = 'Nie';
  $lang['uni_no_go_back'] = 'Tento proces je nevratný!';
  $lang['uni_or'] = 'alebo';
  $lang['uni_previous'] = 'predchádzajúca';
  $lang['uni_profile'] = 'profil';
  $lang['uni_right'] = 'Vpravo';
  $lang['uni_save'] = 'Uložiť';
  $lang['uni_search'] = 'Hľadať';
  $lang['uni_send'] = 'Odoslať';
  $lang['uni_show'] = 'Zobraziť';
  $lang['uni_trash'] = 'Kôš';
  $lang['uni_undo'] = 'Späť';
  $lang['uni_unknown'] = 'Neznámy';
  $lang['uni_upload'] = 'Nahrať';
  $lang['uni_yes'] = 'Áno';

  $lang['month'] = array(
    '1'  => 'Január',
    '2'  => 'Február',
    '3'  => 'Marec',
    '4'  => 'Apríl',
    '5'  => 'Máj',
    '6'  => 'Jún',
    '7'  => 'Júl',
    '8'  => 'August',
    '9'  => 'September',
    '10' => 'Október',
    '11' => 'November',
    '12' => 'December'
  );

  $lang['num'] = array(
    '1'  => 'jeden',
    '2'  => 'dva',
    '3'  => 'tri',
    '4'  => 'štyri',
    '5'  => 'päť',
    '6'  => 'šesť',
    '7'  => 'sedem',
    '8'  => 'osem',
    '9'  => 'deväť',
    '10' => 'desať',
    '11' => 'jedenásť',
    '12' => 'dvanásť',
    '13' => 'trinásť',
    '14' => 'štrnásť',
    '15' => 'päťnásť',
    '16' => 'šesťnásť',
    '17' => 'sedemnásť',
    '18' => 'osemnásť',
    '19' => 'deväťnásť',
    '20' => 'dvadsať'
  );


/* ----- Frontend = mn-show.php ----------------------------------------------------------------- */
  $lang['web_anonym'] = 'Anonym';
  $lang['web_bbcode_bold'] = 'Tučný text';
  $lang['web_bbcode_code'] = 'Zdrojový kód (php, html)';
  $lang['web_bbcode_italics'] = 'Kurzíva';
  $lang['web_bbcode_link'] = 'Odkaz';
  $lang['web_bbcode_strikethrough'] = 'Preškrtnutý text';
  $lang['web_bbcode_underline'] = 'Podčiarknutý text';
  $lang['web_comment_add_another'] = 'pridať ďalší';
  $lang['web_comments'] = 'Komentáre';
  $lang['web_logged_in_as'] = 'Ste prihlásený ako';
  $lang['web_logout'] = 'odhlásiť sa';
  $lang['web_search'] = 'Hľadať';
  $lang['web_msg_banned_ip'] = 'Vaša IP adresa bola zablokovaná! Nemôžete posielať komentáre!';
  $lang['web_msg_cat_no_posts'] = 'Táto kategória neobsahuje zatiaľ žiadne články!';
  $lang['web_msg_cat_posts'] = 'Články zaradené v kategórii %c%:';
  $lang['web_msg_tag_posts'] = 'Články so štítkom %t%:';
  $lang['web_msg_comment_added'] = 'Komentár bol úspešne pridaný!';
  $lang['web_msg_comment_hidden'] = 'Komentár bol skrytý pre nevhodný obsah!';
  $lang['web_msg_comment_sent'] = 'Váš komentár bol odoslaný a zobrazí sa až po schválení administrátorom!';
  $lang['web_msg_comments_forbidden'] = 'Tento článok bol uzatvorený. Nie je možné k nemu pridávať ďalšie komentáre.';
  $lang['web_msg_no_cats_file'] = 'Súbor s kategóriami neexistuje.';
  $lang['web_msg_no_comments'] = 'K článku nie sú zatiaľ žiadne komentáre!';
  $lang['web_msg_no_files_in_gallery'] = 'V tejto galérii nie sú žiadne obrázky.';
  $lang['web_msg_no_gallery'] = 'Galéria s ID %id% neexistuje!';
  $lang['web_msg_no_gals_files_file'] = 'Neexistujú žiadne galérie, či súbory na zobrazenie.';
  $lang['web_msg_no_pages'] = 'Nie sú k dispozícii žiadne stránky';
  $lang['web_msg_no_posts'] = 'Nie sú k dispozícii žiadne články';
  $lang['web_msg_no_post_or_tmpl'] = 'Článok, alebo šablóna neexistuje! (Skontrolujte správnosť použitia <strong>$mn_tmpl</strong>)';
  $lang['web_msg_no_tags'] = 'Nie sú k dispozícii žiadne štítky';
  $lang['web_msg_post_unavailable'] = 'Článok nie je možné zobraziť. Nonono, nehrajte sa s url adresou :)';
  $lang['web_msg_search_forbidden'] = 'Vo vyhľadávaní nie sú povolené špeciálne znaky! Môžete použiť len písmená a čísla!';
  $lang['web_msg_search_no_posts'] = 'Hľadaný výraz %s% nebol nájdený v žiadnych článkoch!';
  $lang['web_msg_search_found'] = 'Hľadaný výraz %s% bol nájdený v nasledujúcich článkoch:';
  $lang['web_msg_system_maintainance'] = 'Prebieha udrzba systemu! Clanky su kratkodobo nedostupne.'; // musí byť bez diakritiky !!!
  $lang['web_page_password'] = 'Pre vstup na túto stránku je potrebné zadať heslo';
  $lang['web_post_link'] = 'Celý článok';
  $lang['web_rss_description'] = 'Aktuálne články zo servera';
  $lang['web_uncategorized'] = 'Nezatriedené';
  $lang['web_viewed'] = 'Zobrazené';


/* ----- Inštalácia ----------------------------------------------------------------------------- */
  $lang['install_chmod_text'] = 'Žiaľ skriptu sa nepodarilo automaticky zmeniť práva na zápis do jednotlivých adresárov. Je preto nutné, aby ste dané práva zmenili ručne na hodnotu <b>777</b>.';
  $lang['install_chmod_text2'] = 'Je potrebné manuálne cez ftp zmeniť práva na zápis na hodnotu 777 týmto adresárom:';
  $lang['install_chmod_show_manual'] = 'Zobraziť návod';
  $lang['install_chmod_help_step1'] = 'Pripojte se na FTP pomocou Total Commanderu(alebo iného ftp klienta)';
  $lang['install_chmod_help_step2'] = 'Na ftp označte príslušný adresár(poprípade naraz viac adresárov), ktorému idete práva meniť.';
  $lang['install_chmod_help_step3'] = 'V lište programu Total Commander kliknite v ponuke na "<em>Súbor</em>" a následne na položku "<em>Zmeniť atribúty</em>"';
  $lang['install_chmod_help_step4'] = 'Následne vyskočí okno programu s ponukou. V tomto okne vľavo dole vpíšte hodnotu 777 a potvrďte ok. Práve ste úspešne zmenili práva na zápis :)';
  $lang['install_chmod_help_step5'] = 'Tento postup opakujte na všetky adresáre, ktorým je potreba zmeniť práva na zápis';
  $lang['install_chmod_help_step6'] = 'Pokiaľ všetko prebehlo ok, stlačte tlačítko "pokračovať". V prípade úspešnej zmeny práv všetkých adresárov Vás systém pustí ďalej v inštalácii.';
  $lang['install_installation'] = 'Inštalácia';
  $lang['install_msg_add_user'] = 'Pridanie používateľa';
  $lang['install_msg_install_done'] = 'Gratulujem! Inštalácia MNews prebehla úspešne!';
  $lang['install_msg_update_done'] = 'Gratulujem! Aktualizácia MNews prebehla úspešne!';
  $lang['install_msg_chmod'] = 'Zmena oprávnení na zápis do adresárov';
  $lang['install_text_done'] = 'Teraz prosím vymažte súbor "<strong>install.php</strong>" a prejdite na <a href="./">hlavnú stránku</a>.';
  $lang['install_update'] = 'Aktualizácia';


/* ----- Prihlasovanie -------------------------------------------------------------------------- */
  $lang['login_administration'] = 'Administrácia';
  $lang['login_back_to'] = 'Späť na';
  $lang['login_back_to_web'] = 'Späť na web';
  $lang['login_delete_cookies'] = 'Vymazať cookies';
  $lang['login_login'] = 'Prihlásenie';
  $lang['login_log_in'] = 'Prihlásiť sa';
  $lang['login_lost_pass'] = 'Zabudnuté heslo?';
  $lang['login_lost_pass_mail_subject'] = 'MNews - nové heslo';
  $lang['login_lost_pass_mail_text'] = 'Požiadali ste o zresetovanie hesla v systéme MNews na adrese %link%. Vaše nové heslo na prihlásenie je:';
  $lang['login_lost_pass_wrong_values'] = 'Zadaný login a e-mail sa nezhodujú!';
  $lang['login_msg_blocked_ip'] = 'Vaša IP adresa je blokovaná!';
  $lang['login_msg_auto_logged_out'] = 'Pre nečinnosť ste bol odhlásený!';
  $lang['login_msg_install_file'] = 'Súbor "install.php" stále existuje!';
  $lang['login_msg_logged_out'] = 'Úspešne ste sa odhlásil!';
  $lang['login_msg_login_error'] = 'Nesprávne prihlasovacie údaje!';
  $lang['login_msg_regdone'] = 'Registrácia bola úspešná! Môžete sa prihlásiť...';
  $lang['login_msg_pass_sent'] = 'Nové heslo bolo odoslané na zadaný e-mail!';
  $lang['login_msg_pass_not_sent'] = 'Nepodarilo sa odoslať email s novým heslom!';
  $lang['login_msg_status_0'] = 'Váš účet bol deaktivovaný';
  $lang['login_msg_status_2'] = 'Váš účet ešte nebol aktivovaný';
  $lang['login_permanent_login'] = 'Trvalé prihlásenie';
  $lang['login_register'] = 'Zaregistrovať sa';
  $lang['login_registration'] = 'Registrácia';
  $lang['login_send_new_pass'] = 'Odoslanie nového hesla';
  $lang['login_send_pass'] = 'Odoslať heslo';
  $lang['login_text_install_file1'] = 'Odstráňte prosím súbor "<strong>install.php</strong>". Inak sa nebudete môcť prihlásiť.';
  $lang['login_text_install_file2'] = 'Následne túto stránku obnovte!';
  $lang['login_user_email'] = 'E-mail';
  $lang['login_user_login'] = 'Prihlasovacie meno';
  $lang['login_user_login_short'] = 'Login';
  $lang['login_user_password'] = 'Heslo';
  $lang['login_user_password_verify'] = 'Overenie hesla';


/* ----- Dasboard ------------------------------------------------------------------------------- */
  $lang['index_access_denied'] = 'Prístup zamietnutý!';
  $lang['index_access_denied_text'] = 'Nemáte oprávnenie na vykonanie tejto akcie! Nonono! :)';
  $lang['index_admin_url_check'] = 'Skontrolujte prosím správnosť "MNews admin URL" v sekcii %config%.';
  $lang['index_comments_approve1'] = 'Máte %n% komentár, ktorý %a%čaká na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_approve2'] = 'Máte %n% komentáre, ktoré %a%čakajú na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_approve3'] = 'Máte %n% komentárov, ktoré %a%čakajú na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_count'] = 'Počet komentárov';
  $lang['index_comments_new'] = 'Nové';
  $lang['index_config'] = 'Nastavenie nástenky';
  $lang['index_dashboard'] = 'Nástenka';
  $lang['index_db_save'] = 'Uložiť';
  $lang['index_dont_show_again'] = 'Viac nezobrazovať!';
  $lang['index_help_info_config'] = 'Nezabudnite si nastaviť <em>názov</em>, <em>formát</em> a <em>kódovanie</em> vašej stránky v sekcii %config%!';
  $lang['index_check_file_files_php'] = 'Súbor %file% neexistuje. Pre automatickú opravu navštívte sekciu %files%';
  $lang['index_chmod_check_dir'] = 'Adresár %dir% nemá správne nastavené práva na zápis';
  $lang['index_chmod_check_file'] = 'Súbor %file% nemá správne nastavené práva na zápis';
  $lang['index_chmod_check_text1'] = 'Niektoré adresáre, alebo súbory nemajú správne nastavené práva na zápis!';
  $lang['index_chmod_check_text2'] = 'Zápis do týchto adresárov/súborov nebude fungovať správne!';
  $lang['index_info_actuall_version'] = 'Používate aktuálnu verziu';
  $lang['index_info_language'] = 'Hlavný jazyk';
  $lang['index_info_mn_check_no'] = 'Venujte pozornosť upozorneniam!';
  $lang['index_info_mn_check_ok'] = 'Zdá sa, že všetko je ok :)';
  $lang['index_info_mnews_version'] = 'Verzia MNews';
  $lang['index_info_new_version'] = 'Na webe je novšia verzia';
  $lang['index_info_new_version_text'] = 'Aktuálne používate starú verziu MNews %old%, na webe je však novšia stabilná verzia MNews s číslom %new%. Stiahnite si preto prosím novú verziu na stránke: %url%.';
  $lang['index_info_php_version'] = 'Verzia PHP';
  $lang['index_info_php_version_ok'] = 'OK';
  $lang['index_info_php_version_warning'] = 'MNews je primárne napísané pre PHP 5 a vyšie. Niektoré súčasti MNews na nižších verziách nemusia fungovať správne!';
  $lang['index_info_system_check'] = 'Kontrola systému';
  $lang['index_info_time'] = 'Serverový čas';
  $lang['index_integration_text'] = 'Viac informácií nájdete v sekcii %integration%.';
  $lang['index_msg_no_comments'] = 'Neexistujú žiadne komentáre.';
  $lang['index_msg_no_new_comments'] = 'Od posledného prihlásenia nie sú žiadne nové komentáre.';
  $lang['index_msg_no_posts'] = 'Neexistujú žiadne články.';
  $lang['index_msg_no_rss'] = 'RSS sa nepodarilo načítať!';
  $lang['index_posts_approve1'] = 'Máte %n% článok, ktorý %a%čaká na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_approve2'] = 'Máte %n% články, ktoré %a%čakajú na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_approve3'] = 'Máte %n% článkov, ktoré %a%čakajú na schválenie%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_count'] = 'Počet článkov';
  $lang['index_stat_categories'] = 'Počet kategórií';
  $lang['index_stat_comments'] = 'Počet komentárov';
  $lang['index_stat_files'] = 'Počet nahraných súborov';
  $lang['index_stat_galleries'] = 'Počet vytvorených galérií';
  $lang['index_stat_groups'] = 'Počet používateľských skupín';
  $lang['index_stat_ips'] = 'Počet zablokovaných IP';
  $lang['index_stat_pages'] = 'Počet stránok';
  $lang['index_stat_posts'] = 'Počet článkov';
  $lang['index_stat_tags'] = 'Počet štítkov';
  $lang['index_stat_users'] = 'Počet používateľov';
  $lang['index_welcome'] = 'Vitaj';
  $lang['index_widget_comments'] = 'Posledné komentáre';
  $lang['index_widget_info'] = 'MNews info';
  $lang['index_widget_posts'] = 'Posledné články';
  $lang['index_widget_rss'] = 'MNews RSS';
  $lang['index_widget_stats'] = 'Štatistiky';


/* ----- Články --------------------------------------------------------------------------------- */
  $lang['posts_add_new_post'] = 'Pridať nový článok';
  $lang['posts_add_post'] = 'Pridať článok';
  $lang['posts_all_authors'] = 'Všetci autori';
  $lang['posts_all_categories'] = 'Všetky kategórie';
  $lang['posts_all_dates'] = 'Všetky dátumy';
  $lang['posts_all_posts'] = 'Všetky';
  $lang['posts_all_tags'] = 'Všetky štítky';
  $lang['posts_all_users'] = 'Všetci používatelia';
  $lang['posts_author_anonym'] = 'Anonym';
  $lang['posts_author'] = 'Autor';
  $lang['posts_back_posts_list'] = 'Späť na úpravu článkov';
  $lang['posts_cat'] = 'Kategória';
  $lang['posts_comments'] = 'Komentáre';
  $lang['posts_comments_option0'] = 'Zakázať komentáre';
  $lang['posts_comments_option1'] = 'Povoliť komentáre';
  $lang['posts_comments_option2'] = 'Zakázať komentáre a skryť doterajšie komentáre';
  $lang['posts_comments_option_delete'] = 'Zmazať všetky komentáre (Tento proces je nevratný)';
  $lang['posts_date'] = 'Dátum';
  $lang['posts_data_current'] = 'Aktuálny dátum';
  $lang['posts_date_day'] = 'Deň';
  $lang['posts_date_hour'] = 'Hodina';
  $lang['posts_date_minute'] = 'Minúta';
  $lang['posts_date_month'] = 'Mesiac';
  $lang['posts_date_now'] = 'Publikovať okamžite';
  $lang['posts_date_year'] = 'Rok';
  $lang['posts_delete_cancel'] = 'Zrušiť';
  $lang['posts_delete_post'] = 'Zmazať článok';
  $lang['posts_edit_post'] = 'Upraviť článok';
  $lang['posts_filter'] = 'Filtruj';
  $lang['posts_filter_cancel'] = 'Zrušiť filter';
  $lang['posts_filter_settings'] = 'Možnosti';
  $lang['posts_full_story'] = 'Celý článok';
  $lang['posts_future_post'] = 'Budúci článok';
  $lang['posts_image'] = 'Obrázok';
  $lang['posts_insert_gallery'] = 'Vložiť galériu obrázkov';
  $lang['posts_insert_image_file'] = 'Vložiť obrázok/súbor';
  $lang['posts_insert_upload'] = 'Vložiť/nahrať';
  $lang['posts_last_posts'] = 'Posledné články';
  $lang['posts_msg_added'] = 'Článok bol úspešne pridaný a zverejnený!';
  $lang['posts_msg_added_as_draft'] = 'Článok bol úspešne uložený ako rozpísaný!';
  $lang['posts_msg_added_as_private'] = 'Článok bol úspešne pridaný medzi súkromné články!';
  $lang['posts_msg_added_as_unapproved'] = 'Článok bol úspešne pridaný (čaká na schválenie administrátora)!';
  $lang['posts_msg_delete_cancelation'] = 'Zmazanie článku bolo stornované';
  $lang['posts_msg_empty_values'] = 'Jedna z povinných položiek nebola vyplnená!';
  $lang['posts_msg_error'] = 'Nesprávne nastavené práva na zápis do súboru!';
  $lang['posts_msg_no_posts'] = 'Neexistujú žiadne články! Nie je čo mazať, či upravovať :)';
  $lang['posts_msg_no_posts_criteria'] = 'Zvoleným kritériám nezodpovedá žiaden článok!';
  $lang['posts_msg_post_approved'] = 'Článok bol úspešne upravený a schválený!';
  $lang['posts_msg_post_deleted'] = 'Článok bol úspešne vymazaný!';
  $lang['posts_msg_post_edited'] = 'Článok bol úspešne upravený!';
  $lang['posts_msg_post_rejected'] = 'Článok bol upravený a uložený ako neschválený!';
  $lang['posts_msg_post_saved'] = 'Článok bol úspešne upravený a uložený medzi rozpísané!';
  $lang['posts_msg_post_unapproved'] = 'Článok bol úspešne upravený (čaká na schválenie administrátora)!';
  $lang['posts_new_post'] = 'Nový článok';
  $lang['posts_page_first'] = 'Prvá strana';
  $lang['posts_page_last'] = 'Posledná strana';
  $lang['posts_page_next'] = 'Nasledujúca strana';
  $lang['posts_page_prev'] = 'Predchádzajúca strana';
  $lang['posts_post'] = 'Článok';
  $lang['posts_post_comments'] = 'Komentáre k článku';
  $lang['posts_posts'] = 'Články';
  $lang['posts_q_really_delete'] = 'Naozaj chcete zmazať článok';
  $lang['posts_select_all'] = 'Vybrať všetky';
  $lang['posts_select_category'] = 'Vyberte kategóriu';
  $lang['posts_settings'] = 'Nastavenia';
  $lang['posts_show_post'] = 'Zobraziť článok';
  $lang['posts_show_post_web'] = 'Zobraziť článok na webe';
  $lang['posts_short_story'] = 'Krátky článok (perex)';
  $lang['posts_status'] = 'Status';
  $lang['posts_status_all'] = 'Všetky statusy';
  $lang['posts_status_1'] = 'Zverejnené';
  $lang['posts_status_2'] = 'Súkromné';
  $lang['posts_status_3'] = 'Rozpísané';
  $lang['posts_status_4'] = 'Čakajúce na schválenie';
  $lang['posts_status_5'] = 'Neschválené';
  $lang['posts_status_form_1'] = 'Verejný';
  $lang['posts_status_form_1_help'] = 'po schválení administrátorom';
  $lang['posts_status_form_2'] = 'Súkromný článok';
  $lang['posts_status_form_2_help'] = 'nezobrazí sa vo verejnom výpise článkov';
  $lang['posts_status_form_3'] = 'Uložiť medzi rozpísané';
  $lang['posts_status_form_4'] = 'Čakajúci na schválenie';
  $lang['posts_status_form_4_alt'] = 'Odoslať na opätovné schválenie';
  $lang['posts_status_form_5'] = 'Neschválený';
  $lang['posts_status_name_1'] = 'Zverejnený';
  $lang['posts_status_name_2'] = 'Súkromný';
  $lang['posts_status_name_3'] = 'Rozpísaný';
  $lang['posts_status_name_4'] = '<!-- c -->Čakajúci na schválenie';
  $lang['posts_status_name_5'] = 'Neschválený';
  $lang['posts_submit_add'] = 'Pridať';
  $lang['posts_submit_approve'] = 'Schváliť';
  $lang['posts_submit_publish'] = 'Zverejniť';
  $lang['posts_submit_reject'] = 'Zamietnuť';
  $lang['posts_submit_save'] = 'Uložiť zmeny';
  $lang['posts_title'] = 'Nadpis';
  $lang['posts_toggle_full_story'] = 'Pridať dlhší článok';
  $lang['posts_upload_images'] = 'Pridať obrázky';
  $lang['posts_wysiwyg_toggle'] = 'Vypnúť/zapnúť WYSIWYG';


/* ----- Kategórie ------------------------------------------------------------------------------ */
  $lang['cats_add_category'] = 'Pridať kategóriu';
  $lang['cats_categories'] = 'Kategórie';
  $lang['cats_category'] = 'Kategória';
  $lang['cats_cat_name'] = 'Názov kategórie';
  $lang['cats_delete_cancel'] = 'Zrušiť';
  $lang['cats_delete_category'] = 'Zmazať kategóriu';
  $lang['cats_edit_category'] = 'Upraviť kategóriu';
  $lang['cats_msg_category_added'] = 'Kategória bola úspešne pridaná!';
  $lang['cats_msg_category_canceled'] = 'Zmazanie kategórie bolo stornované';
  $lang['cats_msg_category_deleted'] = 'Kategória bola úspešne vymazaná!';
  $lang['cats_msg_category_edited'] = 'Kategória bola úspešne upravená!';
  $lang['cats_msg_empty_cat_name'] = 'Názov kategórie nesmie byť prázdny!';
  $lang['cats_msg_posts_number_0'] = 'Kategória neobsahuje žiadne články!';
  $lang['cats_msg_posts_number_1'] = 'Kategória obsahuje %n% článok!';
  $lang['cats_msg_posts_number_2'] = 'Kategória obsahuje %n% články!';
  $lang['cats_msg_posts_number_3'] = 'Kategória obsahuje %n% článkov!';
  $lang['cats_msg_put_contents_error'] = 'Nesprávne nastavené práva na zápis do súboru kategórií!';
  $lang['cats_posts_count'] = 'Počet článkov v kategórii';
  $lang['cats_q_really_delete'] = 'Naozaj chcete zmazať kategóriu';
  $lang['cats_show_cats_list'] = 'Zobraziť zoznam kategórií';
  $lang['cats_uncategorized'] = 'Nezatriedené';
  $lang['cats_unknown_category'] = 'Neznáma kategória';


/* ----- Štítky --------------------------------------------------------------------------------- */
  $lang['tags_add_tag'] = 'Pridať štítok';
  $lang['tags_tags'] = 'Štítky';
  $lang['tags_tag'] = 'Štítok';
  $lang['tags_tag_name'] = 'Názov štítku';
  $lang['tags_delete_cancel'] = 'Zrušiť';
  $lang['tags_delete_tag'] = 'Zmazať štítok';
  $lang['tags_edit_tag'] = 'Upraviť štítok';
  $lang['tags_msg_tag_added'] = 'Štítok bol úspešne pridaný!';
  $lang['tags_msg_tag_canceled'] = 'Zmazanie štítku bolo stornované';
  $lang['tags_msg_tag_deleted'] = 'Štítok bol úspešne vymazaný!';
  $lang['tags_msg_tag_edited'] = 'Štítok bol úspešne upravený!';
  $lang['tags_msg_empty_tag_name'] = 'Názov štítku nesmie byť prázdny!';
  $lang['tags_msg_posts_number_0'] = 'Štítok nie je priradený k žiadnemu článku!';
  $lang['tags_msg_posts_number_1'] = 'Štítok je priradený k %n% článku!';
  $lang['tags_msg_posts_number_2'] = 'Štítok je priradený k %n% článkom!';
  $lang['tags_msg_posts_number_3'] = 'Štítok je priradený k %n% článkom!';
  $lang['tags_msg_put_contents_error'] = 'Nesprávne nastavené práva na zápis do súboru štítkov!';
  $lang['tags_posts_count'] = 'Počet článkov s štítkom';
  $lang['tags_q_really_delete'] = 'Naozaj chcete zmazať štítok';
  $lang['tags_show_tags_list'] = 'Zobraziť zoznam štítkov';
  $lang['tags_unknown_tag'] = 'Neznámy štítok';


/* ----- Používatelia ----------------------------------------------------------------------------- */
  $lang['users_about'] = 'O mne';
  $lang['users_about_help'] = 'V krátkosti môžete napísať niečo o sebe. HTML značky nie sú povolené, všetky informácie budú v jednom odstavci bez ohľadu na počet odentrovaní.';
  $lang['users_add_new_user'] = 'Pridanie nového používateľa';
  $lang['users_add_user'] = 'Pridať používateľa';
  $lang['users_admin_info'] = 'Admin info';
  $lang['users_avatar'] = 'Avatar';
  $lang['users_avatar_help'] = 'Obrázok by mal byť štvorcový, vo formáte JPG, PNG, alebo GIF';
  $lang['users_birthdate'] = 'Dátum narodenia';
  $lang['users_change_image'] = 'Zmeniť obrázok';
  $lang['users_contact_info'] = 'Kontaktné informácie';
  $lang['users_delete_image'] = 'Zmazať obrázok';
  $lang['users_delete_user'] = 'Zmazať používateľa';
  $lang['users_edit_profile'] = 'Upraviť údaje';
  $lang['users_edit_profile_top'] = 'Upraviť profil';
  $lang['users_edit_user'] = 'Upraviť používateľa';
  $lang['users_email'] = 'E-mail';
  $lang['users_gender'] = 'Pohlavie';
  $lang['users_gender_0'] = '';
  $lang['users_gender_1'] = 'Muž';
  $lang['users_gender_2'] = 'Žena';
  $lang['users_group'] = 'Skupina';
  $lang['users_help_email'] = 'Používajte platný email - v prípade zabudnutia hesla na neho bude zaslané nové heslo.';
  $lang['users_help_group'] = 'Jednotlivé skupiny majú nastavené rôzne práva v administrácií.';
  $lang['users_help_pass1'] = 'Heslo musí obsahovať najmenej 6 znakov!';
  $lang['users_help_pass2'] = 'Overenie správnosti hesla proti preklepom.';
  $lang['users_help_username'] = 'Používateľské meno musí mať najmenej 4 znaky, maximálne 20 a smie obsahovať len alfanumerické znaky, podtržítko a pomlčku!';
  $lang['users_icq'] = 'ICQ';
  $lang['users_jabber'] = 'Jabber / Google Talk';
  $lang['users_last_ip_address'] = 'Posledná IP adresa';
  $lang['users_last_login'] = 'Posledné prihlásenie';
  $lang['users_last_login_never'] = 'Nikdy';
  $lang['users_login_info'] = 'Prihlasovacie údaje';
  $lang['users_location'] = 'Bydlisko';
  $lang['users_msg_already_exists'] = 'Zvolené používateľské meno, alebo e-mail sa už v databáze nachádzajú!';
  $lang['users_msg_already_exists_short'] = 'Zvolené meno, alebo e-mail už existuje!';
  $lang['users_msg_email_check'] = 'Zadaný e-mail nie je platným e-mailom!';
  $lang['users_msg_empty_values'] = 'Jedna z povinných položiek nebola vyplnená!';
  $lang['users_msg_forbidden_chars'] = 'Zvolené meno obsahuje nepovolený symbol!';
  $lang['users_msg_forbidden_string'] = 'Používateľské meno nesmie obsahovať "admin"!';
  $lang['users_msg_passwords_not_same'] = 'Zadané heslá sa nezhodujú.';
  $lang['users_msg_posts_number_0'] = 'Používateľ nenapísal žiaden článok!';
  $lang['users_msg_posts_number_1'] = 'Používateľ napísal %n% článok!';
  $lang['users_msg_posts_number_2'] = 'Používateľ napísal %n% články!';
  $lang['users_msg_posts_number_3'] = 'Používateľ napísal %n% článkov!';
  $lang['users_msg_profile_edited'] = 'Profil bol úspešne upravený!';
  $lang['users_msg_put_contents_error'] = 'Práva na zápis do súboru používateľov nie sú správne nastavené!';
  $lang['users_msg_user_added'] = 'Používateľ bol úspešne pridaný!';
  $lang['users_msg_user_edited'] = 'Používateľ bol úspešne upravený!';
  $lang['users_msg_user_deleted'] = 'Používateľ bol úspešne vymazaný!';
  $lang['users_msg_values_length'] = 'Používateľské meno musí obsahovať minimálne 4 znaky, heslo minimálne 6!';
  $lang['users_msg_values_length_short'] = 'Meno musí obsahovať min 4 znaky, heslo min 6!';
  $lang['users_msg_wrong_antispam_num'] = 'Zlé antispam číslo!';
  $lang['users_msg_wrong_old_password'] = 'Zadali ste nesprávne staré heslo!';
  $lang['users_msn'] = 'MSN';
  $lang['users_other'] = 'Ostatné';
  $lang['users_other1'] = 'Voliteľná položka 1';
  $lang['users_other2'] = 'Voliteľná položka 2';
  $lang['users_permanent_login'] = 'Trvalé prihlásenie';
  $lang['users_personal_info'] = 'Osobné informácie';
  $lang['users_personal_and_contact_info'] = 'Osobné a kontaktné údaje';
  $lang['users_posts_count'] = 'Počet článkov od používateľa';
  $lang['users_profile'] = 'Profil';
  $lang['users_profile_edit_help'] = 'Pokiaľ chcete zmeniť heslo, alebo upraviť e-mailovú adresu, musíte zadať svoje aktuálne heslo.';
  $lang['users_public_email_help'] = 'Zobrazovať e-mail verejne(pri komentároch,...)';
  $lang['users_registered'] = 'Dátum registrácie';
  $lang['users_registered_ip_address'] = 'IP pri registrácií';
  $lang['users_skype'] = 'Skype';
  $lang['users_status'] = 'Status';
  $lang['users_status_0'] = 'Deaktivovaný';
  $lang['users_status_1'] = 'Aktívny';
  $lang['users_status_2'] = 'Čakajúci na aktiváciu';
  $lang['users_info_others'] = 'Ostatné údaje';
  $lang['users_nickname'] = 'Meno a priezvisko';
  $lang['users_password'] = 'Heslo';
  $lang['users_password_check'] = 'Overenie hesla';
  $lang['users_password_new'] = 'Nové heslo';
  $lang['users_password_old'] = 'Staré heslo';
  $lang['users_q_img_really_delete'] = 'Naozaj chcete zmazať obrázok';
  $lang['users_q_really_delete'] = 'Naozaj chcete zmazať používateľa';
  $lang['users_username'] = 'Používateľské meno';
  $lang['users_user'] = 'Používateľ';
  $lang['users_users'] = 'Používatelia';
  $lang['users_website'] = 'Web';


/* ----- Používateľské skupiny -------------------------------------------------------------------- */
  $lang['groups_add_group'] = 'Pridať skupinu';
  $lang['groups_add_new_group'] = 'Pridať novú skupinu';
  $lang['groups_default_group_1'] = 'Administrátori';
  $lang['groups_default_group_2'] = 'Správcovia';
  $lang['groups_default_group_3'] = 'Redaktori';
  $lang['groups_default_group_4'] = 'Externí redaktori';
  $lang['groups_default_group_5'] = 'Registrovaní používatelia';
  $lang['groups_delete_group'] = 'Zmazať skupinu';
  $lang['groups_edit_group'] = 'Upraviť skupinu';
  $lang['groups_group'] = 'Skupina';
  $lang['groups_group_name'] = 'Názov skupiny';
  $lang['groups_groups'] = 'Používateľské skupiny';
  $lang['groups_move_users_to_group'] = 'Presunúť používateľov do skupiny';
  $lang['groups_members_count'] = 'Počet členov';
  $lang['groups_msg_edited'] = 'Skupina bola úspešne upravená!';
  $lang['groups_msg_empty_values'] = 'Všetky položky sú povinné!';
  $lang['groups_msg_deleted'] = 'Skupina bola vymazaná!';
  $lang['groups_msg_not_editable'] = 'Túto skupinu nie je možné upravovať';
  $lang['groups_msg_put_contents_error'] = 'Práva na zápis do súboru <em>užívateľských skupín</em> nie sú správne nastavené!';
  $lang['groups_perms_0'] = 'Žiadne práva';
  $lang['groups_perms_1'] = 'Plné práva';
  $lang['groups_perms_2'] = 'Čiastočné práva';
  $lang['groups_perms_3'] = 'Obmedzené práva';
  $lang['groups_perms_3_dashboard'] = 'Presmerovanie na profil';
  $lang['groups_perms_help_0'] = 'užívateľ nebude môcť nič upravovať v danej sekcii';
  $lang['groups_perms_help_1'] = 'prístup k všetkým možnostiam danej sekcie';
  $lang['groups_perms_help_2'] = 'upravovanie len vlastných článkov, prístup len ku komentárom pod vlastnými článkami, ...';
  $lang['groups_perms_help_3'] = 'upravovanie len vlastných článkov, publikovanie až po schválení, ... (ešte viac obmedzené práva ako u #1)';
  $lang['groups_perms_section_0'] = 'Nástenka';
  $lang['groups_perms_section_1'] = 'Články';
  $lang['groups_perms_section_2'] = 'Kategórie / Štítky';
  $lang['groups_perms_section_3'] = 'Komentáre';
  $lang['groups_perms_section_4'] = 'Stránky';
  $lang['groups_perms_section_5'] = 'Súbory';
  $lang['groups_perms_section_6'] = 'Používatelia';
  $lang['groups_perms_section_7'] = 'Používateľské skupiny';
  $lang['groups_perms_section_8'] = 'Konfigurácia';
  $lang['groups_perms_section_9'] = 'Šablóny';
  $lang['groups_perms_section_10'] = 'Blokovanie IP adries';
  $lang['groups_perms_section_11'] = 'Zálohovanie';
  $lang['groups_perms_section_12'] = 'Integrácia do stránky';
  $lang['groups_perms_section_13'] = 'Nápoveda (FAQ)';
  $lang['groups_perms_section_14'] = 'Profil';
  $lang['groups_q_really_delete'] = 'Naozaj chcete zmazať skupinu';


/* ----- Komentáre ------------------------------------------------------------------------------ */
  $lang['comm_add_comment'] = 'Pridať komentár';
  $lang['comm_all_authors'] = 'Všetci registrovaní autori';
  $lang['comm_all_dates'] = 'Všetky dátumy';
  $lang['comm_all_ip_addresses'] = 'Všetky IP adresy';
  $lang['comm_all_posts'] = 'Všetky články';
  $lang['comm_all_statuses'] = 'Všetky statusy';
  $lang['comm_antispam'] = 'Ochrana proti spamu. Napíšte prosím číslicu %n%';
  $lang['comm_author'] = 'Autor';
  $lang['comm_back_to_post'] = 'Späť na článok';
  $lang['comm_bulk_approve'] = 'Schváliť';
  $lang['comm_bulk_delete'] = 'Zmazať';
  $lang['comm_bulk_delete_perm'] = 'Zmazať natrvalo';
  $lang['comm_bulk_hide'] = 'Skryť';
  $lang['comm_bulk_hide_text'] = 'Skryť text ';
  $lang['comm_bulk_mark_as_spam'] = 'Označiť ako spam';
  $lang['comm_bulk_move_to_trash'] = 'Presunúť do koša';
  $lang['comm_bulk_reject'] = 'Neschváliť';
  $lang['comm_bulk_restore'] = 'Obnoviť';
  $lang['comm_captcha'] = 'Captcha';
  $lang['comm_captcha_help'] = 'Opíšte slová z obrázku';
  $lang['comm_comment_addition'] = 'Pridanie komentára';
  $lang['comm_comments'] = 'Komentáre';
  $lang['comm_delete_comment'] = 'Zmazať komentár';
  $lang['comm_delete_permanently'] = 'Natrvalo zmazať';
  $lang['comm_edit_comment'] = 'Upraviť komentár';
  $lang['comm_email'] = 'E-mail';
  $lang['comm_filter_by_ip_address'] = 'Zobraziť všetky komentáre z IP adresy';
  $lang['comm_filter_by_user'] = 'Zobraziť všetky komentáre od používateľa';
  $lang['comm_filter_cancel'] = 'Zrušiť filter';
  $lang['comm_filter_comments_count'] = 'Počet nájdených komentárov';
  $lang['comm_filter_settings'] = 'Možnosti';
  $lang['comm_filter_status0'] = 'Zmazané';
  $lang['comm_filter_status1'] = 'Schválené';
  $lang['comm_filter_status2'] = 'Čakajúce na schválenie';
  $lang['comm_filter_status3'] = 'Skryté';
  $lang['comm_filter_status4'] = 'Označené ako spam';
  $lang['comm_filter_status5'] = 'Neschválené';
  $lang['comm_host'] = 'Host';
  $lang['comm_info'] = 'Info';
  $lang['comm_info_approval'] = '<b>Upozornenie:</b> Komentáre sú moderované, každý komentár musí byť schválený administrátorom!';
  $lang['comm_ip_address'] = 'IP adresa';
  $lang['comm_last_comments'] = 'Posledné komentáre';
  $lang['comm_login'] = 'Login';
  $lang['comm_msg_author_name_length'] = 'Meno musí obsahovať minimálne 3 a maximálne 30 znakov!';
  $lang['comm_msg_bulk_status1'] = 'Vybrané komentáre boli obnovené!';
  $lang['comm_msg_captcha'] = 'Váš komentár bol vyhodnotený ako spam!';
  $lang['comm_msg_comment_added'] = 'Komentár bol úspešne pridaný!';
  $lang['comm_msg_comment_deleted'] = 'Komentár bol úspešne vymazaný!';
  $lang['comm_msg_comment_edited'] = 'Komentár bol úspešne upravený!';
  $lang['comm_msg_comment_length'] = 'Komentár musí obsahovať minimálne %n% znakov!';
  $lang['comm_msg_empty_values'] = 'Jedna z povinných položiek nebola vyplnená!';
  $lang['comm_msg_flood'] = 'Nemôžete odoslať nový komentár tak skoro po predchádzajúcom!<br /> Chvíľu počkajte a skúste to znova!';
  $lang['comm_msg_forbidden_author_name'] = 'Meno obsahuje nepovolené znaky!';
  $lang['comm_msg_login'] = 'Na pridanie komentára sa musíte najprv prihlásiť!';
  $lang['comm_msg_moved_to_trash'] = 'Komentár bol presunutý do koša!';
  $lang['comm_msg_no_comments'] = 'Neexistujú žiadne komentáre! Nie je čo mazať, či upravovať :)';
  $lang['comm_msg_no_comments_criteria'] = 'Zvoleným kritériám nezodpovedá žiaden komentár!';
  $lang['comm_msg_no_comments_trash'] = 'V koši sa nenachádzajú žiadne komentáre!';
  $lang['comm_msg_password'] = 'Toto používateľské meno je zaregistrované! Zadajte heslo, alebo zvoľte iné meno!';
  $lang['comm_msg_post_id'] = 'Nonono! Nehrajte sa s ID článku :)';
  $lang['comm_msg_post_no_comments'] = 'K článku zatiaľ nie sú žiadne komentáre';
  $lang['comm_msg_put_contents_error'] = 'Práva na zápis do súboru komentárov nie sú nastavené správne!';
  $lang['comm_msg_selected_comments_deleted'] = 'Vybrané komentáre boli vymazané';
  $lang['comm_msg_spam'] = 'Váš komentár bol vyhodnotený ako spam! Opíšte správne antispam číslo!';
  $lang['comm_msg_too_short'] = 'Komentár je príliš krátky!';
  $lang['comm_pass'] = 'Heslo';
  $lang['comm_post'] = 'Článok';
  $lang['comm_preview'] = 'Náhľad';
  $lang['comm_preview_button'] = 'Tlačítko náhľadu';
  $lang['comm_process_approve'] = 'Schváliť';
  $lang['comm_process_reject'] = 'Zamietnuť';
  $lang['comm_q_really_delete'] = 'Naozaj chcete zmazať komentár, ktorý napísal';
  $lang['comm_reply'] = 'Odpovedať';
  $lang['comm_restore'] = 'Obnoviť';
  $lang['comm_selected_comments'] = 'Vybrané komentáre';
  $lang['comm_show'] = 'Zobraziť';
  $lang['comm_status0'] = 'Zmazaný';
  $lang['comm_status1'] = 'Schválený';
  $lang['comm_status2'] = 'Čakajúci na schválenie';
  $lang['comm_status3'] = 'Skrytý';
  $lang['comm_status4'] = 'Označený ako spam';
  $lang['comm_status5'] = 'Neschválený';
  $lang['comm_text'] = 'Text komentára';
  $lang['comm_trash'] = 'Zmazať';
  $lang['comm_user_agent'] = 'User agent';
  $lang['comm_user_browser'] = 'Prehliadač';
  $lang['comm_user_os'] = 'Operačný systém';
  $lang['comm_www'] = 'Web';


/* ----- Stránky -------------------------------------------------------------------------------- */
  $lang['pages_add_new_page'] = 'Pridanie novej stránky';
  $lang['pages_add_page'] = 'Pridať stránku';
  $lang['pages_all_dates'] = 'Všetky dátumy';
  $lang['pages_all_menu_status'] = 'Všetky stránky';
  $lang['pages_all_users'] = 'Všetci používatelia';
  $lang['pages_author'] = 'Autor';
  $lang['pages_change_pass'] = 'Zmeniť heslo';
  $lang['pages_date'] = 'Dátum';
  $lang['pages_delete_page'] = 'Zmazať stránku';
  $lang['pages_edit_page'] = 'Upraviť stránku';
  $lang['pages_filter'] = 'Filtruj';
  $lang['pages_filter_cancel'] = 'Zrušiť filter';
  $lang['pages_filter_settings'] = 'Možnosti';
  $lang['pages_info'] = 'Info';
  $lang['pages_info_key'] = 'Dnešný kľúč';
  $lang['pages_info_key_text'] = 'Táto stránka je zaheslovaná a teda jej zobrazenie je možné len po zadaní hesla. Je tu však ešte možnosť zobraziť stránku pomocou kľúča, ktorý zadáte ako parameter mn_key= do url adresy. Tento kľúč slúži na poslanie rýchleho odkazu pre niekoho komu nechcete zdeľovať heslo a zároveń mu chcete povoliť prístup len dnes - kľúč sa každý deň o polnoci mení! Príklad url:';
  $lang['pages_info_pageview'] = 'Zobrazenie stránky';
  $lang['pages_info_pageview_text1'] = 'Túto stránku môžete na svojich stránkach zobraziť dvoma spôsobmi. Prvou možnosťou je zobraziť stránku len pomocou zadania parametru do url. Na stránke, kde vkladáte články pomocou include upravíte url adresu a to tak, že namiesto parametru <em>mn_post=</em>, použijete parameter <em>mn_page=</em>, ku ktorému priradíte id (%id%) tejto stránky, napríklad:';
  $lang['pages_info_pageview_text2'] = 'Druhou (zložitejšou) možnosťou je zobraziť stránku pomocou vloženia nasledujúceho kódu do stránky, na ktorej chcete stránku natrvalo zobraziť:';
  $lang['pages_menu_invisible'] = 'Nezobrazované v menu';
  $lang['pages_menu_visible'] = 'Zobrazované v menu';
  $lang['pages_msg_empty_values'] = 'Jedna z povinných položiek nebola vyplnená!';
  $lang['pages_msg_no_pages'] = 'Neexistujú žiadne stránky! Nie je čo mazať, či upravovať :)';
  $lang['pages_msg_page_added'] = 'Stránka bola úspešne pridaná!';
  $lang['pages_msg_page_deleted'] = 'Stránka bola úspešne vymazaná!';
  $lang['pages_msg_page_edited'] = 'Stránka bola úspešne upravená!';
  $lang['pages_msg_put_contents_error'] = 'Práva na zápis do adresára stránok nie sú správne nastavené!';
  $lang['pages_order'] = 'Poradie v menu';
  $lang['pages_page'] = 'Stránka';
  $lang['pages_pages'] = 'Stránky';
  $lang['pages_pass'] = 'Heslo';
  $lang['pages_password_required'] = 'Stránka chránená heslom';
  $lang['pages_protected_page'] = 'Na zobrazenie stránky je potrebné zadanie hesla!';
  $lang['pages_q_really_delete'] = 'Naozaj chcete zmazať stránku';
  $lang['pages_reorder_pages'] = 'Usporiadať stránky';
  $lang['pages_reorder_pages_help'] = 'Poradie stránok zobrazených v menu usporiadate systémom drag-and-drop! Stránky jednoducho presúvajte ťahaním za ikonku šípiek na pravo od názvu stránky na miesto, kde chcete aby bola v menu zobrazovaná. Po skončení stačí toto okno zavrieť, poradie stránok sa ukladá priebežne!';
  $lang['pages_settings'] = 'Nastavenia';
  $lang['pages_show_in_menu'] = 'Zobrazovať v menu';
  $lang['pages_text'] = 'Text';
  $lang['pages_title'] = 'Názov stránky';
  $lang['pages_visible'] = 'Zobrazená v menu?';


/* ----- Súbory -------------------------------------------------------------------------------- */
  $lang['files_add_file'] = 'Pridať súbor';
  $lang['files_add_image'] = 'Pridať obrázok';
  $lang['files_add_images'] = 'Pridať obrázky';
  $lang['files_all_dates'] = 'Všetky dátumy';
  $lang['files_all_dirs'] = 'Všetky súbory';
  $lang['files_all_extentions'] = 'Všetky prípony';
  $lang['files_all_folders'] = 'Všetky zložky';
  $lang['files_all_galleries'] = 'Všetky galérie';
  $lang['files_all_types'] = 'Všetky typy súborov';
  $lang['files_all_users'] = 'Všetci používatelia';
  $lang['files_browse_files'] = 'Prechádzať súbory';
  $lang['files_bulk_delete'] = 'Vymazať vybrané súbory';
  $lang['files_bulk_delete_confirm'] = 'Naozaj si prajete vymazať označené súbory?';
  $lang['files_bulk_edit'] = 'Upraviť vybrané súbory';
  $lang['files_buld_add_to_folder'] = 'Presunúť súbory do zložky';
  $lang['files_buld_add_to_gallery'] = 'Priradiť obrázky do galérie';
  $lang['files_date'] = 'Dátum';
  $lang['files_delete_file'] = 'Zmazať súbor';
  $lang['files_delete_image'] = 'Zmazať obrázok';
  $lang['files_description'] = 'Popis';
  $lang['files_dir_images'] = 'Obrázky';
  $lang['files_dir_media'] = 'Média';
  $lang['files_dir_others'] = 'Ostatné';
  $lang['files_directory'] = 'Adresár';
  $lang['files_edit_file'] = 'Upraviť súbor';
  $lang['files_edit_files'] = 'Upraviť súbory';
  $lang['files_filename'] = 'Názov súboru';
  $lang['files_file'] = 'Súbor';
  $lang['files_file_alt'] = 'Alt';
  $lang['files_file_class'] = 'Class';
  $lang['files_file_target_blank'] = 'Otvárať odkaz do nového okna';
  $lang['files_file_title'] = 'Title';
  $lang['files_file_url'] = 'URL súboru';
  $lang['files_file_url_text'] = 'Text odkazu';
  $lang['files_files'] = 'Súbory';
  $lang['files_image'] = 'Obrázok';
  $lang['files_image_align'] = 'Zarovnanie';
  $lang['files_image_gallery'] = 'Galéria obrázkov';
  $lang['files_images'] = 'Obrázky';
  $lang['files_insert_as'] = 'Vložiť ako';
  $lang['files_insert_as1'] = 'Zmenšenina obrázku s odkazom na originál';
  $lang['files_insert_as2'] = 'Originál obrázok v plnej veľkosti';
  $lang['files_insert_as3'] = 'Textový odkaz na originál obrázku';
  $lang['files_insert_file'] = 'Vložiť súbor';
  $lang['files_insert_image'] = 'Vložiť obrázok';
  $lang['files_max_file_size'] = 'Maximálna povolená veľkosť súboru je';
  $lang['files_msg_empty_filename'] = 'Názov súboru nemôže byť prázdny!';
  $lang['files_msg_file_deleted'] = 'Súbor bol vymazaný!';
  $lang['files_msg_file_edited'] = 'Súbor bol upravený!';
  $lang['files_msg_file_renamed'] = 'Súbor bol premenovaný!';
  $lang['files_msg_file_too_big'] = 'Súbor je príliš veľký, maximálna povolená veľkosť';
  $lang['files_msg_files_deleted'] = 'Vybrané súbory boli vymazané!';
  $lang['files_msg_files_edited'] = 'Vybrané súbory boli upravené!';
  $lang['files_msg_files_indexed'] = 'Súbory boli naindexované!';
  $lang['files_msg_image_deleted'] = 'Obrázok bol vymazaný!';
  $lang['files_msg_image_renamed'] = 'Obrázok bol premenovaný!';
  $lang['files_msg_no_files'] = 'Neexistujú žiadne súbory! Nie je čo mazať, či upravovať :)';
  $lang['files_msg_upload_successful'] = 'Súbor bol úspešne nahraný!';
  $lang['files_msg_wrong_filetype'] = 'Tento typ súboru nie je možné nahrať!';
  $lang['files_msg_wrong_image'] = 'Toto nie je platný obrázok!';
  $lang['files_msg_wrong_permissions'] = 'Práva na zápis do adresára obrázkov nie sú správne nastavené!';
  $lang['files_multiupload'] = 'Hromadný upload';
  $lang['files_multiupload_start_info'] = 'Pre začatie uploadu, stlačte tlačítko "Nahrať súbory"';
  $lang['files_multiupload_upload_complete'] = 'Upload bol úspešne dokončený!';
  $lang['files_multiupload_upload_progress'] = 'Prebieha upload';
  $lang['files_q_really_delete'] = 'Naozaj chcete zmazať súbor';
  $lang['files_quick_upload'] = 'Rýchly upload';
  $lang['files_size'] = 'Veľkosť';
  $lang['files_select_files'] = 'Vybrať súbory';
  $lang['files_sort_by_ext'] = 'Zoradiť podľa prípony';
  $lang['files_sort_by_id'] = 'Zoradiť podľa ID';
  $lang['files_title'] = 'Názov (titulok)';
  $lang['files_type'] = 'Typ';
  $lang['files_upload'] = 'Nahrať';
  $lang['files_upload_file'] = 'Nahrať súbor';
  $lang['files_upload_files'] = 'Nahrať súbory';
  $lang['files_upload_image'] = 'Nahrať obrázok';
  $lang['files_uploader'] = 'Nahral';
  $lang['files_uploads'] = 'Nahrať obrázky';
  $lang['files_uploaded_files'] = 'Nahrané súbory';
  $lang['files_uploaded_images'] = 'Nahrané obrázky';


/* ----- Zložky -------------------------------------------------------------------------------- */
  $lang['folders_add_folder'] = 'Pridať zložku';
  $lang['folders_files_count'] = 'Počet súborov v zložke';
  $lang['folders_folder'] = 'Zložka';
  $lang['folders_folder_name'] = 'Názov zložky';
  $lang['folders_folders'] = 'Zložky';
  $lang['folders_delete_folder'] = 'Zmazať zložku';
  $lang['folders_edit_folder'] = 'Upraviť zložku';
  $lang['folders_msg_folder_added'] = 'Zložka bola úspešne pridaná!';
  $lang['folders_msg_folder_canceled'] = 'Zmazanie zložky bolo stornované';
  $lang['folders_msg_folder_deleted'] = 'Zložka bola úspešne vymazaná!';
  $lang['folders_msg_folder_edited'] = 'Zložka bola úspešne upravená!';
  $lang['folders_msg_empty_folder_name'] = 'Názov zložky nesmie byť prázdny!';
  $lang['folders_msg_files_no_delete'] = 'Súbory priradené do tejto zložky <strong>nebudú</strong> zmazané.';
  $lang['folders_msg_files_number_0'] = 'Zložka neobsahuje žiaden súbor!';
  $lang['folders_msg_files_number_1'] = 'Zložka obsahuje %n% súbor!';
  $lang['folders_msg_files_number_2'] = 'Zložka obsahuje %n% súbory!';
  $lang['folders_msg_files_number_3'] = 'Zložka obsahuje %n% súborov!';
  $lang['folders_msg_no_folders'] = 'Neexistuje žiadna zložka!';
  $lang['folders_msg_put_contents_error'] = 'Nesprávne nastavené práva na zápis do súboru zložiek!';
  $lang['folders_parent'] = 'Nadradená zložka';
  $lang['folders_q_really_delete'] = 'Naozaj chcete zmazať zložku';
  $lang['folders_select_main_folder'] = 'Toto je hlavná zložka';
  $lang['folders_show_folders_list'] = 'Zobraziť zoznam zložiek';
  $lang['folders_unknown_gallery'] = 'Neznáma zložka';


/* ----- Galerie ------------------------------------------------------------------------------- */
  $lang['galleries_add_gallery'] = 'Pridať galériu';
  $lang['galleries_galleries'] = 'Galérie';
  $lang['galleries_gallery'] = 'Galéria';
  $lang['galleries_gallery_name'] = 'Názov galérie';
  $lang['galleries_delete_cancel'] = 'Zrušiť';
  $lang['galleries_delete_gallery'] = 'Zmazať galériu';
  $lang['galleries_edit_gallery'] = 'Upraviť galériu';
  $lang['galleries_files_help'] = 'Kliknutím na obrázok zvolíte daný obrázok ako hlavný náhľadový obrázok galérie. Aktuálný náhľadový obrázok je zobrazený žltým zvýraznením.<br>Poradie obrázkov určíte jednoducho metódou Drag&amp;Drop (presuňte obrázky potiahnutím).';
  $lang['galleries_int_code'] = 'Začlenenie galérie do stránok';
  $lang['galleries_int_code_help1'] = 'Tento kód vložte na miesto, kde chcete danú galériu zobraziť. Šablónu výpisu galérie si môžete upraviť v sekcii %templates%.';
  $lang['galleries_int_code_help2'] = 'Galériu môžete na stránke zobraziť aj zmenou url, pridaním parametru&nbsp;?mn_gallery=X, kde X je id galérie. Takže url tejto galérie môže byť napríklad';
  $lang['galleries_msg_gallery_added'] = 'Galéria bola úspešne pridaná!';
  $lang['galleries_msg_gallery_canceled'] = 'Zmazanie galérie bolo stornované';
  $lang['galleries_msg_gallery_deleted'] = 'Galéria bola úspešne vymazaná!';
  $lang['galleries_msg_gallery_edited'] = 'Galéria bol úspešne upravená!';
  $lang['galleries_msg_empty_gallery_name'] = 'Názov galérie nesmie byť prázdny!';
  $lang['galleries_msg_images_no_delete'] = 'Obrázky priradené k tejto galérii <strong>nebudú</strong> zmazané.';
  $lang['galleries_msg_posts_number_0'] = 'Galéria neobsahuje žiaden súbor!';
  $lang['galleries_msg_posts_number_1'] = 'Galéria obsahuje %n% obrázok!';
  $lang['galleries_msg_posts_number_2'] = 'Galéria obsahuje %n% obrázky!';
  $lang['galleries_msg_posts_number_3'] = 'Galéria obsahuje %n% obrázkov!';
  $lang['galleries_msg_put_contents_error'] = 'Nesprávne nastavené práva na zápis do súboru galérii!';
  $lang['galleries_posts_count'] = 'Počet obrázkov v galérii';
  $lang['galleries_q_really_delete'] = 'Naozaj chcete zmazať galériu';
  $lang['galleries_show_galleries_list'] = 'Zobraziť zoznam galérii';
  $lang['galleries_unknown_gallery'] = 'Neznáma galéria';


/* ----- Nástroje ------------------------------------------------------------------------------- */
  $lang['tools_backup'] = 'Zálohovanie';
  $lang['tools_backup_help'] = 'Pomocou tohto nástroja vytvoríte zálohu adresára, kde sú uložené všetky dáta a v prípade nejakých ťažkostí ľahko obnovíte.';
  $lang['tools_config'] = 'Nastavenia';
  $lang['tools_config_help'] = 'Tu máte možnosť upravenia širokej škály nastavení, ktoré prispôsobia chovanie MNews na stránke, ale aj v administrácií.';
  $lang['tools_help'] = 'Nápoveda (FAQ)';
  $lang['tools_help_help'] = 'Ak ste narazili na nejaký problém, alebo niečomu nerozumiete, pozrite sa do nápovedy, ktorá vysvetľuje základné pojmy!';
  $lang['tools_integration'] = 'Integrácia do stránky';
  $lang['tools_integration_help'] = 'Kódy pre jednoduché vloženie menu, archívu a mnoho ďalšieho do Vašich stránok + ';
  $lang['tools_ipban'] = 'Blokovanie IP adries';
  $lang['tools_ipban_help'] = 'Možnosť upravenia zoznamu blokovaných IP adries &ndash; používateľ s blokovanou IP adresou sa nebude môcť prihlásiť, ani komentovať!';
  $lang['tools_log'] = 'Záznamy';
  $lang['tools_log_help'] = 'Záznamy o aktivite používateľov v administrácii. Čo kto kedy pridal, upravil, či zmazal.';
  $lang['tools_templates'] = 'Šablóny';
  $lang['tools_templates_help'] = 'Pomocou šablón prispôsobite vzhľad výpisu MNews. Môžete využiť predpripravené šablóny a upraviť ich, alebo vytvoriť vlastné.';
  $lang['tools_tools'] = 'Nástroje';
  $lang['tools_xfields'] = 'Vlastné polia';
  $lang['tools_xfields_help'] = 'Vlastné polia môžu byť použité na pridanie dodatočných informácii k článku, stránke, alebo k používateľskému profilu.';


/* ----- Nastavenie ----------------------------------------------------------------------------- */
  $lang['config_admin_icons'] = 'Zobrazovať admin ikonky';
  $lang['config_admin_icons_help'] = 'Možnosť vypnúť zobrazovanie pomocných admin ikoniek(upravenie a zmazanie článku) pri výpise článkov.';
  $lang['config_admin_log'] = 'Log záznamov';
  $lang['config_admin_log_help'] = 'Systém zaznamená akcie používateľov v administrácii a zobrazí prehľadne kto čo kedy upravil, pridal, či vymazal.';
  $lang['config_admin_multiupload'] = 'Hromadný upload';
  $lang['config_admin_multiupload_help'] = 'Umožňuje buď používať hromadný upload (možnosť nahrať viac súborov naraz), alebo jednoduchý upload.';
  $lang['config_admin_theme'] = 'Vzľad administrácie';
  $lang['config_admin_theme_help'] = 'Možnosť výberu rôznych vzhľadov administrácie (ak sú k dispozícií).';
  $lang['config_admin_thumb_size'] = 'Veľkosť zmenšenín';
  $lang['config_admin_thumb_size_help'] = 'Veľkosť zmenšenín z nahraných obrázkov (neovplyvní už nahrané súbory, platí pre max výšku aj šírku).';
  $lang['config_admin_auto_url'] = 'Automaticky načítať novú URL';
  $lang['config_admin_update_check'] = 'Kontrolovať aktuálnosť verzie';
  $lang['config_admin_update_check_help'] = 'Umožňuje vypnúť kontrolu aktuálnosti verzie MNews na nástenke.';
  $lang['config_admin_url'] = 'MNews admin URL';
  $lang['config_admin_url_help'] = 'Zapisujte bez lomítka / na konci. Cesta bola vygenerovaná pri inštalácii automaticky. v prípade, že ste premiestnili mnews do iného adresára, upravte aj túto cestu. Napríklad: http://example.com/mnews';
  $lang['config_admin_wysiwyg'] = 'Používať WYSIWYG editor';
  $lang['config_admin_wysiwyg_help'] = 'Vyberte si či chcete používať WYSIWYG editor pri písaní článkov, stránok.';
  $lang['config_comments'] = 'Komentáre k článkom';
  $lang['config_comments_a_all'] = 'Povoliť';
  $lang['config_comments_a_nobody'] = 'Vypnúť';
  $lang['config_comments_a_registered'] = 'Len pre registrovaných';
  $lang['config_comments_antiflood'] = 'Ochranný interval';
  $lang['config_comments_antiflood_help'] = 'Čas v sekundách, ktorý musí uplynúť medzi odoslaním komentárov (zabezpečuje ochranu proti hromadnému vkladaniu príspevkov). 0 = žiadna ochrana.';
  $lang['config_comments_antispam'] = 'Antispam číslo';
  $lang['config_comments_antispam_help'] = 'Vyberte číslo, ktoré zamedzí vkladaniu automatického spamu do komentárov.';
  $lang['config_comments_approval'] = 'Schvaľovať komentáre';
  $lang['config_comments_approval_help'] = 'Zapne/vypne schvaľovanie komentárom administrátorom pred ich publikovaním (platí len pre neregistrovaných).';
  $lang['config_comments_help'] = 'Povolenie, či zakázanie komentárov pod jednotlivými článkami. Komentáre je možné zakázať aj pre jednotlivé články pri úprave článku.';
  $lang['config_comments_bb'] = 'Používať BB kódy';
  $lang['config_comments_bb_buttons'] = 'BB tlačítka';
  $lang['config_comments_bb_help'] = 'Povolenie, či zakázanie používania značkovacích BB kódov v komentároch.';
  $lang['config_comments_captcha'] = 'Používať captchu';
  $lang['config_comments_captcha_help'] = 'Povolenie, či zakázanie nutnosti vyplnenie Captcha kódu pri odosielaní komentára.';
  $lang['config_comments_links_auto'] = 'Automatický prevod odkazov';
  $lang['config_comments_links_auto_help'] = 'Všetky slová(odkazy), ktoré v komentári začínajú na http://, alebo ftp://, alebo https:// budú automaticky prevedené na klikateľný odkaz';
  $lang['config_comments_links_target'] = 'Otvárať odkazy do nového okna';
  $lang['config_comments_links_target_help'] = 'Ak sú povolené BB tagy, je možné vkladať odkazy a tak, či dané odkazy sa majú otvárať do nového okna, alebo do rovnakého.';
  $lang['config_comments_links_nofollow'] = 'Používať atribút rel="nofollow"';
  $lang['config_comments_links_nofollow_help'] = 'Ku všetkým externým odkazom v komentároch pripojí atribút rel="nofollow"';
  $lang['config_comments_optional_fields'] = 'Voliteľné položky vo formulári';
  $lang['config_comments_optional_fields_help'] = 'Možnosť skrytia voliteľných položiek vo formuláre na pridanie komentára.';
  $lang['config_comments_order'] = 'Radenie komentárov';
  $lang['config_comments_order_help'] = 'Voľba radenia komentárov vo výpise, či hore majú byť najprv najstaršie, alebo najnovšie komentáre.';
  $lang['config_comments_order_normal'] = 'Od najstaršieho po najnovší';
  $lang['config_comments_order_reverse'] = 'Od najnovšieho po najstarší';
  $lang['config_comments_smiles'] = 'Používať smajlíky';
  $lang['config_comments_smiles_help'] = 'Povolenie, či zakázanie nahradzovania textových smajlíkov, obrázkovými.';
  $lang['config_config'] = 'Nastavenia';
  $lang['config_language'] = 'Základný jazyk';
  $lang['config_language_help'] = 'Voľba základného jazyka administrácie, ktorý je nastavený ako predvolený.';
  $lang['config_msg_put_contents_error'] = 'Práva na zápis do súboru config nie sú správne nastavené!';
  $lang['config_msg_saved'] = 'Nastavenia boli úspešne uložené';
  $lang['config_posts_image'] = 'Obrázok článku';
  $lang['config_posts_image_help'] = 'Vypne/zapne možnosť pridania obrázku pri písaní článku.';
  $lang['config_posts_image_size'] = 'Veľkosť obrázku';
  $lang['config_posts_image_size_help'] = 'Prispôsobiť veľkosť obrázku na maximálnu šírku/výšku. 0 vypne automatické prispôsobovanie.';
  $lang['config_save'] = 'Uložiť nastavenia';
  $lang['config_seconds'] = 'sekúnd';
  $lang['config_tab_1'] = 'Admin';
  $lang['config_tab_2'] = 'Stránka';
  $lang['config_tab_3'] = 'Články';
  $lang['config_tab_4'] = 'Komentáre';
  $lang['config_tab_5'] = 'Používatelia';
  $lang['config_tab_6'] = 'URL';
  $lang['config_theme_config'] = 'Nastavenie vzhľadu';
  $lang['config_theme_default_values'] = 'Pôvodné hodnoty';
  $lang['config_time_adj'] = 'Úprava času';
  $lang['config_time_adj_help'] = 'Posunie čas na serveri o celé hodiny dopredu, alebo dozadu. Aktuálny čas na serveri:';
  $lang['config_url_base'] = 'Základ URL';
  $lang['config_url_base_help'] = 'Základ URL by mal začínať aj končiť lomítkom /<br /> Predvolená hodnota je lomítko / samotné.';
  $lang['config_url_cats_tags'] = 'Kategórie &amp; Štítky';
  $lang['config_url_cats_tags_help'] = 'V tejto sekcii môžete upraviť URL štruktúru kategórii a štítkov stanovením ich základu. Napríklad, pokiaľ si ako základ štítkov zvolíte %example_base%, odkaz na štítok bude vyzerať takto: %example_url%.<br /> Pokiaľ ponecháte základ prázdny, bude použitá východzia URL %default_url%.';
  $lang['config_url_cats'] = 'Základ kategórii';
  $lang['config_url_example_base'] = 'stitok';
  $lang['config_url_htaccess_heading'] = 'Vytvorenie .htaccess súboru';
  $lang['config_url_htaccess_link'] = 'Návod na vytvorenie .htaccess súboru';
  $lang['config_url_htaccess_text'] = 'Keďže ste zmenili štruktúru URL adries, MNews bude generovať vnútorné odkazy podľa Vami zvoleného vzoru. Aby však dané odkazy fungovali, je nutné vytvoriť súbor <span class="example">.htaccess</span><br />Nižšie nájdete príklad ako by mal vyzerať váš .htaccess súbor. Tento vygenerovaný príklad však počíta s tým, že MNews include kód máte vložený v súbore <span class="example">index.php</span> v koreňovom adresári (root) vašej domény. Pokiaľ máte include kód v inom súbore, upravte si tento príklad podľa seba (ak máte napríklad kód v súbore <span class="example">/news/main.php</span>, nahraďte <span class="example">/index.php</span> za <span class="example">/news/main.php</span>).';
  $lang['config_url_htaccess_text2'] = 'Text skopírujte do textového editoru, upravte podľa svojich požiadavok a následne uložte ako <span class="example">.htaccess</span> (súbor bez prípony s bodkou na začiatku). Súbor následne nahrajte do koreňového adresára vašej domény (root-u).<br />Viac o .htaccess nájdete napríklad na <a href="http://www.jakpsatweb.cz/server/htaccess.html" target="_blank">JakPsátWeb.cz</a>.';
  $lang['config_url_label_custom'] = 'Vlastné';
  $lang['config_url_label_date_name'] = 'Dátum a názov';
  $lang['config_url_label_default'] = 'Predvolené';
  $lang['config_url_label_numeric'] = 'Číselné';
  $lang['config_url_label_page_name'] = 'Názov stránky';
  $lang['config_url_label_post_name'] = 'Názov článku';
  $lang['config_url_variables'] = 'Dostupné premenné';
  $lang['config_url_pages'] = 'Pekné URL stránok';
  $lang['config_url_posts'] = 'Pekné URL článkov';
  $lang['config_url_tags'] = 'Základ štítkov';
  $lang['config_url_text'] = 'V základe používa MNews automaticky generované URL, ktoré obsahujú otázniky a ID jednotlivých položiek. V tejto sekcii si môžete upraviť URL štruktúru a zmeniť tak trvalé odkazy pre články, stránky, kategórie a štítky.<br />Upozorňujeme, že <em>tieto nastavenia sú určené skôr pre pokročilých používateľov</em> - zmenou týchto nastavení zmeníte len vnútorné odkazovanie a aby všetko fungovalo správne, budete musieť vytvoriť <span class="example">.htaccess</span> súbor, ktorý umiestnite do koreňového adresára (root) svojej (sub)domény.';
  $lang['config_users_avatar_size'] = 'Veľkost avataru';
  $lang['config_users_avatar_size_help'] = 'Zadajte rozmery avataru, ktorý si môžu používatelia nahrať k svojmu profilu. Obmedzená tak bude maximálna šírka, či výška avataru. Veľkosť zadávajte v pixeloch.';
  $lang['config_users_avatar_size_standard'] = 'štandardná veľkosť';
  $lang['config_users_avatar_size_small'] = 'malý avatar';
  $lang['config_users_avatar_size_mini'] = 'mini avatar';
  $lang['config_users_default_group'] = 'Východzia používateľská skupina';
  $lang['config_users_default_group_help'] = 'Určuje do ktorej skupiny bude používateľ zaradený pri automatickej registrácií(ak je povolená).';
  $lang['config_users_perm_login'] = 'Povoliť trvalé prihlásenie';
  $lang['config_users_perm_login_help'] = 'Možnosť umožniť používateľom tzv. trvalé prihlásenie. Ak sa neodhlásite, len zavriete prehliadač, MNews si vaše prihlásenie zapamätá aj nabudúce';
  $lang['config_users_registration'] = 'Registrácia používateľov';
  $lang['config_users_registration_help'] = 'Používatelia sa budú môcť automaticky zaregistrovať a upravovať svoj profil(ak to majú povolené).';
  $lang['config_web_counter'] = 'Počítadlo prečítania článku';
  $lang['config_web_counter_help'] = 'Možnosť vypnúť započítavanie čítanosti jednotlivých článkov. Platí len pre dlhé verzie článkov.';
  $lang['config_web_encoding'] = 'Kódovanie stránky';
  $lang['config_web_encoding_help'] = 'Vyberte príslušné kódovanie, ktoré používate na svojich stránkach.';
  $lang['config_web_format'] = 'Formát stránky';
  $lang['config_web_format_help'] = 'Nastavenie, či stránka používa ako značkovací jazyk XHTML, alebo HTML.';
  $lang['config_web_pagination'] = 'Zobrazovať stránkovanie';
  $lang['config_web_pagination_help'] = 'Možnosť vypnúť zobrazenie stránkovania dole pod výpisom článkov.';
  $lang['config_web_posts_count'] = 'Počet zobrazovaných článkov';
  $lang['config_web_posts_count_help'] = 'Koľko článkov sa má zobrazovať vo výpise...';
  $lang['config_web_powered_by'] = 'Zobrazovať "Powered by..."';
  $lang['config_web_powered_by_help'] = 'Možnosť skrytia reklamného riadku na konci výpisu článkov.';
  $lang['config_web_section_titles'] = 'Zobrazovať nadpisy sekcií';
  $lang['config_web_section_titles_help'] = 'Vypne/zapne zobrazovanie nadpisov pri kategóriach, štítkoch,... (napr: Články z kategórie: xyz)';
  $lang['config_web_title'] = 'Názov stránky';
  $lang['config_web_title_help'] = 'Názov vašej stránky. Tento názov bude použitý ako nadpis v RSS, tak poprípade aj na hlavnej stránke.';
  $lang['config_web_title_checkbox'] = 'Zobrazovať názov v hlavičke administrácie';
  $lang['config_web_url'] = 'Predvolená url';
  $lang['config_web_url_help'] = 'URL adresa, ktorá sa použije na vytvorenie odkazov (budú na ňu smerovať odkazy na detail článku, stránkovanie, ...). Pokiaľ je ponechaná prázdna, vytvorí sa automaticky.';


/* ----- xFields -------------------------------------------------------------------------------- */
  $lang['xfields_add_field'] = 'Pridať vlastné pole';
  $lang['xfields_delete_xfield'] = 'Zmazať pole';
  $lang['xfields_edit_field'] = 'Upraviť pole';
  $lang['xfields_section'] = 'Sekcia';
  $lang['xfields_msg_added'] = 'Pole bolo pridané';
  $lang['xfields_msg_deleted'] = 'Pole bolo vymazané';
  $lang['xfields_msg_edited'] = 'Pole bolo upravené';
  $lang['xfields_msg_empty_fields'] = 'Všetky položky sú povinné!';
  $lang['xfields_msg_no_edit'] = 'U existujúcich polí nie je možné upravovať ich premennú';
  $lang['xfields_msg_no_fields'] = 'Neexistujú žiadne vlastné polia';
  $lang['xfields_msg_variable_exists'] = 'Daná premenná už existuje';
  $lang['xfields_name'] = 'Názov';
  $lang['xfields_name_help'] = 'Bude slúžiť ako popis poľa v administrácii';
  $lang['xfields_options'] = 'Možnosti';
  $lang['xfields_options_help'] = 'Možnosti napíšte pod seba, každú na jeden riadok. Môžete použiť aj zápis key=value';
  $lang['xfields_q_really_delete'] = 'Naozaj chcete zmazať pole';
  $lang['xfields_select_option'] = 'Vyberte jednu z možností';
  $lang['xfields_type'] = 'Typ';
  $lang['xfields_type_input'] = 'Textové pole';
  $lang['xfields_type_select'] = 'Výber z možností';
  $lang['xfields_variable'] = 'Premenná';
  $lang['xfields_variable_help'] = 'Premenná bude používaná v šablónach ako {xPREMENNA}.<br />Smie obsahovať len písmená, čísla a podtržítko.';
  $lang['xfields_xfields'] = 'Vlastné polia';



/* ----- Log -------------------------------------------------------------------------------- */
  $lang['log'] = 'Záznamy';
  $lang['log_add'] = 'pridal';
  $lang['log_edit'] = 'upravil';
  $lang['log_delete'] = 'zmazal';
  $lang['log_log_in'] = 'sa prihlásil';
  $lang['log_logout'] = 'sa odhlásil';
  $lang['log_upload'] = 'nahral';

  $lang['log_categories'] = 'kategóriu';
  $lang['log_config'] = 'nastavenia';
  $lang['log_files'] = 'súbor';
  $lang['log_folders'] = 'adresár';
  $lang['log_galleries'] = 'galériu';
  $lang['log_groups'] = 'skupinu používateľov';
  $lang['log_login'] = '';
  $lang['log_pages'] = 'stránku';
  $lang['log_posts'] = 'článok';
  $lang['log_profile'] = 'svoj profil';
  $lang['log_tags'] = 'štítok';
  $lang['log_templates'] = 'šablónu';
  $lang['log_users'] = 'používateľa';



/* ----- Šablóny -------------------------------------------------------------------------------- */
  $lang['tmpl_add_template'] = 'Pridať šablónu';
  $lang['tmpl_continue'] = 'Pokračovať';
  $lang['tmpl_delete_template'] = 'Zmazať šablónu';
  $lang['tmpl_edit_template'] = 'Upraviť šablónu';
  $lang['tmpl_file_name'] = 'Meno súboru';
  $lang['tmpl_link_edit_tmpls'] = 'späť na úpravu šablón';
  $lang['tmpl_msg_deleted'] = 'Šablóna bola úspešne vymazaná.';
  $lang['tmpl_msg_edited'] = 'Šablóna %tmpl% bola úspešne upravená.';
  $lang['tmpl_msg_empty_tmpl_name'] = 'Názov šablóny nesmie byť prázdny!';
  $lang['tmpl_msg_empty_values'] = 'Všetky položky sú povinné!';
  $lang['tmpl_msg_put_contents_error'] = 'Práva na zápis do súboru šablón nie sú správne nastavené!';
  $lang['tmpl_msg_tmpl_exists'] = 'Šablóna s takýmto názvom súboru už existuje!';
  $lang['tmpl_msg_tmpl_group_empty'] = 'Názov skupiny šablón nesmie byť prázdny!';
  $lang['tmpl_msg_tmpl_group_exists'] = 'Skupina šablón s takýmto názvom už existuje!';
  $lang['tmpl_q_really_delete'] = 'Naozaj chcete zmazať šablónu';
  $lang['tmpl_select_tmpl_group'] = 'Vyberte skupinu, do ktorej bude šablóna zaradená';
  $lang['tmpl_step'] = 'Krok';
  $lang['tmpl_templates'] = 'Šablóny';
  $lang['tmpl_tmpl_group'] = 'Skupina šablóny';
  $lang['tmpl_tmpl_group_exists'] = 'Existujúca skupina';
  $lang['tmpl_tmpl_group_new'] = 'Nová skupina';
  $lang['tmpl_tmpl_name'] = 'Názov šablóny';
  $lang['tmpl_tmpl_name_1'] = 'Výpis článkov';
  $lang['tmpl_tmpl_name_2'] = 'Kategórie';
  $lang['tmpl_tmpl_name_3'] = 'Archív';
  $lang['tmpl_tmpl_name_4'] = 'Vyhľadávanie';
  $lang['tmpl_tmpl_name_5'] = 'Autorove články';
  $lang['tmpl_tmpl_name_10'] = 'Detail článku';
  $lang['tmpl_tmpl_name_11'] = 'Stránka';
  $lang['tmpl_tmpl_name_12'] = 'Komentáre';
  $lang['tmpl_tmpl_name_13'] = 'Profil používateľa';
  $lang['tmpl_tmpl_name_14'] = 'RSS';
  $lang['tmpl_tmpl_name_15'] = 'Stránkovanie';
  $lang['tmpl_tmpl_name_19'] = 'Galéria';
  $lang['tmpl_tmpl_type'] = 'Typ šablóny';
  $lang['tmpl_tmpl_type_1'] = 'Články <span class="trivial">(hlavný výpis)</span>';
  $lang['tmpl_tmpl_type_2'] = 'Články <span class="trivial">(kategórie)</span>';
  $lang['tmpl_tmpl_type_3'] = 'Články <span class="trivial">(archív)</span>';
  $lang['tmpl_tmpl_type_4'] = 'Články <span class="trivial">(vyhľadávanie)</span>';
  $lang['tmpl_tmpl_type_5'] = 'Články <span class="trivial">(podľa autora)</span>';
  $lang['tmpl_tmpl_type_10'] = 'Detail článku';
  $lang['tmpl_tmpl_type_11'] = 'Stránka';
  $lang['tmpl_tmpl_type_12'] = 'Komentáre';
  $lang['tmpl_tmpl_type_13'] = 'Profil používateľa';
  $lang['tmpl_tmpl_type_14'] = 'RSS';
  $lang['tmpl_tmpl_type_15'] = 'Stránkovanie';
  $lang['tmpl_tmpl_type_19'] = 'Galéria';
  $lang['tmpl_var_author'] = 'autor (s odkazom na jeho profil)';
  $lang['tmpl_var_author_email'] = 'e-mail na autora';
  $lang['tmpl_var_author_id'] = 'id autora';
  $lang['tmpl_var_author_name'] = 'meno autora';
  $lang['tmpl_var_comment_author'] = 'meno autora s odkazom na profil (ak existuje)';
  $lang['tmpl_var_comment_author_id'] = 'ID autora';
  $lang['tmpl_var_comment_author_name'] = 'meno autora';
  $lang['tmpl_var_comment_avatar'] = 'avatar používateľa';
  $lang['tmpl_var_comment_avatar_small'] = 'malý avatar používateľa';
  $lang['tmpl_var_comment_avatar_mini'] = 'mini avatar používateľa';
  $lang['tmpl_var_comment_browser'] = 'použitý prehliadač';
  $lang['tmpl_var_comment_browser_icon'] = 'ikonka prehliadača';
  $lang['tmpl_var_comment_browser_version'] = 'verzia prehliadača';
  $lang['tmpl_var_comment_email'] = 'e-mail na autora s voliteľným textom odkazu';
  $lang['tmpl_var_comment_id'] = 'id komentára';
  $lang['tmpl_var_comment_ip_address'] = 'IP adresa odosielateľa komentára';
  $lang['tmpl_var_comment_num'] = 'poradové číslo komentára';
  $lang['tmpl_var_comment_os'] = 'operačný systém';
  $lang['tmpl_var_comment_platform'] = 'platforma';
  $lang['tmpl_var_comment_profile'] = 'odkaz na profil s voliteľným textom odkazu';
  $lang['tmpl_var_comment_text'] = 'text komentára';
  $lang['tmpl_var_comment_www'] = 'web autora s voliteľným textom odkazu';
  $lang['tmpl_var_date'] = 'dátum vytvorenia';
  $lang['tmpl_var_date_day'] = 'deň vytvorenia';
  $lang['tmpl_var_date_day_abbr'] = 'deň vytvorenia v tvare skratky dňa';
  $lang['tmpl_var_date_month'] = 'mesiac vytvorenia';
  $lang['tmpl_var_date_month_abbr'] = 'mesiac vytvorenia v tvare skratky mesiaca';
  $lang['tmpl_var_date_us'] = 'dátum vytvorenia v americkom formáte';
  $lang['tmpl_var_date_year'] = 'rok vytvorenia';
  $lang['tmpl_var_gallery_id'] = 'ID galérie';
  $lang['tmpl_var_gallery_image'] = 'Obrázok';
  $lang['tmpl_var_gallery_image_desc'] = 'Popis obrázku';
  $lang['tmpl_var_gallery_image_ext'] = 'Prípona obrázku';
  $lang['tmpl_var_gallery_image_file'] = 'Názov obrázku s príponou';
  $lang['tmpl_var_gallery_image_filename'] = 'Názov obrázku (bez prípony)';
  $lang['tmpl_var_gallery_image_filesize'] = 'Veľkosť obrázku (v kB/MB)';
  $lang['tmpl_var_gallery_image_height'] = 'Výška obrázku';
  $lang['tmpl_var_gallery_image_title'] = 'Titulok obrázku';
  $lang['tmpl_var_gallery_image_url'] = 'URL obrázku';
  $lang['tmpl_var_gallery_image_width'] = 'Šírka obrázku';
  $lang['tmpl_var_gallery_thumb'] = 'Zmenšenina obrázku';
  $lang['tmpl_var_gallery_thumb_url'] = 'URL adresa zmenšeniny obrázku';
  $lang['tmpl_var_page_id'] = 'id stránky';
  $lang['tmpl_var_page_text'] = 'text(obsah) stránky';
  $lang['tmpl_var_page_title'] = 'nadpis stránky';
  $lang['tmpl_var_pages_next'] = 'vygeneruje odkaz na nasledujúcu stránku';
  $lang['tmpl_var_pages_pages'] = 'stránkovanie článkov, zobrazenie strán';
  $lang['tmpl_var_pages_previous'] = 'vygeneruje odkaz na predchádzajúcu stránku';
  $lang['tmpl_var_post_comments'] = 'počet komentárov k danému článku';
  $lang['tmpl_var_post_comments_count'] = 'počet komentárov k danému článku (samotný počet)';
  $lang['tmpl_var_post_category'] = 'kategória článku s odkazom na zoznam článkov(ak existuje)';
  $lang['tmpl_var_post_category_friendly_url'] = 'pekná URL kategórie';
  $lang['tmpl_var_post_category_id'] = 'id kategórie článku(ak existuje)';
  $lang['tmpl_var_post_category_name'] = 'názov kategórie článku(ak existuje)';
  $lang['tmpl_var_post_friendly_url'] = 'názov prevedený do peknej URL';
  $lang['tmpl_var_post_friendly_url_example'] = 'nazov-clanku-ako-url';
  $lang['tmpl_var_post_id'] = 'id článku';
  $lang['tmpl_var_post_image'] = 'obrázok článku';
  $lang['tmpl_var_post_image_filename'] = 'názov súboru obrázku';
  $lang['tmpl_var_post_image_height'] = 'výška obrázku';
  $lang['tmpl_var_post_image_url'] = 'kompletná url obrázku';
  $lang['tmpl_var_post_image_width'] = 'šírka obrázku';
  $lang['tmpl_var_post_link'] = 'odkaz na celý článok(ak existuje) s predvoleným textom "celý článok"';
  $lang['tmpl_var_post_link_bb'] = 'odkaz na celý článok(ak existuje) s voliteľným textom odkazu';
  $lang['tmpl_var_post_link_perm'] = 'trvalý odkaz na článok s voliteľným textom odkazu';
  $lang['tmpl_var_post_long_story'] = 'Dlšia časť článku (bez perexu)';
  $lang['tmpl_var_post_short_story'] = 'Perex článku';
  $lang['tmpl_var_post_tag_names'] = 'zoznam názvov tagov (bez odkazov, oddelené čiarkami)';
  $lang['tmpl_var_post_tags'] = 'zoznam tagov (oddelených čiarkami)';
  $lang['tmpl_var_post_text'] = 'krátky text článku (perex)';
  $lang['tmpl_var_post_text_full'] = 'celý text článku (vrátane perexu)';
  $lang['tmpl_var_post_title'] = 'nadpis článku';
  $lang['tmpl_var_post_title_plain'] = 'nadpis článku (len text, nikdy nie ako odkaz na detail)';
  $lang['tmpl_var_post_views'] = 'počet zobrazení článku';
  $lang['tmpl_var_rss_link'] = 'trvalý odkaz na článok';
  $lang['tmpl_var_rss_pubdate'] = 'dátum upravený pre použitie v RSS šablóne ako pubDate';
  $lang['tmpl_var_time'] = 'čas vytvorenia';
  $lang['tmpl_var_time_ampm'] = 'americký formát dopoludnie(am) a popoludnie(pm)';
  $lang['tmpl_var_time_hour'] = 'hodina vytvorenia v 24 hodinovom formáte';
  $lang['tmpl_var_time_hour_us'] = 'hodina vytvorenia v 12 hodinovom formáte';
  $lang['tmpl_var_time_minute'] = 'minúta vytvorenia';
  $lang['tmpl_var_time_us'] = 'čas vytvorenia v americkom formáte';
  $lang['tmpl_var_timestamp'] = 'unixový formát dátumu vytvorenia (timestamp)';
  $lang['tmpl_var_user_about'] = 'Krátke info (O používateľovi)';
  $lang['tmpl_var_user_avatar'] = 'Používateľov avatar';
  $lang['tmpl_var_user_avatar_small'] = 'Malý avatar používateľa';
  $lang['tmpl_var_user_avatar_mini'] = 'Mini avatar používateľa';
  $lang['tmpl_var_user_birthday'] = 'Dátum narodenín';
  $lang['tmpl_var_user_email'] = 'E-mail';
  $lang['tmpl_var_user_fullname'] = 'Meno a Priezvisko';
  $lang['tmpl_var_user_gender'] = 'Pohlavie používateľa';
  $lang['tmpl_var_user_group'] = 'Skupina, kde používateľ patrí';
  $lang['tmpl_var_user_icq'] = 'ICQ';
  $lang['tmpl_var_user_id'] = 'Používateľove ID';
  $lang['tmpl_var_user_jabber'] = 'Jabber / Google Talk';
  $lang['tmpl_var_user_location'] = 'Bydlisko';
  $lang['tmpl_var_user_msn'] = 'MSN';
  $lang['tmpl_var_user_skype'] = 'Skype';
  $lang['tmpl_var_user_username'] = 'Používateľské meno';
  $lang['tmpl_var_user_www'] = 'Používateľova web stránka';
  $lang['tmpl_vars_example'] = 'príklad';
  $lang['tmpl_vars_more_variables'] = 'viac možností';


/* ----- Zálohovanie ---------------------------------------------------------------------------- */
  $lang['backup_backup'] = 'Zálohovanie';
  $lang['backup_delete_file'] = 'Zmazať súbor';
  $lang['backup_dir_size'] = 'Celková veľkosť adresára so zálohami';
  $lang['backup_disclaimer'] = 'Disclaimer';
  $lang['backup_disclaimer_text'] = 'Nástroj zálohovania nemusí fungovať správne na každom hostingu. Preto v prípade vypísania chybovej hlášky urobte zálohu manuálne a to tak, že si skopírujete celý adresár "data" k vám na disk.<br />Každopádne v prípade chybovej hlášky budem rád, ak danú chybovú hlášku napíšete na <a href="http://forum.mnewscms.com/">MNews&nbsp;fórum</a> a zároveň popíšete aký hosting používate...';
  $lang['backup_download_file'] = 'Stiahnuť tento súbor so zálohou';
  $lang['backup_file_name'] = 'Názov súboru';
  $lang['backup_file_size'] = 'Veľkosť';
  $lang['backup_file_date'] = 'Dátum';
  $lang['backup_last_backup'] = 'Posledná záloha';
  $lang['backup_last_backup_day'] = 'Posledná záloha prebehla necelý deň dozadu.';
  $lang['backup_last_backup_lta'] = 'Uf! Už ani nepamätám kedy sme naposledy robili zálohu. Tak šup šup do toho...'; // lta = long time ago
  $lang['backup_last_backup_month'] = 'Posledná záloha prebehla už viac ako pred týždňom. Nová záloha by bodla!';
  $lang['backup_last_backup_never'] = 'Ejha! Ešte neprebehla žiadna záloha! Tak šup šup do toho...';
  $lang['backup_last_backup_week'] = 'Posledná záloha prebehla pár dní dozadu. Tak často nie je potrebné zálohovať!';
  $lang['backup_msg_backup_deleted'] = 'Súbor so zálohou bol odstránený!';
  $lang['backup_msg_backup_done'] = 'Záloha prebehla úspešne! Nižšie si môžte aktuálnu zálohu stiahnuť!';
  $lang['backup_msg_not_supported'] = 'Táto funkcia nie je na Vašom hostingu podporovaná!';
  $lang['backup_not_supported_text'] = 'Žiaľ, na Vašom hostingu nie je nainštalovaná trieda pre prácu so zip súbormi <a href="http://php.net/manual/en/class.ziparchive.php">ZipArchive()</a>. Požiadajte administrátora svojho hostingu, aby toto rozšírenie do php doinštaloval.';
  $lang['backup_q_really_delete'] = 'Naozaj chcete zmazať súbor so zálohou';
  $lang['backup_submit'] = 'Spustiť zálohovanie';


/* ----- Blokovanie IP adries ------------------------------------------------------------------- */
  $lang['ban_add_ip_address'] = 'Pridať IP adresu';
  $lang['ban_ban_ip_address'] = 'Zablokovanie IP adresy';
  $lang['ban_ban_ips'] = 'Zablokovanie IP adries';
  $lang['ban_ban_ips_help'] = 'IP adresu, ktorú chcete zablokovať pripíšte do zoznamu blokovaných adries na samostatný riadok.';
  $lang['ban_msg_already_banned_ip'] = 'Táto adresa už je zablokovaná';
  $lang['ban_msg_banned_ips_saved'] = 'Zoznam blokovaných adries bol upravený!';
  $lang['ban_msg_ip_address_banned'] = 'IP adresa %ip% bola zablokovaná.';
  $lang['ban_msg_not_valid_ip'] = 'Toto nie je správna IP adresa!';
  $lang['ban_msg_own_ip'] = 'Nemôžete zablokovať vlastnú IP adresu :)';
  $lang['ban_submit'] = 'Odoslať';


/* ----- Začlenenie do stránok ------------------------------------------------------------------ */
  $lang['int_code_archive'] = 'Automaticky generovaný archív';
  $lang['int_code_archive_help'] = 'Kód vložte do stránky na mieste, kde chcete generovať automatické menu. Vygenereju archívy po mesiacoch v nečíslovanom zozname s class="mn-archive". Možnosti prispôsobenia vzhľadu výpisu noviniek si upravíte v sekcii %templates%.';
  $lang['int_code_gallery'] = 'Galéria obrázkov';
  $lang['int_code_gallery_help'] = 'Kód vygeneruje galériu s obrázkami, ktoré sú v nej zaradené. <b>Na miesto čísla $mn_gallery zadajte ID galérie</b> (nájdete ho vo výpise galérii v prvom stĺpci tabuľky)';
  $lang['int_code_main'] = 'Kód na vloženie článkov do stránky';
  $lang['int_code_main_help'] = 'Tento kód presne skopírujte a vložte ho do stránky na miesto, kde chcete novinky zobrazovať(stránka musí mať príponu .php). Možnosti prispôsobenia vzhľadu výpisu noviniek si upravíte v sekcii %templates%.';
  $lang['int_code_menu'] = 'Automaticky generované menu kategórií';
  $lang['int_code_menu_help'] = 'Kód vložte do stránky na mieste, kde chcete automaticky generovať menu. Vygeneruje sa menu z kategórií v nečíslovanom zozname s class="mn-menu" a id="mn-cat-menu"';
  $lang['int_code_pagemenu'] = 'Automaticky generované menu stránok';
  $lang['int_code_pagemenu_help'] = 'Kód vložte do stránky na mieste, kde chcete automaticky generovať menu stránok. Vygeneruje sa menu zo statických stránok v nečíslovanom zozname s class="mn-menu" a id="mn-page-menu"';
  $lang['int_code_rss'] = 'RSS';
  $lang['int_code_rss_help'] = 'Tento kód vkladajte do prázdneho súboru na stránke, napríklad do prázdneho rss.php, na ktorý budete potom odkazovať. Premennú $mn_url si upravte podľa toho, kde presne novinky zobrazujete(defaultne je nastavená na index).';
  $lang['int_code_search'] = 'Vyhľadávací formulár';
  $lang['int_code_search_help'] = 'Kód vložte do stránky na mieste, kde chcete zobraziť formulár na vyhľadávanie. Premennú $mn_url si upravte podľa toho, kde presne novinky zobrazujete(defaultne je nastavená podľa nastavenia MNews).';
  $lang['int_integration'] = 'Začlenenie do stránok';


/* ----- Pomocník začlenenia (wizard) ----------------------------------------------- */
  $lang['wiz_author'] = 'Autor článkov';
  $lang['wiz_author_all'] = 'Zobrazovať články všetkých autorov';
  $lang['wiz_author_help'] = 'Možnosť vybrania len konrétneho autora, od ktorého sa budú zobrazovať články.';
  $lang['wiz_categories'] = 'Kategórie článkov';
  $lang['wiz_categories_empty'] = 'Neexistujú žiadne kategórie.';
  $lang['wiz_categories_help'] = 'Výber len určitých kategórií, z ktorých budú zobrazovať články. Ak nevyberiete ani jednu kategóriu, budú sa vypisovať články zo všetkých kategórií.';
  $lang['wiz_generate'] = 'Vygenerovať kód';
  $lang['wiz_generated_code'] = 'Vygenerovaný kód';
  $lang['wiz_generated_code_help'] = 'Na zobrazenie článkov podľa Vami zvolených kritérií vložte tento kód do Vašich stránok (s koncovkou *.php) na miesto, kde chcete články zobrazovať!';
  $lang['wiz_pagination'] = 'Zobrazovať stránkovanie';
  $lang['wiz_pagination_help'] = 'Možnosť vypnúť zobrazenie stránkovania dole pod výpisom článkov. Pokiaľ nezvolíte ani jednu možnosť, použije sa predvolená hodnota z nastavení.';
  $lang['wiz_posts_count'] = 'Počet zobrazovaných článkov';
  $lang['wiz_posts_count_help'] = 'Koľko článkov sa má zobrazovať vo výpise. Pokiaľ ostane pole prázdne, použije sa predvolená hodnota z nastavení.';
  $lang['wiz_template'] = 'Skupina šablón';
  $lang['wiz_template_default'] = 'Základná predvolená skupina';
  $lang['wiz_template_help'] = 'Možnosť výberu skupiny šablón, z ktorej sa budú aplikovať šablóny na výpis článkov.';
  $lang['wiz_wizard'] = 'Sprievodca začlenením článkov';
  $lang['wiz_wizard_help'] = 'Tento pomocník Vám umožní vygenerovať kód pre začlenenie článkov do stránok podľa zadaných kritérií. Pokiaľ chcete do stránok vložiť menu, archív, či vyhľadávací formulár, navštívte sekciu';



  ##### Pýchou nie sme nikdy opitííí... ############################################################
  ##### http://youtu.be/jRxOcefjD54 ################################################################

?>