<?php

	include './stuff/inc/mn-start.php';
	$admin_tmpl['galleries_main'] = true;
	$admin_tmpl['code'] = false;



	// Zmena od verzie 2.8.0, ako sa ukladajú dáta ku galériam
	if (!file_exists($file['id_galleries']) && file_exists($file['galleries'])) {

		$galleries_file = file($file['galleries']);
		$galleries_arr = array();
		$auto_increment_id = 1;
		foreach ($galleries_file as $single_line) {
			$gallery_data = explode(DELIMITER, $single_line);
			if (substr($gallery_data[0], 0, 2) == '<?') {
				$auto_increment_id = trim($gallery_data[1]);
			}
			else {

				$fFile = file(MN_ROOT . $file['files']);
				$gallery_files = array();
				array_shift($fFile);

				foreach ($fFile as $file_line) {
					$f = get_values('files', $file_line, false);
					$fGalleries = explode(',', trim($f['galleries']));
					foreach ($fGalleries as $fGallery) {
						if ($fGallery == $gallery_data[0]) {
							$gallery_files[] = $f['file_id'];
						}
					}

				}

				$galleries_arr[$gallery_data[0]] = array(
					'gallery_name' 	=> $gallery_data[1],
					'friendly_url' 	=> $gallery_data[2],
					'main_image'	=> '',
					'gallery_files'	=> $gallery_files,
				);
			}
		}

		if (mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries_arr))) {
			mn_put_contents($file['id_galleries'], ($auto_increment_id));
		}

	}





	$galleries = get_unserialized_array('galleries');
	$auth = user_auth('5');





	if (isset($_POST['action']) && $_POST['action'] == 'setimg' && isset($_POST['gallery_id']) && is_numeric($_POST['gallery_id'])) {

		$galleries[$_POST['gallery_id']]['main_image'] = check_text($_POST['img_name'], true);
		mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries));
		die();

	}
	elseif (isset($_POST['action']) && $_POST['action'] == 'setorder' && isset($_POST['gallery_id']) && is_numeric($_POST['gallery_id'])) {

		$galleries[$_POST['gallery_id']]['gallery_files'] = $_POST['files_order'];
		mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries));
		die();

	}
	elseif (isset($_REQUEST['action']) && isset($_REQUEST['id'])) {
		$var = $galleries[$_REQUEST['id']];
		$var['gallery_id'] = $_REQUEST['id'];
	}





	if (isset($_POST['action']) && $_POST['action'] == 'add') {

		if (!empty($_POST['gallery_name'])) {

			$auto_increment_id = (file_exists($file['id_galleries'])) ? trim(file_get_contents($file['id_galleries'])) : 1;

			$galleries[$auto_increment_id] = array(
				'gallery_name' => check_text($_POST['gallery_name'], true),
				'friendly_url' => friendly_url($_POST['gallery_name']),
				'main_image' => '',
				'gallery_files' => array(),
			);

			if (mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries))) {
				log_it('galleries', 'add', $auto_increment_id);
				mn_put_contents($file['id_galleries'], ($auto_increment_id+1));
				header('location: ./mn-galleries.php?back=added');
				exit;
			}
			else {
				overal_header($lang['galleries_galleries'], $lang['galleries_msg_put_contents_error'], 'error');
			}

		}

		else {
			overall_header($lang['galleries_galleries'], $lang['galleries_msg_empty_gallery_name'], 'error');
		}
	}





	elseif (isset($_POST['action']) && $_POST['action'] == 'edit' && isset($_POST['id']) && file_exists($file['galleries'])) {

		if (!empty($_POST['gallery_name'])) {

			$galleries[$_POST['id']]['gallery_name'] = check_text($_POST['gallery_name'], true);
			$galleries[$_POST['id']]['friendly_url'] = friendly_url($_POST['gallery_name']);

			if (mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries))) {
				log_it('galleries', 'edit', $_POST['id']);
				header('location: ./mn-galleries.php?back=edited');
				exit;
			}
			else {
				overal_header($lang['galleries_galleries'], $lang['galleries_msg_put_contents_error'], 'error');
			}

		}

		else {
			overall_header($lang['galleries_galleries'], $lang['galleries_msg_empty_gallery_name'], 'error');
		}
	}





	elseif (isset($_GET['action']) && $_GET['action'] == 'edit' && isset($_GET['id']) && file_exists($file['galleries']) && !empty($var['gallery_name'])) {
		overall_header($lang['galleries_edit_gallery'] . ' &raquo; ' . $var['gallery_name'], $lang['galleries_edit_gallery'], 'main');
	}





	elseif (isset($_GET['action']) && $_GET['action'] == 'delete' && isset($_GET['id']) && file_exists($file['galleries']) && !empty($var['gallery_name'])) {
		$admin_tmpl['galleries_main'] = false;
	}





	elseif (isset($_POST['action']) && $_POST['action'] == 'delete' && isset($_POST['id']) && file_exists($file['galleries'])) {

		if (isset($galleries[$_POST['id']])) {
			unset($galleries[$_POST['id']]);
		}

		if (mn_put_contents($file['galleries'], DIE_LINE . serialize($galleries))) {
			log_it('galleries', 'delete', $_POST['id']);
			header('location: ./mn-galleries.php?back=deleted');
			exit;
		}
		else {
			overal_header($lang['galleries_galleries'], $lang['galleries_msg_put_contents_error'], 'error');
		}

	}





	elseif (isset($_GET['action']) && $_GET['action'] == 'code' && isset($_GET['gal']) && is_numeric($_GET['gal'])) {
		$admin_tmpl['galleries_main'] = false;
		$admin_tmpl['code'] = true;
	}





	else {
		if (isset($_GET['back']) && $_GET['back'] == 'added') overall_header($lang['galleries_galleries'], $lang['galleries_msg_gallery_added'], 'ok');
		elseif (isset($_GET['back']) && $_GET['back'] == 'deleted') overall_header($lang['galleries_galleries'], $lang['galleries_msg_gallery_deleted'], 'ok');
		elseif (isset($_GET['back']) && $_GET['back'] == 'edited') overall_header($lang['galleries_galleries'], $lang['galleries_msg_gallery_edited'], 'ok');
		else overall_header($lang['galleries_galleries'], $lang['galleries_galleries'], 'main');
		$var['action'] = 'add';
	}





	$var['action'] = (isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit') ? 'edit' : 'add';

	if (isset($admin_tmpl['galleries_main']) && $admin_tmpl['galleries_main']) {
?>

	<div id="gallery-add-edit">
		<form action="./mn-galleries.php" method="post" id="category-add-edit">
			<label for="gallery_name"><?php echo $lang['galleries_gallery_name'];?>:</label> <input type="text" class="text" name="gallery_name" id="gallery_name" class="focus" value="<?php echo @$var['gallery_name'];?>" />
			<input type="hidden" name="action" value="<?php echo $var['action'];?>" />
			<?php if (isset($var['action']) && $var['action'] == 'edit') echo '<input type="hidden" name="id" id="gallery_id" value="' . $var['gallery_id'] . '" />';?>
			<button type="submit" name="aaa"><img src="./stuff/img/icons/images-<?php echo $var['action'];?>.png" alt="" /> <?php echo $lang['galleries_' . $var['action'] . '_gallery'];?></button>
			<?php echo ($var['action'] == 'edit') ? ' <a href="./mn-galleries.php" class="cancel">' . $lang['uni_cancel'] . '</a>' : '';?>


			<div id="gallery-images">
			<?php
				if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit') {
					if (!empty($var['gallery_files'])) {

						$f_file = file($file['files']);
						array_shift($f_file);
						$gFiles = array();

						foreach ($f_file as $single_line) {
							$f_data = explode(DELIMITER, $single_line);
							if (!in_array($f_data[0], $var['gallery_files'])) {
								continue;
							}
							else {
								$main_cls = ($f_data[1] . '.' . $f_data[2] == trim($var['main_image'])) ? ' main' : '';
								$gFiles[$f_data[0]] = '<img src="./data/files/images/_thumbs/_' . $f_data[1] . '.' . $f_data[2] . '" alt="" class="gal-img' . $main_cls . '" data-file="' . $f_data[1] . '.' . $f_data[2] . '" data-id="' . $f_data[0] . '" width="60px" height="40px">';
							}
						}

						foreach ($var['gallery_files'] as $n => $fId) {
							echo $gFiles[$fId];
						}

						echo '<p>' . $lang['galleries_files_help'] . '</p>';
					}
				}
			?>

				<div class="cleaner">&nbsp;</div>

			</div>


		</form>





	</div>


	<?php if (file_exists($file['galleries']) && !empty($galleries)) { ?>
	<script type="text/javascript" src="./stuff/etc/jquery-tablesorter-min.js"></script>
	<script type="text/javascript">$(function() {$("table") .tablesorter({widthFixed: false})});</script>
	<table id="galleries-list" class="tablesorter minor-list">
		<thead>
			<tr><th id="minor_id" class="l num">id</th><th id="minor_name"><?php echo $lang['galleries_gallery'];?></th><th id="minor_count" class="num"><img src="./stuff/img/icons/images-gray.png" alt="-" class="tooltip" title="<?php echo $lang['galleries_posts_count'];?>" /></th></tr>
		</thead>
		<tbody>
			<?php
				foreach ($galleries as $gallery_id => $g) {
					$gallery_files_count = (empty($g['gallery_files'])) ? '<em class="trivial">0</em>' : '<a href="./mn-files.php?g=' . $gallery_id . '">' . count($g['gallery_files']) . '</a>';
					echo '<tr><td class="c">' . $gallery_id . '</td><td><a href="./mn-galleries.php?action=edit&amp;id=' . $gallery_id . '" class="main-link">' . $g['gallery_name'] . '</a><br />&nbsp;<span class="links hide"><a href="./mn-galleries.php?action=edit&amp;id=' . $gallery_id . '">' . $lang['uni_edit'] . '</a> &middot; <a href="./mn-galleries.php?action=code&amp;gal=' . $gallery_id . '" class="fancy" data-type="ajax">' . $lang['uni_code'] . '</a> &middot; <a href="./mn-galleries.php?action=delete&amp;id=' . $gallery_id . '" class="fancy" data-type="ajax">' . $lang['uni_delete'] . '</a></span></td><td class="c">' . $gallery_files_count . '</td></tr>';
				}
			?>
		</tbody>
	</table>
	<?php } ?>

	<p class="cleaner">&nbsp;</p>

<?php
	}
	elseif (isset($admin_tmpl['code']) && $admin_tmpl['code']) {
?>

	<form id="integration">
		<fieldset>
			<legend><?php echo $lang['galleries_int_code'];?></legend>
			<p class="help"><?php echo str_ireplace('%templates%', '<a href="./mn-templates.php">' . $lang['tmpl_templates'] . '</a>', $lang['galleries_int_code_help1']);?></p>
			<textarea class="integration" id="gal" readonly="readonly">&lt;?php
	$mn_mode = 'gallery';
	$mn_gallery = <?php echo $_GET['gal'];?>;
	include '<?php echo dirname(__FILE__);?>/mn-show.php';
?&gt;</textarea>
			<p class="help">
				<?php
					echo $lang['galleries_int_code_help2'] . ': http://' . $_SERVER['SERVER_NAME'] . '/?mn_gallery=' . $_GET['gal'];
				?>
			</p>
	</form>

<?php
	die();
	}
	else {
?>

	<form action="./mn-galleries.php" method="post" class="item-delete">
		<fieldset>
			<?php echo $lang['galleries_q_really_delete'];?>: <strong><?php echo $var['gallery_name'];?></strong>?<br />
			<?php
				if (count($galleries[$var['gallery_id']]['gallery_files']) == 1) $msg_num = 1;
				elseif (count($galleries[$var['gallery_id']]['gallery_files']) > 1 && count($galleries[$var['gallery_id']]['gallery_files']) < 5) $msg_num = 2;
				elseif (count($galleries[$var['gallery_id']]['gallery_files']) > 4) $msg_num = 3;
				else $msg_num = 0;
				echo '<em>' . str_replace('%n%', '<strong>' . count($galleries[$var['gallery_id']]['gallery_files']) . '</strong>', $lang['galleries_msg_posts_number_' . $msg_num]) . '</em>';
				echo '<em>' . $lang['galleries_msg_images_no_delete'] . '</em>';
			?>
			<p>
				<span class="warn"><img src="./stuff/img/icons/warning.png" alt="!" /> <?php echo $lang['uni_no_go_back'];?> <img src="./stuff/img/icons/warning.png" alt="!" /></span>
				<input type="hidden" name="action" value="delete" />
				<input type="hidden" name="id" value="<?php echo $var['gallery_id'];?>" />
				<button type="submit" name="delete"><img src="./stuff/img/icons/delete.png" alt="" width="16" height="16" /> <?php echo $lang['galleries_delete_gallery'];?></button>
			</p>
		</fieldset>
	</form>

<?php
	die();
	}

	overall_footer();



	##### I ? ########################################################################################
	##### http://youtu.be/nTbL5elVXrU ################################################################

?>