<?php
/*
 * Jazykovy soubor "English" pro MNews verzi 2.2.0
 *
 * ---------------------------------------------------
 *
 * @autor prekladu     Witcher <witcher@mail333.com>
 * @copyright          Copyright (c) 2009 Milan Nemčík
 * @licence            GNU GENERAL PUBLIC LICENSE
 * @verze              2.2.0
 *
*/


/* ----- General terms ----------------------------------------------------------------------- */
  $lang['uni_add'] = 'add';
  $lang['uni_anonym'] = 'Anonymous';
  $lang['uni_approve'] = 'Approve';
  $lang['uni_ban'] = 'Block';
  $lang['uni_ban_ip'] = 'Block IP address';
  $lang['uni_banned_ip'] = 'IP block';
  $lang['uni_bulk_actions'] = 'Collective action';
  $lang['uni_cancel'] = 'Cancel';
  $lang['uni_change_lang'] = 'Change language';
  $lang['uni_code'] = 'Code';
  $lang['uni_continue'] = 'Continue';
  $lang['uni_date'] = 'Date';
  $lang['uni_date_day'] = 'Day';
  $lang['uni_date_hour'] = 'Hour';
  $lang['uni_date_minute'] = 'Minute';
  $lang['uni_date_month'] = 'Month';
  $lang['uni_date_year'] = 'Year';
  $lang['uni_delete'] = 'Delete';
  $lang['uni_download'] = 'Download';
  $lang['uni_edit'] = 'Edit';
  $lang['uni_hide'] = 'Hide';
  $lang['uni_logout'] = 'Logout';
  $lang['uni_next'] = 'next';
  $lang['uni_no'] = 'No';
  $lang['uni_no_go_back'] = 'This process is irreversible!';
  $lang['uni_previous'] = 'previous';
  $lang['uni_profile'] = 'profile';
  $lang['uni_save'] = 'Save';
  $lang['uni_search'] = 'Search';
  $lang['uni_send'] = 'Submit';
  $lang['uni_show'] = 'View';
  $lang['uni_trash'] = 'Trash';
  $lang['uni_undo'] = 'Back';
  $lang['uni_unknown'] = 'Unknown';
  $lang['uni_upload'] = 'Load';
  $lang['uni_yes'] = 'Yes';

  $lang['month'] = array(
    '1'  => 'January',
    '2'  => 'February',
    '3'  => 'March',
    '4'  => 'April',
    '5'  => 'May',
    '6'  => 'June',
    '7'  => 'July',
    '8'  => 'August',
    '9'  => 'September',
    '10' => 'October',
    '11' => 'November',
    '12' => 'December'
  );

  $lang['num'] = array(
    '1'  => 'one',
    '2'  => 'two',
    '3'  => 'three',
    '4'  => 'four',
    '5'  => 'five',
    '6'  => 'six',
    '7'  => 'seven',
    '8'  => 'eight',
    '9'  => 'nine',
    '10' => 'ten',
    '11' => 'eleven',
    '12' => 'twelve',
    '13' => 'thirteen',
    '14' => 'fourteen',
    '15' => 'fifteen',
    '16' => 'sixteen',
    '17' => 'seventeen',
    '18' => 'eighteen',
    '19' => 'nineteen',
    '20' => 'twenty'
  );


/* ----- Frontend ----------------------------------------------------------------- */
  $lang['web_anonym'] = 'Anonymous';
  $lang['web_bbcode_bold'] = 'Bold text';
  $lang['web_bbcode_code'] = 'Source code (php, html)';
  $lang['web_bbcode_italics'] = 'Italic';
  $lang['web_bbcode_link'] = 'Link';
  $lang['web_bbcode_strikethrough'] = 'Strike text';
  $lang['web_bbcode_underline'] = 'Underline text';
  $lang['web_comment_add_another'] = 'Add more';
  $lang['web_comments'] = 'Comments';
  $lang['web_logged_in_as'] = 'You are logged in as';
  $lang['web_logout'] = 'logout';
  $lang['web_search'] = 'Search';
  $lang['web_msg_banned_ip'] = 'Your IP address has been banend!  You can´t send comments!';
  $lang['web_msg_cat_no_posts'] = 'This category does not contain any posts yet!';
  $lang['web_msg_cat_posts'] = 'Posts in category %c%:';
  $lang['web_msg_tag_posts'] = 'Posts with tag %t%:';
  $lang['web_msg_comment_added'] = 'The comment was successfully added!';
  $lang['web_msg_comment_hidden'] = 'Comment has been hidden for inappropriate content!';
  $lang['web_msg_comment_sent'] = 'Your comment has been submitted and will appear only after approval by an administrator!';
  $lang['web_msg_comments_forbidden'] = 'This post has been closed.  You can not add to it further comment.';
  $lang['web_msg_no_cats_file'] = 'File category does not exist.';
  $lang['web_msg_no_comments'] = 'There are no comments yet!';
  $lang['web_msg_no_files_in_gallery'] = 'In this gallery are no pictures.';
  $lang['web_msg_no_gallery'] = 'Gallery with ID %id% does not exist!';
  $lang['web_msg_no_gals_files_file'] = 'File gallery or a list of files does not exist.';
  $lang['web_msg_no_pages'] = 'There are no pages';
  $lang['web_msg_no_posts'] = 'There are no posts';
  $lang['web_msg_no_post_or_tmpl'] = 'Post, or template does not exist!  (Check the correct use of  <strong>$mn_tmpl</strong>)';
  $lang['web_msg_no_tags'] = 'There are no tags';
  $lang['web_msg_post_unavailable'] = 'Post can not be displayed. Nonono, do not play with the url :o)';
  $lang['web_msg_search_forbidden'] = 'In search special characters are not allowed!  You may only use letters and numbers!';
  $lang['web_msg_search_no_posts'] = 'Search for %s% not found in any of the posts!';
  $lang['web_msg_search_found'] = 'Search for %s% was found in the following posts:';
  $lang['web_msg_system_maintainance'] = 'Undergoing maintenance system! Posts are temporarily unavailable.'; // musí být bez diakritiky !!!
  $lang['web_page_password'] = 'To access this page you need to enter the password';
  $lang['web_post_link'] = 'Read more';
  $lang['web_rss_description'] = 'Current posts from the server';
  $lang['web_uncategorized'] = 'Unsorted';
  $lang['web_viewed'] = 'Viewed';


/* ----- Installation ------------------------------------------------------------------------------ */
  $lang['install_chmod_text'] = 'Unfortunately, the script couldn\'t automatically change the permissions to write to the individual directories.  It is therefore necessary to manually change the rights given to <b>777</b>.';
  $lang['install_chmod_text2'] = 'It must be manually via FTP to change the file permissions to 777 this directory:';
  $lang['install_chmod_show_manual'] = 'View User guide';
  $lang['install_chmod_help_step1'] = 'Connect to FTP using Total Commander (or other FTP client)';
  $lang['install_chmod_help_step2'] = 'The FTP select the appropriate directory (or even multiple directories at once), which are going to change the privilegs.';
  $lang['install_chmod_help_step3'] = 'In the bar of Total Commander menu, click on "<em>File</em>" and then click "<em>Change attributes</em>"';
  $lang['install_chmod_help_step4'] = 'Then pop up window with the offer.  In this window, bottom left, enter 777 and click OK.  You have successfully changed the privilegs to write :)';
  $lang['install_chmod_help_step5'] = 'This repeat on all directories that may need to change the privilegs on registration';
  $lang['install_chmod_help_step6'] = 'If everything is OK, press "Continue". In case of successful changes in the rights of all directories, the system begins later in the installation.';
  $lang['install_installation'] = 'Installation';
  $lang['install_msg_add_user'] = 'Add User';
  $lang['install_msg_install_done'] = 'Congratulations!  MNews installation was successful!';
  $lang['install_msg_update_done'] = 'Congratulations!  Update MNews was successful!';
  $lang['install_msg_chmod'] = 'Change write permission for the directory';
  $lang['install_text_done'] = 'Now please delete file "<strong>install.php</strong>" and go to the <a href="./">Index page</a>.';
  $lang['install_update'] = 'Updating';


/* ----- Login ----------------------------------------------------------------------------- */
  $lang['login_administration'] = 'Administration';
  $lang['login_back_to_web'] = 'Back to the site';
  $lang['login_delete_cookies'] = 'Delete cookies';
  $lang['login_login'] = 'Log in';
  $lang['login_log_in'] = 'Log in';
  $lang['login_lost_pass'] = 'Forgot password?';
  $lang['login_lost_pass_mail_subject'] = 'MNews - New password';
  $lang['login_lost_pass_mail_text'] = 'You have requested a password reset, the system MNews at %link%. Your new password is:';
  $lang['login_lost_pass_wrong_values'] = 'Your login and e-mail address is not match!';
  $lang['login_msg_blocked_ip'] = 'Your IP address is blocked!';
  $lang['login_msg_auto_logged_out'] = 'For inaction you were logged off!';
  $lang['login_msg_install_file'] = 'The file "install.php" still exists!';
  $lang['login_msg_logged_out'] = 'You have successfully logged out!';
  $lang['login_msg_login_error'] = 'Wrong credentials!';
  $lang['login_msg_regdone'] = 'Registration was successful!  You can sign ...';
  $lang['login_msg_pass_sent'] = 'New password has been sent to the specified e-mail!';
  $lang['login_msg_pass_not_sent'] = 'Unable to send e-mail with a new password!';
  $lang['login_msg_status_0'] = 'Your account has been disabled';
  $lang['login_msg_status_2'] = 'Your account has not been activate';
  $lang['login_permanent_login'] = 'Permanent login';
  $lang['login_register'] = 'Register';
  $lang['login_registration'] = 'Registration';
  $lang['login_send_new_pass'] = 'Send new password';
  $lang['login_send_pass'] = 'Send password';
  $lang['login_text_install_file1'] = 'Please remove the file "<strong>install.php</strong>". Otherwise you will not be able to login.';
  $lang['login_text_install_file2'] = 'Then refresh this page!';
  $lang['login_user_email'] = 'E-mail';
  $lang['login_user_login'] = 'Username';
  $lang['login_user_login_short'] = 'Login';
  $lang['login_user_password'] = 'Password';
  $lang['login_user_password_verify'] = 'Verify password';


/* ----- Dashboard ------------------------------------------------------------------------------ */
  $lang['index_access_denied'] = 'Access denied';
  $lang['index_access_denied_text'] = 'You do not have permission to perform this action!  Nonono! :)';
  $lang['index_comments_approve1'] = 'You have %n% comment that %a% pending approval %/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_comments_approve2'] = 'You have %n% comment that %a% are waiting for approval%/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_comments_approve3'] = 'You have %n% comment that %a% are waiting for approval%/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_comments_count'] = 'Number of comments';
  $lang['index_comments_new'] = 'New';
  $lang['index_config'] = 'Set the boards';
  $lang['index_dashboard'] = 'Feed';
  $lang['index_db_save'] = 'Save';
  $lang['index_dont_show_again'] = 'Do not show!';
  $lang['index_help_info_config'] = 'Do not forget to set the <em>name</em>, <em>format</em> and <em>encoding</em> of your page in the section %config%!';
  $lang['index_check_file_files_php'] = 'File %file% does not exist. For automatic correct go to section %files%';
  $lang['index_chmod_check_dir'] = 'The directory %dir% does not correctly write rights';
  $lang['index_chmod_check_file'] = 'The file %file% does not correctly write rights';
  $lang['index_chmod_check_text1'] = 'Some directories or files are not correctly write rights!';
  $lang['index_chmod_check_text2'] = 'Writing to these directories / files will not work properly!';
  $lang['index_info_actuall_version'] = 'The current version';
  $lang['index_info_language'] = 'Main language';
  $lang['index_info_mn_check_no'] = 'Pay attention to the warnings!';
  $lang['index_info_mn_check_ok'] = 'It seems that everything is OK :)';
  $lang['index_info_mnews_version'] = 'Version MNews';
  $lang['index_info_new_version'] = 'Exist a newer version';
  $lang['index_info_new_version_text'] = 'You are currently using an old version MNews %old%, on the Web is a newer stable version MNews number %new%. So please download the new version at: %url%.';
  $lang['index_info_php_version'] = 'PHP version';
  $lang['index_info_php_version_ok'] = 'OK';
  $lang['index_info_php_version_warning'] = 'MNews is primarily written for PHP 5 and higher.  Some parts MNews on earlier versions may not work properly!';
  $lang['index_info_system_check'] = 'System check';
  $lang['index_info_time'] = 'Server time';
  $lang['index_integration_text'] = 'More information can be found in section %integration%.';
  $lang['index_msg_no_comments'] = 'There is no comment.';
  $lang['index_msg_no_new_comments'] = 'Since last login are no new comments.';
  $lang['index_msg_no_posts'] = 'There are no posts.';
  $lang['index_msg_no_rss'] = 'RSS failed to load!';
  $lang['index_posts_approve1'] = 'You have %n% post that %a% pending approval %/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_posts_approve2'] = 'You have %n% posts %a% are waiting for approval %/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_posts_approve3'] = 'You have %n% of the posts that %a% are waiting for approval %/a%.'; // Need to maintain the variables %n% %a% %/a%
  $lang['index_posts_count'] = 'Number of posts';
  $lang['index_stat_categories'] = 'Number of categories';
  $lang['index_stat_comments'] = 'Number of comments';
  $lang['index_stat_files'] = 'Number of recorded files';
  $lang['index_stat_groups'] = 'Number of user groups';
  $lang['index_stat_ips'] = 'Number of blocked IP addresses';
  $lang['index_stat_pages'] = 'Pages';
  $lang['index_stat_posts'] = 'posts';
  $lang['index_stat_tags'] = 'Tags';
  $lang['index_stat_users'] = 'Users';
  $lang['index_welcome'] = 'Welcome';
  $lang['index_widget_comments'] = 'Recent comments';
  $lang['index_widget_info'] = 'MNews info';
  $lang['index_widget_posts'] = 'Latest news';
  $lang['index_widget_rss'] = 'MNews RSS';
  $lang['index_widget_stats'] = 'Statistics';


/* ----- posts --------------------------------------------------------------------------------- */
  $lang['posts_add_new_post'] = 'Add new post';
  $lang['posts_add_post'] = 'Add post';
  $lang['posts_all_authors'] = 'All authors';
  $lang['posts_all_categories'] = 'All categories';
  $lang['posts_all_dates'] = 'All data';
  $lang['posts_all_posts'] = 'All';
  $lang['posts_all_tags'] = 'All tags';
  $lang['posts_all_users'] = 'All users';
  $lang['posts_author_anonym'] = 'Anonymous';
  $lang['posts_author'] = 'Author';
  $lang['posts_back_posts_list'] = 'Back to to the post list';
  $lang['posts_cat'] = 'Category';
  $lang['posts_comments'] = 'Comments';
  $lang['posts_comments_option0'] = 'Allow comments';
  $lang['posts_comments_option1'] = 'Disable comments (leave the current ones)';
  $lang['posts_comments_option2'] = 'Disable comments and hide the previous comments';
  $lang['posts_comments_option_delete'] = 'Delete all comments (This process is irreversible)';
  $lang['posts_date'] = 'Date';
  $lang['posts_data_current'] = 'Current date';
  $lang['posts_date_day'] = 'Day';
  $lang['posts_date_hour'] = 'Hour';
  $lang['posts_date_minute'] = 'Minute';
  $lang['posts_date_month'] = 'Month';
  $lang['posts_date_now'] = 'Publish immediately';
  $lang['posts_date_year'] = 'Year';
  $lang['posts_delete_cancel'] = 'Cancel';
  $lang['posts_delete_post'] = 'Delete post';
  $lang['posts_edit_post'] = 'Edit post';
  $lang['posts_filter'] = 'Filter';
  $lang['posts_filter_cancel'] = 'Cancel filter';
  $lang['posts_filter_settings'] = 'Settings';
  $lang['posts_full_story'] = 'Full story';
  $lang['posts_future_post'] = 'Future post';
  $lang['posts_image'] = 'Image';
  $lang['posts_last_posts'] = 'Last post';
  $lang['posts_msg_added'] = 'Post published!';
  $lang['posts_msg_added_as_draft'] = 'Post has been saved as a draft!';
  $lang['posts_msg_added_as_private'] = 'Post published as a private posts!';
  $lang['posts_msg_added_as_unapproved'] = 'Post has been added successfully (pending approval by admin)!';
  $lang['posts_msg_delete_cancelation'] = 'Post deletion canceled';
  $lang['posts_msg_empty_values'] = 'Please fill in all of the required fields!';
  $lang['posts_msg_error'] = 'Invalid write permissions!';
  $lang['posts_msg_no_posts'] = 'There are no posts! There is nothing to delete or edit :)';
  $lang['posts_msg_no_posts_criteria'] = 'Selected criteria did not match any post!';
  $lang['posts_msg_post_approved'] = 'Post has been successfully edited and approved!';
  $lang['posts_msg_post_deleted'] = 'The post has been deleted successfully!';
  $lang['posts_msg_post_edited'] = 'The post has been successfully modified!';
  $lang['posts_msg_post_rejected'] = 'The post has been edited and saved as unapproved!';
  $lang['posts_msg_post_saved'] = 'The post has been successfully modified and saved as a draft!';
  $lang['posts_msg_post_unapproved'] = 'The post has been successfully modified (pending approval by admin)!';
  $lang['posts_new_post'] = 'New post';
  $lang['posts_page_first'] = 'First page';
  $lang['posts_page_last'] = 'Last page';
  $lang['posts_page_next'] = 'Next page';
  $lang['posts_page_prev'] = 'Previous page';
  $lang['posts_post'] = 'Post';
  $lang['posts_post_comments'] = 'Post Comments';
  $lang['posts_posts'] = 'Posts';
  $lang['posts_q_really_delete'] = 'Are you sure you want delete the post';
  $lang['posts_select_all'] = 'Select all';
  $lang['posts_select_category'] = 'Select category';
  $lang['posts_settings'] = 'Settings';
  $lang['posts_show_post'] = 'Show post';
  $lang['posts_show_post_web'] = 'Show post on your site';
  $lang['posts_short_story'] = 'Short story (perex)';
  $lang['posts_status'] = 'Status';
  $lang['posts_status_all'] = 'All statuses';
  $lang['posts_status_1'] = 'Published';
  $lang['posts_status_2'] = 'Private';
  $lang['posts_status_3'] = 'Drafts';
  $lang['posts_status_4'] = 'Pending approval';
  $lang['posts_status_5'] = 'Unauthorized';
  $lang['posts_status_form_1'] = 'Public';
  $lang['posts_status_form_1_help'] = 'After the approval of the administrator';
  $lang['posts_status_form_2'] = 'Private part';
  $lang['posts_status_form_2_help'] = 'It does not appear in the public listing of posts';
  $lang['posts_status_form_3'] = 'Save as draft';
  $lang['posts_status_form_4'] = 'Waiting for approval';
  $lang['posts_status_form_4_alt'] = 'Send for re-approval';
  $lang['posts_status_form_5'] = 'Rejected';
  $lang['posts_status_name_1'] = 'Published';
  $lang['posts_status_name_2'] = 'Private';
  $lang['posts_status_name_3'] = 'Concept';
  $lang['posts_status_name_4'] ='<!-- c -->Pending approval';
  $lang['posts_status_name_5'] = 'Rejected';
  $lang['posts_submit_add'] = 'Add';
  $lang['posts_submit_approve'] = 'Approve';
  $lang['posts_submit_publish'] = 'Publish';
  $lang['posts_submit_reject'] = 'Reject';
  $lang['posts_submit_save'] = 'Save changes';
  $lang['posts_title'] = 'Title';
  $lang['posts_toggle_full_story'] = 'Toggle full story';
  $lang['posts_upload_images'] = 'Add images';
  $lang['posts_wysiwyg_toggle'] = 'Disable/Enable WYSIWYG';


/* ----- Categories ------------------------------------------------------------------------------ */
  $lang['cats_add_category'] = 'Add Category';
  $lang['cats_categories'] = 'Categories';
  $lang['cats_category'] = 'Category';
  $lang['cats_cat_name'] = 'Category name';
  $lang['cats_delete_cancel'] = 'Cancel';
  $lang['cats_delete_category'] = 'Delete category';
  $lang['cats_edit_category'] = 'Edit category';
  $lang['cats_msg_category_added'] = 'The category was successfully added!';
  $lang['cats_msg_category_canceled'] = 'Delete category was canceled';
  $lang['cats_msg_category_deleted'] = 'Category has been deleted successfully!';
  $lang['cats_msg_category_edited'] = 'Category has been successfully updated!';
  $lang['cats_msg_empty_cat_name'] = 'The category name can not be empty!';
  $lang['cats_msg_posts_number_0'] = 'Category contains no posts!';
  $lang['cats_msg_posts_number_1'] = 'Category contains %n% post!';
  $lang['cats_msg_posts_number_2'] = 'Category contains %n% posts!';
  $lang['cats_msg_posts_number_3'] = 'Category contains %n% posts!';
  $lang['cats_msg_put_contents_error'] = 'Invalid write rights to the category file!';
  $lang['cats_posts_count'] = 'Number of posts in the category';
  $lang['cats_q_really_delete'] = 'Are you sure you want to delete the category';
  $lang['cats_show_cats_list'] = 'Category list';
  $lang['cats_uncategorized'] = 'Uncategorized';
  $lang['cats_unknown_category'] = 'Unknown category';


/* ----- Tags --------------------------------------------------------------------------------- */
  $lang['tags_add_tag'] = 'Add tag';
  $lang['tags_tags'] = 'Tags';
  $lang['tags_tag'] = 'Tag';
  $lang['tags_tag_name'] = 'Tag name';
  $lang['tags_delete_cancel'] = 'Cancel';
  $lang['tags_delete_tag'] = 'Remove tag';
  $lang['tags_edit_tag'] = 'Edit tag';
  $lang['tags_msg_tag_added'] = 'The tag was successfully added!';
  $lang['tags_msg_tag_canceled'] = 'Delete the tag has been canceled';
  $lang['tags_msg_tag_deleted'] = 'The tag was deleted successfully!';
  $lang['tags_msg_tag_edited'] = 'The tag has been successfully modified!';
  $lang['tags_msg_empty_tag_name'] = 'Tag name can not be empty!';
  $lang['tags_msg_posts_number_0'] = 'The tag is not assigned to any post!';
  $lang['tags_msg_posts_number_1'] = 'The tag is assigned to the %n% post!';
  $lang['tags_msg_posts_number_2'] = 'The tag is assigned to the %n% posts!';
  $lang['tags_msg_posts_number_3'] = 'The tag is assigned to the %n% posts!';
  $lang['tags_msg_put_contents_error'] = 'Invalid write rights to the tag file!';
  $lang['tags_posts_count'] = 'Number of posts with tag';
  $lang['tags_q_really_delete'] = 'Are you sure you want to delete the tag';
  $lang['tags_show_tags_list'] = 'Display a list of tags';
  $lang['tags_unknown_tag'] = 'Unknown tag';


/* ----- Users ------------------------------------------------------------------------------ */
  $lang['users_about'] = 'About me';
  $lang['users_about_help'] = 'In short, you can write something about yourself.  HTML tags are not permitted, all information will be in one paragraph, regardless of the number of Enterkeys.';
  $lang['users_add_new_user'] = 'Add new user';
  $lang['users_add_user'] = 'Add user';
  $lang['users_admin_info'] = 'Admin info';
  $lang['users_avatar'] = 'Avatar';
  $lang['users_avatar_help'] = 'The image should be square, JPG, PNG nebo GIF';
  $lang['users_birthdate'] = 'Date of birth';
  $lang['users_change_image'] = 'Change picture';
  $lang['users_contact_info'] = 'Contact information';
  $lang['users_delete_image'] = 'Delete image';
  $lang['users_delete_user'] = 'Delete user';
  $lang['users_edit_profile'] = 'Edit details';
  $lang['users_edit_user'] = 'Edit user';
  $lang['users_email'] = 'E-mail';
  $lang['users_gender'] = 'Sex';
  $lang['users_gender_0'] ='';
  $lang['users_gender_1'] = 'Male';
  $lang['users_gender_2'] = 'Woman';
  $lang['users_group'] = 'Group';
  $lang['users_help_email'] = 'Use a valid e-mail - in case you forget the password, it will receive a new password.';
  $lang['users_help_group'] = 'The groups have set different rights in the administration.';
  $lang['users_help_pass1'] = 'Password must be at least 6 characters long!';
  $lang['users_help_pass2'] = 'Verification of the password against typos.';
  $lang['users_help_username'] = 'Username must be at least 4 characters and a maximum of 20 may only contain alphanumeric characters, hyphens, and underscores!';
  $lang['users_icq'] = 'ICQ';
  $lang['users_jabber'] = 'Jabber/Google Talk';
  $lang['users_last_ip_address'] = 'Last IP address';
  $lang['users_last_login'] = 'Last login';
  $lang['users_last_login_never'] = 'Never';
  $lang['users_login_info'] = 'Credentials';
  $lang['users_location'] = 'Location';
  $lang['users_msg_already_exists'] = 'The selected user name or e-mail is already in the database is!';
  $lang['users_msg_already_exists_short'] = 'The selected name or e-mail address already exists!';
  $lang['users_msg_email_check'] = 'Your e-mail is not a valid e-mail address!';
  $lang['users_msg_empty_values'] = 'One of the mandatory items not completed!';
  $lang['users_msg_forbidden_chars'] = 'The chosen name contains illegal characters!';
  $lang['users_msg_forbidden_string'] = 'The user name cannot contain "admin"!';
  $lang['users_msg_passwords_not_same'] = 'The passwords do not match.';
  $lang['users_msg_posts_number_0'] = 'The user did not write any post!';
  $lang['users_msg_posts_number_1'] = 'User wrote %n% post!';
  $lang['users_msg_posts_number_2'] = 'User wrote %n% posts!';
  $lang['users_msg_posts_number_3'] = 'User wrote %n% posts!';
  $lang['users_msg_profile_edited'] = 'Profile has been successfully modified!';
  $lang['users_msg_put_contents_error'] = 'Write access to user file is not set correctly!';
  $lang['users_msg_user_added'] = 'User was successfully added!';
  $lang['users_msg_user_edited'] = 'The user has been successfully modified!';
  $lang['users_msg_user_deleted'] = 'The user was deleted successfully!';
  $lang['users_msg_values_length'] = 'Username must be at least 4 characters password at least 6!';
  $lang['users_msg_values_length_short'] = 'The name must contain at least 4 characters, password min 6';
  $lang['users_msg_wrong_antispam_num'] = 'Evil antispam number!';
  $lang['users_msg_wrong_old_password'] = 'You have entered incorrect old password!';
  $lang['users_msn'] = 'MSN';
  $lang['users_other'] = 'Other';
  $lang['users_other1'] = 'Optional item 1';
  $lang['users_other2'] = 'Optional item 2';
  $lang['users_permanent_login'] = 'Permanent log';
  $lang['users_personal_info'] = 'Personal information';
  $lang['users_personal_and_contact_info'] = 'Personal and contact information';
  $lang['users_posts_count'] = 'Number of posts by';
  $lang['users_profile'] = 'Profile';
  $lang['users_profile_edit_help'] = 'If you want to change the password, or edit the e-mail address, you must enter your current password.';
  $lang['users_public_email_help'] = 'Display e-mail publicly (with comments, etc.)';
  $lang['users_registered'] = 'Registration date';
  $lang['users_registered_ip_address'] = 'registered IP address';
  $lang['users_skype'] = 'Skype';
  $lang['users_status'] = 'Status';
  $lang['users_status_0'] = 'Inactive';
  $lang['users_status_1'] = 'Aktive';
  $lang['users_status_2'] = 'Waiting for activation';
  $lang['users_info_others'] = 'Other information';
  $lang['users_nickname'] = 'Nick';
  $lang['users_password'] = 'Password';
  $lang['users_password_check'] = 'Verify password';
  $lang['users_password_new'] = 'New password';
  $lang['users_password_old'] = 'Old password';
  $lang['users_q_really_delete'] = 'Are you sure you want to delete users';
  $lang['users_username'] = 'Username';
  $lang['users_user'] = 'User';
  $lang['users_users'] = 'Users';
  $lang['users_website'] = 'Website';


/* ----- User´s Groups -------------------------------------------------------------------- */
  $lang['groups_add_group'] = 'Add group';
  $lang['groups_add_new_group'] = 'Add new group';
  $lang['groups_default_group_1'] = 'Superadmins';
  $lang['groups_default_group_2'] = 'Administrators';
  $lang['groups_default_group_3'] = 'Editors';
  $lang['groups_default_group_4'] = 'External editors';
  $lang['groups_default_group_5'] = 'Registered users';
  $lang['groups_delete_group'] = 'Delete group';
  $lang['groups_edit_group'] = 'Edit group';
  $lang['groups_group'] = 'Group';
  $lang['groups_group_name'] = 'Group name';
  $lang['groups_groups'] = 'User´s groups';
  $lang['groups_move_users_to_group'] = 'Move the user to the group';
  $lang['groups_msg_edited'] = 'The group was successfully updated!';
  $lang['groups_msg_empty_values'] = 'All fields are mandatory!';
  $lang['groups_msg_deleted'] = 'The group has been deleted!';
  $lang['groups_msg_put_contents_error'] = 'Write access to a file of <em>user groups</em> are not set properly!';
  $lang['groups_perms_0'] = 'No rights';
  $lang['groups_perms_1'] = 'Full rights';
  $lang['groups_perms_2'] = 'Partial rights';
  $lang['groups_perms_3'] = 'Limited rights';
  $lang['groups_perms_3_dashboard'] = 'Call the profile';
  $lang['groups_perms_help_0'] = 'The user will not be able to edit anything in the section';
  $lang['groups_perms_help_1'] = 'All access to the section';
  $lang['groups_perms_help_2'] = 'Modifying only own posts, access only for comments under your own posts, etc.';
  $lang['groups_perms_help_3'] = 'Modifying only own posts published after approval etc.(more limited rights as #1)';
  $lang['groups_perms_section_0'] = 'Dashboard';
  $lang['groups_perms_section_1'] = 'posts';
  $lang['groups_perms_section_2'] = 'Category/Tags';
  $lang['groups_perms_section_3'] = 'Comments';
  $lang['groups_perms_section_4'] = 'Pages';
  $lang['groups_perms_section_5'] = 'Files';
  $lang['groups_perms_section_6'] = 'Users';
  $lang['groups_perms_section_7'] = 'User´s groups';
  $lang['groups_perms_section_8'] = 'Configuration';
  $lang['groups_perms_section_9'] = 'Templates';
  $lang['groups_perms_section_10'] = 'Block IP addresses';
  $lang['groups_perms_section_11'] = 'Backup';
  $lang['groups_perms_section_12'] = 'Integration into the page';
  $lang['groups_perms_section_13'] = 'Help (FAQ)';
  $lang['groups_perms_section_14'] = 'Profile';
  $lang['groups_q_really_delete'] = 'Are you sure you want to delete the group';


/* ----- Comments ------------------------------------------------------------------------------ */
  $lang['comm_add_comment'] = 'Add a comment';
  $lang['comm_all_authors'] = 'All registered authors';
  $lang['comm_all_dates'] = 'All data';
  $lang['comm_all_ip_addresses'] = 'All IP';
  $lang['comm_all_posts'] = 'All posts';
  $lang['comm_all_statuses'] = 'All status';
  $lang['comm_antispam'] = 'Protection against spam.  Please enter the number %n%';
  $lang['comm_author'] = 'Author';
  $lang['comm_back_to_post'] = 'Back to the post';
  $lang['comm_bulk_approve'] = 'Approve';
  $lang['comm_bulk_delete'] = 'Delete';
  $lang['comm_bulk_delete_perm'] = 'Delete permanently';
  $lang['comm_bulk_hide'] = 'Hide';
  $lang['comm_bulk_hide_text'] = 'Hide text ';
  $lang['comm_bulk_mark_as_spam'] = 'Mark as spam';
  $lang['comm_bulk_move_to_trash'] = 'Move to trash';
  $lang['comm_bulk_reject'] = 'Disapprove';
  $lang['comm_bulk_restore'] = 'Restore';
  $lang['comm_captcha'] = 'Captcha';
  $lang['comm_captcha_help'] = 'Write the word from the image';
  $lang['comm_comment_addition'] = 'Add a comment';
  $lang['comm_comments'] = 'Comments';
  $lang['comm_delete_comment'] = 'Delete comment';
  $lang['comm_delete_permanently'] = 'Delete permanently';
  $lang['comm_edit_comment'] = 'Edit comment';
  $lang['comm_email'] = 'E-mail';
  $lang['comm_filter_by_ip_address'] = 'Show all comments from IP address';
  $lang['comm_filter_by_user'] = 'View all comments by';
  $lang['comm_filter_cancel'] = 'Clear filter';
  $lang['comm_filter_comments_count'] = 'Found comments';
  $lang['comm_filter_settings'] = 'Options';
  $lang['comm_filter_status0'] = 'Deleted';
  $lang['comm_filter_status1'] = 'Approved';
  $lang['comm_filter_status2'] = 'Waiting for approval';
  $lang['comm_filter_status3'] = 'Hidden';
  $lang['comm_filter_status4'] = 'Marked as spam';
  $lang['comm_filter_status5'] = 'Unauthorized';
  $lang['comm_host'] = 'Host';
  $lang['comm_info'] = 'Info';
  $lang['comm_info_approval'] = '<b>Note:</b> This discussion is moderated every comment must be approved by an administrator!';
  $lang['comm_ip_address'] = 'IP adresa';
  $lang['comm_last_comments'] = 'Recent comments';
  $lang['comm_login'] = 'Login';
  $lang['comm_msg_author_name_length'] = 'Name must contain a minimum of 3 and a maximum of 30 characters!';
  $lang['comm_msg_bulk_status1'] = 'The selected comments have been restored!';
  $lang['comm_msg_captcha'] = 'Your comment was marked as spam!  Enter the captcha code correctly!';
  $lang['comm_msg_comment_added'] = 'The comment was successfully added!';
  $lang['comm_msg_comment_deleted'] = 'The comment was deleted successfully!';
  $lang['comm_msg_comment_edited'] = 'The comment has been successfully modified!';
  $lang['comm_msg_comment_length'] = 'The comment must contain at least %n% characters!';
  $lang['comm_msg_empty_values'] = 'One of the mandatory items not completed!';
  $lang['comm_msg_flood'] = 'You can not send a new comment so soon after the previous!<br /> Wait a moment and try it again!';
  $lang['comm_msg_forbidden_author_name'] = 'Name contains illegal characters!';
  $lang['comm_msg_login'] = 'To add a comment you need to login first!';
  $lang['comm_msg_moved_to_trash'] = 'Comment has been moved to the trash!';
  $lang['comm_msg_no_comments'] = 'There are no comments!  There is nothing to delete or edit :)';
  $lang['comm_msg_no_comments_criteria'] = 'Does not match the selected criteria no comment!';
  $lang['comm_msg_no_comments_trash'] = 'In the trash are no comments!';
  $lang['comm_msg_password'] = 'That username is registered!  Enter the password, or choose another name!';
  $lang['comm_msg_post_id'] = 'Nonono!  Do not mess with ID post :)';
  $lang['comm_msg_post_no_comments'] = 'No comments to this post yet!';
  $lang['comm_msg_put_contents_error'] = 'The rights to write to file comments are not set correctly!';
  $lang['comm_msg_selected_comments_deleted'] = 'Selected comments were deleted';
  $lang['comm_msg_spam'] = 'Your comment was marked as spam!  Copy the antispam number correctly!';
  $lang['comm_msg_too_short'] = 'Comment is too short!';
  $lang['comm_pass'] = 'Password';
  $lang['comm_post'] = 'post';
  $lang['comm_preview'] = 'Preview';
  $lang['comm_preview_button'] = 'Preview button';
  $lang['comm_process_approve'] = 'Approve';
  $lang['comm_process_reject'] = 'Decline';
  $lang['comm_q_really_delete'] = 'Are you sure you want to delete comments that he wrote';
  $lang['comm_reply'] = 'Reply';
  $lang['comm_restore'] = 'Restore';
  $lang['comm_selected_comments'] = 'Selected comments';
  $lang['comm_show'] = 'View';
  $lang['comm_status0'] = 'Deleted';
  $lang['comm_status1'] = 'Approved';
  $lang['comm_status2'] = 'Waiting for approval';
  $lang['comm_status3'] = 'Hidden';
  $lang['comm_status4'] = 'Marked as spam';
  $lang['comm_status5'] = 'Rejected';
  $lang['comm_text'] = 'Comment text';
  $lang['comm_trash'] = 'Delete';
  $lang['comm_user_agent'] = 'User agent';
  $lang['comm_user_browser'] = 'Browser';
  $lang['comm_www'] = 'Website';


/* ----- Pages -------------------------------------------------------------------------------- */
  $lang['pages_add_new_page'] = 'Add a new page';
  $lang['pages_add_page'] = 'Add page';
  $lang['pages_all_dates'] = 'All data';
  $lang['pages_all_menu_status'] = 'All pages';
  $lang['pages_all_users'] = 'All users';
  $lang['pages_author'] = 'Author';
  $lang['pages_change_pass'] = 'Change password';
  $lang['pages_date'] = 'Date';
  $lang['pages_delete_page'] = 'Delete page';
  $lang['pages_edit_page'] = 'Edit page';
  $lang['pages_filter'] = 'Filter';
  $lang['pages_filter_cancel'] = 'Clear filter';
  $lang['pages_filter_settings'] = 'Options';
  $lang['pages_info'] = 'Info';
  $lang['pages_info_key'] = 'Today´s key';
  $lang['pages_info_key_text'] = 'This page is password protected and its the view is possible only after entering the password. Of course, there is still the option to display page by using a key that you specify as a parameter mn_key= in the url. This key is used to the Mission of the quick reference for someone whom you do not want to communicate the password and at the same time you want to allow access only today-the key is changing every day at midnight! Example url:';
  $lang['pages_info_pageview'] = 'Pageviews';
  $lang['pages_info_pageview_text1'] = 'There are two ways to display pages. The first option is to display a page just by using Enter a parameter in the url. On the page where the When you insert cells by using the include to edit the url and place it so that the parameter <em>mn_post =</em>, you use <em>mn_page=</em>, to which you assign the ID (%id%) of this page, for example:';
  $lang['pages_info_pageview_text2'] = 'The second (more complex) way is to show page by using the Insert the following code to the page that you want to permanently display page:';
  $lang['pages_menu_invisible'] = 'Invisible in menu';
  $lang['pages_menu_visible'] = 'Displayed in menu';
  $lang['pages_msg_empty_values'] = 'One of the mandatory items not completed!';
  $lang['pages_msg_no_pages'] = 'There are no pages!  There is nothing to delete or edit :)';
  $lang['pages_msg_page_added'] = 'The page has been successfully added!';
  $lang['pages_msg_page_deleted'] = 'This page has been deleted successfully!';
  $lang['pages_msg_page_edited'] = 'The page has been successfully updated!';
  $lang['pages_msg_put_contents_error'] = 'Write permissions to the directory of pages are not set properly!';
  $lang['pages_order'] = 'Order in menu';
  $lang['pages_page'] = 'Page';
  $lang['pages_pages'] = 'Pages';
  $lang['pages_pass'] = 'Password';
  $lang['pages_password_required'] = 'Password-protected page';
  $lang['pages_protected_page'] = 'To view the site requires a password!';
  $lang['pages_q_really_delete'] = 'Are you sure you want to delete the page';
  $lang['pages_reorder_pages'] = 'Order pages';
  $lang['pages_reorder_pages_help'] = 'The order of pages displayed in the menu system to arrange the drag-and-drop!  Pages simply drag the icon to move the arrow to the right of the page title to the place where you want to be displayed in the menu.  After just close the window, the page order is saved continuously!';
  $lang['pages_settings'] = 'Settings';
  $lang['pages_show_in_menu'] = 'Show in menu';
  $lang['pages_text'] = 'Text';
  $lang['pages_title'] = 'Page title';
  $lang['pages_visible'] = 'Show in menu?';


/* ----- Files -------------------------------------------------------------------------------- */
  $lang['files_add_file'] = 'Add file';
  $lang['files_add_image'] = 'Add image';
  $lang['files_add_images'] = 'Add images';
  $lang['files_all_dates'] = 'All dates';
  $lang['files_all_dirs'] = 'All folders';
  $lang['files_all_extentions'] = 'All extensions';
  $lang['files_all_galleries'] = 'All galleries';
  $lang['files_all_users'] = 'All users';
  $lang['files_bulk_delete'] = 'Delete selected files';
  $lang['files_bulk_delete_confirm'] = 'Are you sure you want to delete the selected files?';
  $lang['files_bulk_edit'] = 'Edit selected files';
  $lang['files_buld_add_to_gallery'] = 'Assign pictures to the gallery';
  $lang['files_date'] = 'Date';
  $lang['files_delete_file'] = 'Delete file';
  $lang['files_delete_image'] = 'Delete image';
  $lang['files_description'] = 'Description';
  $lang['files_dir_images'] = 'Pictures';
  $lang['files_dir_media'] = 'Media';
  $lang['files_dir_others'] = 'Other';
  $lang['files_directory'] = 'Directory';
  $lang['files_edit_file'] = 'Edit file';
  $lang['files_edit_files'] = 'Edit files';
  $lang['files_filename'] = 'Filename';
  $lang['files_file'] = 'File';
  $lang['files_files'] = 'Files';
  $lang['files_image'] = 'Image';
  $lang['files_image_gallery'] = 'Image gallery';
  $lang['files_images'] = 'Images';
  $lang['files_max_file_size'] = 'Maximum file size allowed is';
  $lang['files_msg_empty_filename'] = 'The file name can not be empty!';
  $lang['files_msg_file_deleted'] = 'The file was deleted!';
  $lang['files_msg_file_edited'] = 'The file has been modified!';
  $lang['files_msg_file_renamed'] = 'The file has been renamed!';
  $lang['files_msg_file_too_big'] = 'The file is too big, maximum allowed size is ';
  $lang['files_msg_files_deleted'] = 'Selected files were deleted!';
  $lang['files_msg_files_edited'] = 'Selected files have been modified!';
  $lang['files_msg_files_indexed'] = 'Files have been indexed!';
  $lang['files_msg_image_deleted'] = 'Image has been deleted!';
  $lang['files_msg_image_renamed'] = 'Image was renamed!';
  $lang['files_msg_no_files'] = 'There are no files!  There is nothing to delete or edit :)';
  $lang['files_msg_upload_successful'] = 'The file was uploaded successfully!';
  $lang['files_msg_wrong_filetype'] = 'This file type is not possible to upload!';
  $lang['files_msg_wrong_image'] = 'This is not a valid image file!';
  $lang['files_msg_wrong_permissions'] = 'Write permissions to the directory of images are not set correctly!';
  $lang['files_multiupload'] = 'Bulk upload';
  $lang['files_multiupload_start_info'] = 'To start the upload, press the "Upload files"';
  $lang['files_multiupload_upload_complete'] = 'Upload was successfully completed!';
  $lang['files_multiupload_upload_progress'] = 'Uploading';
  $lang['files_q_really_delete'] = 'Are you sure you want to delete the file';
  $lang['files_quick_upload'] = 'Fast upload';
  $lang['files_size'] = 'Size';
  $lang['files_select_files'] = 'Select files';
  $lang['files_sort_by_ext'] = 'Sort by extension';
  $lang['files_sort_by_id'] = 'Sort by ID';
  $lang['files_title'] = 'Title';
  $lang['files_upload'] = 'Upload';
  $lang['files_upload_file'] = 'File upload';
  $lang['files_upload_files'] = 'Upload files';
  $lang['files_upload_image'] = 'Upload image';
  $lang['files_uploader'] = 'Uploader';
  $lang['files_uploads'] = 'Upload images';
  $lang['files_uploaded_images'] = 'Uploaded images';


/* ----- Gallery ------------------------------------------------------------------------------- */
  $lang['galleries_add_gallery'] = 'Add gallery';
  $lang['galleries_galleries'] = 'Gallery';
  $lang['galleries_gallery'] = 'Gallery';
  $lang['galleries_gallery_name'] = 'Gallery name';
  $lang['galleries_delete_cancel'] = 'Cancel';
  $lang['galleries_delete_gallery'] = 'Delete gallery';
  $lang['galleries_edit_gallery'] = 'Edit gallery';
  $lang['galleries_int_code'] = 'Integration into the pages';
  $lang['galleries_int_code_help1'] = 'Paste this code where you want the gallery to view.  BOM template gallery, you can modify the %templates%.';
  $lang['galleries_int_code_help2'] = 'Also you can show the gallery on the page by changing the parametr&nbsp;?mn_gallery=X, where X is the gallery id. So the url of this gallery may be, for example:';
  $lang['galleries_msg_gallery_added'] = 'The gallery was successfully added!';
  $lang['galleries_msg_gallery_canceled'] = 'Deleting the gallery was canceled';
  $lang['galleries_msg_gallery_deleted'] = 'The gallery was deleted successfully!';
  $lang['galleries_msg_gallery_edited'] = 'The gallery was modified successfully!';
  $lang['galleries_msg_empty_gallery_name'] = 'Gallery name can not be empty!';
  $lang['galleries_msg_images_no_delete'] = 'Images associated with this gallery <strong>will be not</strong> deleted.';
  $lang['galleries_msg_posts_number_0'] = 'Gallery does not contain any file!';
  $lang['galleries_msg_posts_number_1'] = 'Gallery contains %n% picture!';
  $lang['galleries_msg_posts_number_2'] = 'Gallery contains %n% pictures!';
  $lang['galleries_msg_posts_number_3'] = 'Gallery contains %n% pictures!';
  $lang['galleries_msg_put_contents_error'] = 'Invalid write rights to the gallery!';
  $lang['galleries_posts_count'] = 'Number of pictures';
  $lang['galleries_q_really_delete'] = 'Are you sure you want to delete gallery';
  $lang['galleries_show_galleries_list'] = 'Show galleries list';
  $lang['galleries_unknown_gallery'] = 'Unknown gallery';


/* ----- Tools ------------------------------------------------------------------------------- */
  $lang['tools_backup'] = 'Backup';
  $lang['tools_backup_help'] = 'Use this tool to create a backup directory where you store all your data, and if any problems can be easily restored.';
  $lang['tools_config'] = 'Settings';
  $lang['tools_config_help'] = 'Here you can adjust a wide range of settings, which adapts the behavior MNews the site, but also in administration.';
  $lang['tools_help'] = 'Help (FAQ)';
  $lang['tools_help_help'] = 'If you have any problems or do not understand something, look in help, which explains the basic concepts!';
  $lang['tools_integration'] = 'Integration into the page';
  $lang['tools_integration_help'] = 'Clear and simple form to help integrate MNews the page exactly how you want to display posts.';
  $lang['tools_ipban'] = 'Block IP addresses';
  $lang['tools_ipban_help'] = 'Codes for easy insertion menu, archives and much more to your site +';
  $lang['tools_templates'] = 'Templates';
  $lang['tools_templates_help'] = 'Using templates personalize the look MNews statement.  You can use ready-made templates and customize them, or create your own.';
  $lang['tools_tools'] = 'Tools';
  $lang['tools_xfields'] = 'Custom fields';
  $lang['tools_xfields_help'] = 'Vlastné polia môžu byť použité na pridanie dodatočných informácii k článku, stránke, alebo k užívateľskému profilu.';


/* ----- Settings ------------------------------------------------------------------------------ */
  $lang['config_admin_icons'] = 'Show admin icons';
  $lang['config_admin_icons_help'] = 'Option to display, auxiliary admin icons (delete and edit the post) to print the posts.';
  $lang['config_admin_multiupload'] = 'Bulk upload';
  $lang['config_admin_multiupload_help'] = 'The ability to use the bulk upload (upload multiple files at once), or a simple upload.';
  $lang['config_admin_theme'] = 'Appearance administration';
  $lang['config_admin_theme_help'] = 'Choice of different appearances administration (if available).';
  $lang['config_admin_auto_url'] = 'Automatically load a new URL';
  $lang['config_admin_update_check'] = 'Check for the most current version';
  $lang['config_admin_update_check_help'] = 'You can turn off control of up version MNews on board.';  
  $lang['config_admin_url'] = 'MNews admin URL';
  $lang['config_admin_url_help'] = 'Keep track without the slash / at the end.  The path was generated automatically during installation.  In case you MNews moved to another directory, and edit the path.  For example http://example.com/mnews';
  $lang['config_admin_wysiwyg'] = 'Use WYSIWYG editor';
  $lang['config_admin_wysiwyg_help'] = 'Choose whether you want to use the WYSIWYG editor when writing the post';
  $lang['config_comments'] = 'Comments on the posts';
  $lang['config_comments_a_all'] = 'Allow';
  $lang['config_comments_a_nobody'] = 'Off';
  $lang['config_comments_a_registered'] = 'Only for registered';
  $lang['config_comments_antiflood'] = 'Guard interval';
  $lang['config_comments_antiflood_help'] = 'Time, in seconds, that must elapse between sending comments (helps protect against massive contribute). 0 = no protection.';
  $lang['config_comments_antispam'] = 'Antispam code';
  $lang['config_comments_antispam_help'] = 'Choose a number, which prevents the automatic insertion of spam in the comments.';
  $lang['config_comments_approval'] = 'Approve comments';
  $lang['config_comments_approval_help'] = 'Enable / disable the comment to administrator approval before publishing them.';
  $lang['config_comments_help'] = 'Enable or disable comments under individual cells. Comments can disable for individual posts when editing the post.';
  $lang['config_comments_bb'] = 'Use BB codes';
  $lang['config_comments_bb_buttons'] = 'BB buttons';
  $lang['config_comments_bb_help'] = 'Enable or disable the use of BB code markup in the comments.';
  $lang['config_comments_captcha'] = 'Use Captcha';
  $lang['config_comments_captcha_help'] = 'Enable or disable required the Captcha code when sending comments.';
  $lang['config_comments_links_auto'] = 'Automatic transmission links';
  $lang['config_comments_links_auto_help'] = 'All words (links) in the comments start with http:// or https:// or ftp:// will be automatically converted into clickable link';
  $lang['config_comments_links_target'] = 'Open links in a new window';
  $lang['config_comments_links_target_help'] = 'If enabled BB tags, it is possible to insert references and so whether the links to open a new window, or the parent one.';
  $lang['config_comments_links_nofollow'] = 'Use attribute rel="nofollow"';
  $lang['config_comments_links_nofollow_help'] = 'To all the external links in the comments attribute attaches rel="nofollow"';
  $lang['config_comments_optional_fields'] = 'Optional items in the form';
  $lang['config_comments_optional_fields_help'] = 'Possibility of hiding the optional items on the form to add a comment.';
  $lang['config_comments_order'] = 'Order Comments';
  $lang['config_comments_order_help'] = 'Select sort comments in the statement that up to be first oldest or newest comments.';
  $lang['config_comments_order_normal'] = 'From the oldest to the newest';
  $lang['config_comments_order_reverse'] = 'Newest to Oldest';
  $lang['config_comments_smiles'] = 'Use smileys';
  $lang['config_comments_smiles_help'] = 'Enable or disable replace text emoticons, pictorial.';
  $lang['config_config'] = 'Settings';
  $lang['config_language'] = 'Default language';
  $lang['config_language_help'] = 'Choice of the language of administration, which is the default.';
  $lang['config_msg_put_contents_error'] = 'Write access to the file settings are set correctly!';
  $lang['config_msg_saved'] = 'Settings saved successfully';
  $lang['config_posts_image'] = 'Picture of the post';
  $lang['config_posts_image_help'] = 'Turns on / off the option to add a picture when writing an post.';
  $lang['config_posts_image_size'] = 'Image size';
  $lang['config_posts_image_size_help'] = 'Fit image size to a maximum width / height.  0 disables the automatic adjustment.';
  $lang['config_save'] = 'Save settings';
  $lang['config_seconds'] = 'Seconds';
  $lang['config_tab_1'] = 'Administration';
  $lang['config_tab_2'] = 'Page';
  $lang['config_tab_3'] = 'posts';
  $lang['config_tab_4'] = 'Comments';
  $lang['config_tab_5'] = 'Users';
  $lang['config_theme_config'] = 'Appearance settings';
  $lang['config_theme_default_values'] = 'Default values';
  $lang['config_time_adj'] = 'Adjustment time';
  $lang['config_time_adj_help'] = 'Moves the server time on the clocks forward or backward.  Current server time:';
  $lang['config_users_avatar_size'] = 'The size of the avatar';
  $lang['config_users_avatar_size_help'] = 'Enter the dimensions of avatars that users can upload to their profile.  Limited and the maximum width or height avatar. Enter the size in pixels.';
  $lang['config_users_avatar_size_standard'] = 'Standard size';
  $lang['config_users_avatar_size_small'] = 'Little avatar';
  $lang['config_users_avatar_size_mini'] = 'Mini avatar';
  $lang['config_users_default_group'] = 'Default user group';
  $lang['config_users_default_group_help'] = 'Specifies the group to which the user will be included in the automatic registration (if enabled).';
  $lang['config_users_perm_login'] = 'Allow permanent login';
  $lang['config_users_perm_login_help'] = 'Allows users to the permanent log.  If you log out, just close the browser, MNews you remember your login and later';
  $lang['config_users_registration'] = 'User Registration';
  $lang['config_users_registration_help'] = 'Users will be able to automatically register and edit your profile (if you have it enabled).';
  $lang['config_web_counter'] = 'Counter reading the post';
  $lang['config_web_counter_help'] = 'Option to disable counting readership of the posts.  Valid only for long versions of posts.';
  $lang['config_web_encoding'] = 'Code page';
  $lang['config_web_encoding_help'] = 'Select the encoding that you use on your site.';
  $lang['config_web_format'] = 'Page size';
  $lang['config_web_format_help'] = 'Set if the page uses a markup language XHTML or HTML.';
  $lang['config_web_pagination'] = 'Show pagination';
  $lang['config_web_pagination_help'] = 'Display pagination below the listing of posts.';
  $lang['config_web_posts_count'] = 'Number of displayed posts';
  $lang['config_web_posts_count_help'] = 'How many posts to display in the list ...';
  $lang['config_web_powered_by'] = 'Show the "Powered by ..."';
  $lang['config_web_powered_by_help'] = 'Possibility of hiding the advertising line at the end of the list of posts.';
  $lang['config_web_section_titles'] = 'Show section title';
  $lang['config_web_section_titles_help'] = 'Turns on / off the display of titles in categories, tags, ...  (Eg. posts from category: xyz)';
  $lang['config_web_title'] = 'Page title';
  $lang['config_web_title_help'] = 'The name of your site.  This name will be used as the title of the RSS, and possibly also on the main page.';
  $lang['config_web_title_checkbox'] = 'Display name in the administration header';
  $lang['config_web_url'] = 'Default url';
  $lang['config_web_url_help'] = 'URL address that is used to create links (to be directed at her links to the detail post, pagination, ...).  If left blank will automatically be created.';


/* ----- xFields -------------------------------------------------------------------------------- */
  $lang['xfields_add_field'] = 'Add custom field';
  $lang['xfields_delete_xfield'] = 'Delete xField';
  $lang['xfields_edit_field'] = 'Edit xField';
  $lang['xfields_section'] = 'Section';
  $lang['xfields_msg_added'] = 'Custom field has been added';
  $lang['xfields_msg_deleted'] = 'Custom field has been deleted';
  $lang['xfields_msg_edited'] = 'Custom field has been modified';
  $lang['xfields_msg_empty_fields'] = 'Please fill in all of the required fields!';
  $lang['xfields_msg_no_edit'] = 'You cannot edit variable in existing xField';
  $lang['xfields_msg_no_fields'] = 'There are no custom fields (xFields)';
  $lang['xfields_msg_variable_exists'] = 'Please, choose another variable';
  $lang['xfields_name'] = 'Name';
  $lang['xfields_name_help'] = 'Will serve as a xField description';
  $lang['xfields_options'] = 'Options';
  $lang['xfields_options_help'] = 'Možnosti napíšte pod seba, každú na jeden riadok. Môžete použiť aj zápis key=value';
  $lang['xfields_q_really_delete'] = 'Delete xField';
  $lang['xfields_type'] = 'Type';
  $lang['xfields_type_input'] = 'Text input';
  $lang['xfields_type_select'] = 'Select';
  $lang['xfields_variable'] = 'Variable';
  $lang['xfields_variable_help'] = 'Premenná bude používaná v šablónach ako {xPREMENNA}.<br />Smie obsahovať len písmená, čísla a podtržítko.';
  $lang['xfields_xfields'] = 'Custom fields';


/* ----- Templates -------------------------------------------------------------------------------- */
  $lang['tmpl_add_template'] = 'Add template';
  $lang['tmpl_continue'] = 'Continue';
  $lang['tmpl_delete_template'] = 'Delete template';
  $lang['tmpl_edit_template'] = 'Edit template';
  $lang['tmpl_file_name'] = 'Filename';
  $lang['tmpl_link_edit_tmpls'] = 'Back to edit templates';
  $lang['tmpl_msg_deleted'] = 'Template has been deleted successfully!';
  $lang['tmpl_msg_edited'] = 'Template %tmpl% was successfully modified!';
  $lang['tmpl_msg_empty_tmpl_name'] = 'Template name can not be empty!';
  $lang['tmpl_msg_empty_values'] = 'All fields are mandatory!';
  $lang['tmpl_msg_put_contents_error'] = 'The rights to write to the templates file are not set properly!';
  $lang['tmpl_msg_tmpl_exists'] = 'Template file with that name already exists!';
  $lang['tmpl_msg_tmpl_group_empty'] = 'The templates group name must not be empty!';
  $lang['tmpl_msg_tmpl_group_exists'] = 'Template group with that name already exists!';
  $lang['tmpl_q_really_delete'] = 'Are you sure you want to delete the template';
  $lang['tmpl_select_tmpl_group'] = 'Select the group to which the template will be included';
  $lang['tmpl_step'] = 'Step';
  $lang['tmpl_templates'] = 'Templates';
  $lang['tmpl_tmpl_group'] = 'Group template';
  $lang['tmpl_tmpl_group_exists'] = 'Existing group';
  $lang['tmpl_tmpl_group_new'] = 'New group';
  $lang['tmpl_tmpl_name'] = 'Template name';
  $lang['tmpl_tmpl_name_1'] = 'Listing of posts';
  $lang['tmpl_tmpl_name_2'] = 'Category';
  $lang['tmpl_tmpl_name_3'] = 'Archive';
  $lang['tmpl_tmpl_name_4'] = 'Search';
  $lang['tmpl_tmpl_name_5'] = 'Author´s posts';
  $lang['tmpl_tmpl_name_10'] = 'Detail of the post';
  $lang['tmpl_tmpl_name_11'] = 'Page';
  $lang['tmpl_tmpl_name_12'] = 'Comments';
  $lang['tmpl_tmpl_name_13'] = 'User profile';
  $lang['tmpl_tmpl_name_14'] = 'RSS';
  $lang['tmpl_tmpl_name_15'] = 'Paging';
  $lang['tmpl_tmpl_name_19'] = 'Gallery';
  $lang['tmpl_tmpl_type'] = 'Template type';
  $lang['tmpl_tmpl_type_1'] = 'posts <span class="trivial">(main statement)</span>';
  $lang['tmpl_tmpl_type_2'] = 'posts <span class="trivial">(category)</span>';
  $lang['tmpl_tmpl_type_3'] = 'posts <span class="trivial">(Archives)</span>';
  $lang['tmpl_tmpl_type_4'] = 'posts <span class="trivial">(search)</span>';
  $lang['tmpl_tmpl_type_5'] = 'posts <span class="trivial">(by the author)</span>';
  $lang['tmpl_tmpl_type_10'] = 'Detail of the post';
  $lang['tmpl_tmpl_type_11'] = 'Page';
  $lang['tmpl_tmpl_type_12'] = 'Comments';
  $lang['tmpl_tmpl_type_13'] = 'User profile';
  $lang['tmpl_tmpl_type_14'] = 'RSS';
  $lang['tmpl_tmpl_type_15'] = 'Paging';
  $lang['tmpl_tmpl_type_19'] = 'Gallery';
  $lang['tmpl_var_author'] = 'By (with reference to its profile)';
  $lang['tmpl_var_author_email'] = 'Author´s e-mail';
  $lang['tmpl_var_author_id'] = 'Author´s ID';
  $lang['tmpl_var_author_name'] = 'Author';
  $lang['tmpl_var_comment_author'] = 'Author';
  $lang['tmpl_var_comment_avatar'] = 'User´s avatar';
  $lang['tmpl_var_comment_avatar_small'] = 'Little avatar(user´s)';
  $lang['tmpl_var_comment_avatar_mini'] = 'Mini avatar(user´s)';
  $lang['tmpl_var_comment_email'] = 'Author´s e-mail with an optional link text';
  $lang['tmpl_var_comment_id'] = 'ID comments';
  $lang['tmpl_var_comment_ip_address'] = 'IP address of the sender´s comments';
  $lang['tmpl_var_comment_num'] = 'Serial number of comments';
  $lang['tmpl_var_comment_text'] = 'Comment text';
  $lang['tmpl_var_comment_www'] = 'Author´s homesite with an optional link text';
  $lang['tmpl_var_date'] = 'Publish date';
  $lang['tmpl_var_date_day'] = 'Day of publishing';
  $lang['tmpl_var_date_day_abbr'] = 'The day of publication in the form of shortcuts';
  $lang['tmpl_var_date_month'] = 'Month of dublishing';
  $lang['tmpl_var_date_month_abbr'] = 'Publishing shaped shortcuts months';
  $lang['tmpl_var_date_us'] = 'Date of publication in the American format';
  $lang['tmpl_var_date_year'] = 'Year of publishing';
  $lang['tmpl_var_gallery_id'] = 'ID gallery';
  $lang['tmpl_var_gallery_image'] = 'Image';
  $lang['tmpl_var_gallery_image_desc'] = 'Image description';
  $lang['tmpl_var_gallery_image_ext'] = 'Image extension';
  $lang['tmpl_var_gallery_image_file'] = 'The image name with extension';
  $lang['tmpl_var_gallery_image_filename'] = 'The whole file name with the extension';
  $lang['tmpl_var_gallery_image_filesize'] = 'Image size (in kB / MB)';
  $lang['tmpl_var_gallery_image_height'] = 'Image height';
  $lang['tmpl_var_gallery_image_title'] = 'Image caption';
  $lang['tmpl_var_gallery_image_url'] = 'Image URL';
  $lang['tmpl_var_gallery_image_width'] = 'Image width';
  $lang['tmpl_var_gallery_thumb'] = 'Thumbnail';
  $lang['tmpl_var_gallery_thumb_url'] = 'Thumbnails URL';
  $lang['tmpl_var_page_id'] = 'Page ID';
  $lang['tmpl_var_page_text'] = 'Text (content of page)';
  $lang['tmpl_var_page_title'] = 'Page title';
  $lang['tmpl_var_pages_next'] = 'Generates a link to the next page';
  $lang['tmpl_var_pages_pages'] = 'Pagination of posts, view sides';
  $lang['tmpl_var_pages_previous'] = 'Generates a link to the previous page';
  $lang['tmpl_var_post_comments'] = 'Number of comments to the post in question';
  $lang['tmpl_var_post_comments_count'] = 'Number of comments to the post in question (the actual number)';
  $lang['tmpl_var_post_category'] = 'Category post with a reference to the list of posts (if any)';
  $lang['tmpl_var_post_category_id'] = 'post ID category (if any)';
  $lang['tmpl_var_post_category_name'] = 'Category of the post (if any)';
  $lang['tmpl_var_post_friendly_url'] = 'Name converted into friendly URLs';
  $lang['tmpl_var_post_friendly_url_example'] = 'Name-of-post-as-url';
  $lang['tmpl_var_post_id'] = 'post ID';
  $lang['tmpl_var_post_image'] = 'Image of post';
  $lang['tmpl_var_post_image_filename'] = 'Image file name';
  $lang['tmpl_var_post_image_height'] = 'Image height';
  $lang['tmpl_var_post_image_url'] = 'Full url of image';
  $lang['tmpl_var_post_image_width'] = 'Image width';
  $lang['tmpl_var_post_link'] = 'Link to full post (if any) with the default text "read more"';
  $lang['tmpl_var_post_link_bb'] = 'Link to full post (if any) with optional link text';
  $lang['tmpl_var_post_link_perm'] = 'Permanent link to the post';
  $lang['tmpl_var_post_long_story'] = 'Longer part of the post (without perex)';
  $lang['tmpl_var_post_short_story'] = 'Lead paragraph of post';
  $lang['tmpl_var_post_tag_names'] = 'List of tag names (without references, separated by commas)';
  $lang['tmpl_var_post_tags'] = 'List of tags (separated by commas)';
  $lang['tmpl_var_post_text'] = 'Short text post (perex)';
  $lang['tmpl_var_post_text_full'] = 'The full text of the post (including perex)';
  $lang['tmpl_var_post_title'] = 'Title of post';
  $lang['tmpl_var_post_title_plain'] = 'Title of post (only text, never to refer to detail)';
  $lang['tmpl_var_post_views'] = 'Number of views';
  $lang['tmpl_var_rss_link'] = 'Permanent link to the post';
  $lang['tmpl_var_rss_pubdate'] = 'Date modified for use as a template in RSS pubDate';
  $lang['tmpl_var_time'] = 'Time Publishing';
  $lang['tmpl_var_time_ampm'] = 'American form of morning (am) and afternoon (pm)';
  $lang['tmpl_var_time_hour'] = 'Publishing hour in 24-hour format';
  $lang['tmpl_var_time_hour_us'] = 'Publishing hour in 12-hour format';
  $lang['tmpl_var_time_minute'] = 'Publishing minute';
  $lang['tmpl_var_time_us'] = 'Time published in the American format';
  $lang['tmpl_var_timestamp'] = 'Unix format data publishing (timestamp)';
  $lang['tmpl_var_user_about'] = 'Short info (About me)';
  $lang['tmpl_var_user_avatar'] = 'User´s avatar';
  $lang['tmpl_var_user_avatar_small'] = 'Little avatar';
  $lang['tmpl_var_user_avatar_mini'] = 'Mini avatar';
  $lang['tmpl_var_user_birthday'] = 'Day of birth';
  $lang['tmpl_var_user_email'] = 'E-mail';
  $lang['tmpl_var_user_gender'] = 'Sex';
  $lang['tmpl_var_user_group'] = 'User´s group';
  $lang['tmpl_var_user_icq'] = 'ICQ';
  $lang['tmpl_var_user_id'] = 'User ID';
  $lang['tmpl_var_user_jabber'] = 'Jabber/Google talk';
  $lang['tmpl_var_user_location'] = 'Location';
  $lang['tmpl_var_user_msn'] = 'MSN';
  $lang['tmpl_var_user_nickname'] = 'Nick';
  $lang['tmpl_var_user_other1'] = 'Optional item 1';
  $lang['tmpl_var_user_other2'] = 'Optional Item 2';
  $lang['tmpl_var_user_skype'] = 'Skype';
  $lang['tmpl_var_user_username'] = 'Username';
  $lang['tmpl_var_user_www'] = 'User´s homesite';
  $lang['tmpl_vars_example'] = 'Example';
  $lang['tmpl_vars_more_variables'] = 'More options';


/* ----- Backup ----------------------------------------------------------------------------- */
  $lang['backup_backup'] = 'Backup';
  $lang['backup_delete_file'] = 'Delete file';
  $lang['backup_dir_size'] = 'The total size of the backup directory';
  $lang['backup_disclaimer'] = 'Disclaimer';
  $lang['backup_disclaimer_text'] = 'The backup utility is yet experimental-may not work correctly on each hosting. Therefore, in the case of a notice of error messages make a backup manually and it so, that copies the entire directory "data" to your disk. However, in this case I´ll be glad if you write the error message on the <a href = "http://forum.mnewscms.com/">MNews Forum</a>and at the same time, you describe what hosting do you use ...'; 
  $lang['backup_download_file'] = 'Download this backup file';
  $lang['backup_file_name'] = 'Filename';
  $lang['backup_file_size'] = 'Size';
  $lang['backup_file_date'] = 'Date';
  $lang['backup_last_backup'] = 'Last backup';
  $lang['backup_last_backup_day'] = 'Last backup was less than a day back.  So often really do not need back up!';
  $lang['backup_last_backup_lta'] = 'Uff! Last backup was already long time ago.  So chop chop it ...';// lta = long time ago
  $lang['backup_last_backup_month'] = 'Last backup was already more than a week ago.  New backup should fit!';
  $lang['backup_last_backup_never'] = 'Oops!  There were no deposit!  So chop chop it ...';
  $lang['backup_last_backup_week'] = 'Last backup was a few days back.  So often there is no need to back up!';
  $lang['backup_msg_backup_deleted'] = 'Backup file was deleted!';
  $lang['backup_msg_backup_done'] = 'Back to succeed!  Below you can download the current backup!';
  $lang['backup_msg_not_supported'] = 'This feature is not supported on your hosting!';
  $lang['backup_not_supported_text'] = 'PHP class working with <a href="http://php.net/manual/en/class.ziparchive.php">ZipArchive</a> needed!  Ask your hosting administrator to install certain extensions to PHP.';
  $lang['backup_q_really_delete'] = 'Are you sure you want to delete the backup file';
  $lang['backup_submit'] = 'Start Backup';


/* ----- Blocking IP addresses --------------------------------------------------------------------- */
  $lang['ban_add_ip_address'] = 'Add IP address';
  $lang['ban_ban_ip_address'] = 'Blocking IP address';
  $lang['ban_ban_ips'] = 'Blocking IP addresses';
  $lang['ban_ban_ips_help'] = 'IP address, you want to block, write to the list of blocked addresses on separate line.';
  $lang['ban_msg_already_banned_ip'] = 'This IP address is already locked';
  $lang['ban_msg_banned_ips_saved'] = 'The list of blocked addresses has been modified!';
  $lang['ban_msg_ip_address_banned'] = 'IP address %ip% has been blocked.';
  $lang['ban_msg_not_valid_ip'] = 'This is not the correct IP address!';
  $lang['ban_msg_own_ip'] = 'You can not block your own IP address :)';
  $lang['ban_submit'] = 'Submit';


/* ----- Integration into the pages ------------------------------------------------------------------- */
  $lang['int_code_archive'] = 'Automatically generated archive';
  $lang['int_code_archive_help'] = 'Enter the code in the page where you want to generate automatic menu there. Code generates archives by months in unnumbered list with class="mn-archive". Customization options account statements subscription you edit the %templates% section.';
  $lang['int_code_gallery'] = 'Image gallery';
  $lang['int_code_gallery_help'] = 'Code generates a gallery of images that are included in.<b>Instead of number $mn_gallery enter the Gallery ID</b>(you can find it in the list of the gallery in the first column of the table)';
  $lang['int_code_main'] = 'Code of the posts in the page';
  $lang['int_code_main_help'] = 'Enter the code in the page where you want to display news (page must have the extension .php).  Options to customize the appearance of news dump you edit the  %templates% section.';
  $lang['int_code_menu'] = 'Automatically generated menu of categories';
  $lang['int_code_menu_help'] = 'Enter the code in the page where you want automatic menu generate to. Code generates menu categories in unnumbered list with class="mn-menu"';
  $lang['int_code_pagemenu'] = 'Automatically generated menu of pages';
  $lang['int_code_pagemenu_help'] = 'Enter the code in the page where you want to generate automatic menu there. Code generates menu pages(static) in unnumbered list with class="mn-menu" a id="mn-page-menu"';
  $lang['int_code_rss'] = 'RSS';
  $lang['int_code_rss_help'] = 'This code insert into an empty file on the page, such as the empty rss.php on which you will then refer.  The variable $ mn_url can adjust depending on where exactly news viewing (default is set to the index).';
  $lang['int_code_search'] = 'Search form';
  $lang['int_code_search_help'] = 'Enter the code in the page where you want to display a search form.  The variable $mn_url can adjust depending on where exactly news viewing (the default setting which MNews).';
  $lang['int_integration'] = 'Integration into the pages';


/* ----- Guide of Integration of posts (Wizard) ---------------------------------------------------- */
  $lang['wiz_author'] = 'Author´s posts';
  $lang['wiz_author_all'] = 'Show posts from all authors';
  $lang['wiz_author_help'] = 'Possibility of selection of a particular author, from which the posts will be displayed.';
  $lang['wiz_categories'] = 'post categories';
  $lang['wiz_categories_empty'] = 'There are no categories.';
  $lang['wiz_categories_help'] = 'Select specific categories, which will display posts. If you select either one category, they will be listing the posts from all categories.';
  $lang['wiz_generate'] = 'Generate code';
  $lang['wiz_generated_code'] = 'Generated code';
  $lang['wiz_generated_code_help'] = 'To view the posts according to your chosen criteria paste this code into your pages (with extension *.php) to where you want to display posts!';
  $lang['wiz_pagination'] = 'Show pagination';
  $lang['wiz_pagination_help'] = 'Display pagination below the listing of posts (below).  If you select one option, the default value of the setting.';
  $lang['wiz_posts_count'] = 'Number of displayed posts';
  $lang['wiz_posts_count_help'] = 'Number of posts that are to be displayed in the list. If left blank, the default value of the setting.';
  $lang['wiz_template'] = 'Templates group';
  $lang['wiz_template_default'] = 'Default group';
  $lang['wiz_template_help'] = 'Select a group of templates from which templates will be used in the list of posts.';
  $lang['wiz_wizard'] = 'Guide to the inclusion of posts';
  $lang['wiz_wizard_help'] = 'This wizard allows you to generate code for the integration of cells into sites according to different criteria.  If you want to insert menu pages, archive or search form, please visit the';


  
  ##### http://www.witcher.cz.cc/ ############ pripadne updates a dalsi jazyky ########################
  ##### http://www.witcher.site88.net/ ######## Published 29.4.2013 ###################################

?>