<?php
/*
 * Language file "english" for MNews 2.4.0
 *
 * ---------------------------------------------------
 *
 * @autor překladu    Miroslav Stehlík <stehlik.ov@gmail.com>
 * @copyright         Copyright (c) 2009 Milan Nemčík
 * @licence           GNU GENERAL PUBLIC LICENSE
 * @verze             2.4.1
 *
*/


/* ----- General terms -------------------------------------------------------------------------- */
  $lang['uni_add'] = 'add';
  $lang['uni_anonym'] = 'Anonym';
  $lang['uni_approve'] = 'Approve';
  $lang['uni_ban'] = 'ban';
  $lang['uni_ban_ip'] = 'Ban IP';
  $lang['uni_banned_ip'] = 'Banned IPs';
  $lang['uni_bulk_actions'] = 'Bulk actions';
  $lang['uni_cancel'] = 'Cancel';
  $lang['uni_change_lang'] = 'Change language';
  $lang['uni_code'] = 'Code';
  $lang['uni_continue'] = 'Continue';
  $lang['uni_date'] = 'Date';
  $lang['uni_date_day'] = 'Day';
  $lang['uni_date_hour'] = 'Hour';
  $lang['uni_date_minute'] = 'Minute';
  $lang['uni_date_month'] = 'Month';
  $lang['uni_date_year'] = 'Year';
  $lang['uni_delete'] = 'Delete';
  $lang['uni_download'] = 'Download';
  $lang['uni_edit'] = 'Edit';
  $lang['uni_hide'] = 'Hide';
  $lang['uni_logout'] = 'logout';
  $lang['uni_next'] = 'next';
  $lang['uni_no'] = 'No';
  $lang['uni_no_go_back'] = 'This process is irreversible!'; //!!!!
  $lang['uni_previous'] = 'previous';
  $lang['uni_profile'] = 'profile';
  $lang['uni_save'] = 'Save';
  $lang['uni_search'] = 'Search';
  $lang['uni_send'] = 'Send';
  $lang['uni_show'] = 'Show';
  $lang['uni_trash'] = 'Trash';
  $lang['uni_undo'] = 'Undo';
  $lang['uni_unknown'] = 'Unknown';
  $lang['uni_upload'] = 'Upload';
  $lang['uni_yes'] = 'Yes';

  $lang['month'] = array(
    '1'  => 'January',
    '2'  => 'February',
    '3'  => 'March',
    '4'  => 'April',
    '5'  => 'May',
    '6'  => 'June',
    '7'  => 'July',
    '8'  => 'August',
    '9'  => 'September',
    '10' => 'October',
    '11' => 'November',
    '12' => 'December'
  );

  $lang['num'] = array(
    '1'  => 'one',
    '2'  => 'two',
    '3'  => 'three',
    '4'  => 'four',
    '5'  => 'five',
    '6'  => 'six',
    '7'  => 'seven',
    '8'  => 'eight',
    '9'  => 'nine',
    '10' => 'ten',
    '11' => 'eleven',
    '12' => 'twelve',
    '13' => 'thirteen',
    '14' => 'fourteen',
    '15' => 'fifteen',
    '16' => 'sixteen',
    '17' => 'seventeen',
    '18' => 'eighteen',
    '19' => 'nineteen',
    '20' => 'twenty'
  );


/* ----- Frontend = mn-show.php ----------------------------------------------------------------- */
  $lang['web_anonym'] = 'Anonym';
  $lang['web_bbcode_bold'] = 'Bold';
  $lang['web_bbcode_code'] = 'Source code (php, html)';
  $lang['web_bbcode_italics'] = 'Italics';
  $lang['web_bbcode_link'] = 'Link';
  $lang['web_bbcode_strikethrough'] = 'Strikethrough';
  $lang['web_bbcode_underline'] = 'Underline';
  $lang['web_comment_add_another'] = 'add another';
  $lang['web_comments'] = 'Comments';
  $lang['web_logged_in_as'] = 'Logged in as';
  $lang['web_logout'] = 'logout';
  $lang['web_search'] = 'Search';
  $lang['web_msg_banned_ip'] = 'Your IP address has been blocked! You can not post comments!';
  $lang['web_msg_cat_no_posts'] = 'Sorry, but there aren\'t any posts in this category yet.';
  $lang['web_msg_cat_posts'] = 'Posts from the category %c%:';
  $lang['web_msg_tag_posts'] = 'Posts with the tag %t%:';
  $lang['web_msg_comment_added'] = 'Your comment has been successfully added!';
  $lang['web_msg_comment_hidden'] = 'This comment has been hidden for inappropriate content!';
  $lang['web_msg_comment_sent'] = 'Your comment has been posted and will appear only after approval by the administrator!';
  $lang['web_msg_comments_forbidden'] = 'This article has been closed. It\'s not possible to add any further comments!';
  $lang['web_msg_no_cats_file'] = 'Category file does not exists.';
  $lang['web_msg_no_files_in_gallery'] = 'There are no images in this gallery.';
  $lang['web_msg_no_gallery'] = 'The gallery with ID %id% doesn\'t exists!';
  $lang['web_msg_no_gals_files_file'] = 'Gallery file does not exists.';
  $lang['web_msg_no_pages'] = 'There are no pages';
  $lang['web_msg_no_posts'] = 'There are no posts';
  $lang['web_msg_no_comments'] = 'There are no comments!';
  $lang['web_msg_no_post_or_tmpl'] = 'Post, or template does not exist! (Check the correct application of <strong>$mn_tmpl</strong>)';
  $lang['web_msg_post_unavailable'] = 'Post can not be displayed. Oh boy, please do not play with the URL :)';
  $lang['web_msg_search_forbidden'] = 'Special characters are not allowed in search query! You may only use letters and numbers!';
  $lang['web_msg_search_no_posts'] = 'Search term %s% was not found in any of posts!';
  $lang['web_msg_search_found'] = 'Search term %s% was found in these posts:';
  $lang['web_msg_system_maintainance'] = 'Ongoing maintenance of the system! Articles are temporarily unavailable.';
  $lang['web_page_password'] = 'You need a password to access this page';
  $lang['web_post_link'] = 'Read more';
  $lang['web_rss_description'] = 'Recent articles from the server';
  $lang['web_uncategorized'] = 'Uncategorized';
  $lang['web_viewed'] = 'Viewed';


/* ----- Install -------------------------------------------------------------------------------- */
  $lang['install_chmod_text'] = 'Bohužel se skriptu nepodařilo automaticky změnit práva pro zápis do jednotlivých adresářů. Je proto nutné, abyste daná práva změnili ručně na hodnotu <b>777</b>.';
  $lang['install_chmod_text2'] = 'Je třeba ručně přes FTP změnit práva pro zápis na hodnotu 777 tímto adresářem:';
  $lang['install_chmod_show_manual'] = 'Show help';
  $lang['install_chmod_help_step1'] = 'Připojte se k FTP pomocí Total Commanderu (nebo jiného FTP klienta)';
  $lang['install_chmod_help_step2'] = 'Na FTP označte příslušný adresář(případně i více adresářů najednou), kterému jdete měnit práva.';
  $lang['install_chmod_help_step3'] = 'V liště programu Total Commander klepněte v nabídce na "<em>Soubor</em>" a následně na položku "<em>Změnit atributy</em>"';
  $lang['install_chmod_help_step4'] = 'Následně vyskočí okno programu s nabídkou. V tomto okně vlevo dole zadejte hodnotu 777 a potvrďte ok. Právě jste úspěšně změnili práva pro zápis:)';
  $lang['install_chmod_help_step5'] = 'Tenhle postup opakujte na všechny adresáře, kterým je potřeba změnit práva na zápis';
  $lang['install_chmod_help_step6'] = 'Pokud vše proběhlo OK, stiskněte tlačítko "pokračovat". V případě úspěšné změny práv všech adresářů Vás systém pustí dále v instalaci.';
  $lang['install_import_auto_delete'] = 'Pokud to lze, automaticky mazat staré soubory a adresáře';
  $lang['install_import_autolookup'] = 'Automatické rozpoznání starší verze';
  $lang['install_import_autolookup_help1'] = 'MNews automaticky rozpoznal starší verzi, jejíž soubory jsou uloženy v adresáři "%dir%". Kliknutím na tlačítko pokračovat se přenesou všechny články, komentáře a údaje do nové verze systému!';
  $lang['install_import_autolookup_help2'] = 'Před spuštěním importu si adresář "%dir%" zálohujte zkopírováním z FTP k sobě na disk.';
  $lang['install_import_instructions'] = 'Instructions';
  $lang['install_import_instructions_help1'] = 'MNews nenalezl žádný adresář s dřívější verzí systému! Pokud si přejete aktualizovat MNews na novější verzi, je třeba nahrát na FTP přejmenovaný adresář "data" ze starší verze. Nejideálnější je takový postup:';
  $lang['install_import_instructions_help2'] = 'Pokud nechcete aktualizovat MNews ze starší verze, ale přejete si čistou instalaci bez importu článků, komentářů, uživatelů a šablon, pokračujte prosím <a href="./install.php?step=2"> přidáním nového uživatele </a>.';
  $lang['install_import_instructions_step1'] = 'Adresář "data" ze starší verze MNews si stáhněte k sobě na disk, aby adresář zůstal zálohován.';
  $lang['install_import_instructions_step2'] = 'Na disku adresář přejmenujte (např. na "data_old") a tento adresář překopírujte na FTP do adresáře %dir%.';
  $lang['install_import_instructions_step3'] = 'Klikněte na tlačítko "pokračovat" níže na této stránce. MNews automaticky rozpozná adresář, ve kterém jsou soubory starší verze uložené.';
  $lang['install_import_instructions_step4'] = 'Po ukončení importu budete moci adresář "data_old" smazat (ne však adresář "data ").';
  $lang['install_installation'] = 'Install';
  $lang['install_msg_add_user'] = 'Add user';
  $lang['install_msg_install_done'] = 'Gratuluji! Instalace MNews proběhla úspěšně!';
  $lang['install_msg_update_done'] = 'Gratuluji! Aktualizace MNews proběhla úspěšně!';
  $lang['install_msg_chmod'] = 'Změna oprávnění pro zápis do adresářů';
  $lang['install_text_done'] = 'Nyní prosím smažte soubor "<strong>install.php</strong>" a přejděte na <a href="./">hlavní stránku</a>.';
  $lang['install_update'] = 'Update';


/* ----- Log in --------------------------------------------------------------------------------- */
  $lang['login_administration'] = 'Administration';
  $lang['login_back_to_web'] = 'Back to the website';
  $lang['login_delete_cookies'] = 'Delete cookies';
  $lang['login_login'] = 'Login';
  $lang['login_log_in'] = 'Log in';
  $lang['login_lost_pass'] = 'Lost password?';
  $lang['login_lost_pass_mail_subject'] = 'MNews - new password';
  $lang['login_lost_pass_mail_text'] = 'You have requested to reset your password on the MNews system at %link%. Your new password is:';
  $lang['login_lost_pass_wrong_values'] = 'Entered login and e-mail don\'t match!';
  $lang['login_msg_blocked_ip'] = 'Your IP address is blocked!';
  $lang['login_msg_auto_logged_out'] = 'You\'ve been logged out for inactivity!';
  $lang['login_msg_install_file'] = 'File "install.php" still exist!';
  $lang['login_msg_logged_out'] = 'You\'ve succesfully logged out!';
  $lang['login_msg_login_error'] = 'Incorrect login!';
  $lang['login_msg_regdone'] = 'Registration was successful! You can now log in.';
  $lang['login_msg_pass_sent'] = 'A new password has been send to your e-mail!';
  $lang['login_msg_pass_not_sent'] = 'Failed to send e-mail with a new password!';
  $lang['login_msg_status_0'] = 'Your account has been deactivated';
  $lang['login_msg_status_2'] = 'Your account hasn\'t been activated, yet';
  $lang['login_permanent_login'] = 'Permanent login';
  $lang['login_register'] = 'Register';
  $lang['login_registration'] = 'Registration';
  $lang['login_send_new_pass'] = 'Send a new password';
  $lang['login_send_pass'] = 'Send password';
  $lang['login_text_install_file1'] = 'Please delete the file "<strong>install.php</strong>". Otherwise, you\'ll not be able to log in.';
  $lang['login_text_install_file2'] = 'Then reload this page!';
  $lang['login_user_email'] = 'E-mail';
  $lang['login_user_login'] = 'Login';
  $lang['login_user_password'] = 'Password';
  $lang['login_user_password_verify'] = 'Password verify';


/* ----- Dashboard ------------------------------------------------------------------------------ */
  $lang['index_access_denied'] = 'Access denied';
  $lang['index_access_denied_text'] = 'Nemáte oprávnění k provedení této akce! Nonono! :)';
  $lang['index_comments_approve1'] = 'Máte %n% komentář, který %a%čeká na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_approve2'] = 'Máte %n% komentáře, které %a%čekají na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_approve3'] = 'Máte %n% komentářů, které %a%čekají na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_comments_count'] = 'Comments count';
  $lang['index_comments_new'] = 'New';
  $lang['index_config'] = 'Dashboard settings';
  $lang['index_dashboard'] = 'Dashboard';
  $lang['index_db_save'] = 'Save';
  $lang['index_dont_show_again'] = 'Don\'t show again!';
  $lang['index_help_info_config'] = 'Nezapomeňte si nastavit <em>název</em>, <em>formát</em> a <em>kódování</em> vaší stránky v sekci %config%!';
  $lang['index_check_file_files_php'] = 'Súbor %file% neexistuje. Pre automatickú opravu navštívte sekciu %files%';
  $lang['index_chmod_check_dir'] = 'Adresář %dir% nemá správně nastavena práva pro zápis';
  $lang['index_chmod_check_file'] = 'Soubor %file% nemá správně nastavena práva pro zápis';
  $lang['index_chmod_check_text1'] = 'Některé adresáře nebo soubory nemají správně nastaveny práva pro zápis!';
  $lang['index_chmod_check_text2'] = 'Zápis do těchto adresářů/souborů nebude fungovat správně!';
  $lang['index_info_actuall_version'] = 'Používáte aktuální verzi';
  $lang['index_info_language'] = 'Main language';
  $lang['index_info_mn_check_no'] = 'Věnujte pozornost upozorněním!';
  $lang['index_info_mn_check_ok'] = 'It seems, everything is OK :)';
  $lang['index_info_mnews_version'] = 'MNews version';
  $lang['index_info_new_version'] = 'Na webu je novější verze';
  $lang['index_info_new_version_text'] = 'Aktuálně používáte starou verzi MNews %old%, na webu je však novější stabilní verze MNews s číslem %new%. Stáhněte si proto prosím novou verzi na stránce: %url%.';
  $lang['index_info_php_version'] = 'PHP version';
  $lang['index_info_php_version_ok'] = 'OK';
  $lang['index_info_php_version_warning'] = 'MNews je primárně napsán pro php 5 a vyšší. Některé součásti MNews na nižších verzích nemusí fungovat správně!';
  $lang['index_info_system_check'] = 'System check';
  $lang['index_info_time'] = 'Server time';
  $lang['index_integration_text'] = 'Víc informací naleznete v sekci %integration%.';
  $lang['index_msg_no_comments'] = 'There are no comments';
  $lang['index_msg_no_new_comments'] = 'Od posledního přihlášení nejsou žádné nové komentáře.';
  $lang['index_msg_no_posts'] = 'There are no posts';
  $lang['index_msg_no_rss'] = 'RSS se nepodařilo načíst!';
  $lang['index_posts_approve1'] = 'Máte %n% článek, který %a%čeká na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_approve2'] = 'Máte %n% články, které %a%čekají na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_approve3'] = 'Máte %n% článků, které %a%čekají na schválení%/a%.'; // potreba zachovať premenné %n% %a% %/a%
  $lang['index_posts_count'] = 'Posts count';
  $lang['index_stat_categories'] = 'Categories count';
  $lang['index_stat_comments'] = 'Comments count';
  $lang['index_stat_files'] = 'Uploaded files';
  $lang['index_stat_groups'] = 'User groups count';
  $lang['index_stat_ips'] = 'Blocked IPs';
  $lang['index_stat_pages'] = 'Pages count';
  $lang['index_stat_posts'] = 'Posts count';
  $lang['index_stat_tags'] = 'Tags count';
  $lang['index_stat_users'] = 'Users count';
  $lang['index_welcome'] = 'Welcome';
  $lang['index_widget_comments'] = 'Recent comments';
  $lang['index_widget_info'] = 'MNews info';
  $lang['index_widget_posts'] = 'Recent posts';
  $lang['index_widget_rss'] = 'MNews RSS';
  $lang['index_widget_stats'] = 'Stats';


/* ----- Články --------------------------------------------------------------------------------- */
  $lang['posts_add_new_post'] = 'Add new post';
  $lang['posts_add_post'] = 'Add post';
  $lang['posts_all_authors'] = 'All authors';
  $lang['posts_all_categories'] = 'All categories';
  $lang['posts_all_dates'] = 'All dates';
  $lang['posts_all_posts'] = 'All posts';
  $lang['posts_all_tags'] = 'All tags';
  $lang['posts_all_users'] = 'All users';
  $lang['posts_author_anonym'] = 'Anonym';
  $lang['posts_author'] = 'Author';
  $lang['posts_back_posts_list'] = 'Back to the post';
  $lang['posts_cat'] = 'Category';
  $lang['posts_comments'] = 'Comments';
  $lang['posts_comments_option0'] = 'Disable comments';
  $lang['posts_comments_option1'] = 'Allow comments';
  $lang['posts_comments_option2'] = 'Disable comments and hide previous comments';
  $lang['posts_comments_option_delete'] = 'Delete all comments (This process is irreversible)';
  $lang['posts_date'] = 'Date';
  $lang['posts_data_current'] = 'Actuall date';
  $lang['posts_date_day'] = 'Day';
  $lang['posts_date_hour'] = 'Hour';
  $lang['posts_date_minute'] = 'Minute';
  $lang['posts_date_month'] = 'Month';
  $lang['posts_date_now'] = 'Publish immediately';
  $lang['posts_date_year'] = 'Year';
  $lang['posts_delete_cancel'] = 'Cancel';
  $lang['posts_delete_post'] = 'Delete post';
  $lang['posts_edit_post'] = 'Edit post';
  $lang['posts_filter'] = 'Filter';
  $lang['posts_filter_cancel'] = 'Cancel the filter';
  $lang['posts_filter_settings'] = 'Options';
  $lang['posts_full_story'] = 'Full story';
  $lang['posts_future_post'] = 'Future post';
  $lang['posts_image'] = 'Image';
  $lang['posts_last_posts'] = 'Recent posts';
  $lang['posts_msg_added'] = 'The post has been successfully published!';
  $lang['posts_msg_added_as_draft'] = 'Post has been saved as draft!';
  $lang['posts_msg_added_as_private'] = 'Post has been published as private!';
  $lang['posts_msg_added_as_unapproved'] = 'Post has been added (awaiting approval)!';
  $lang['posts_msg_delete_cancelation'] = 'Zmazanie článku bolo stornované';
  $lang['posts_msg_empty_values'] = 'Required field must not be left blank!';
  $lang['posts_msg_error'] = 'Post file permissions are not set correctly!';
  $lang['posts_msg_no_posts'] = 'There are no posts! There is nothing to edit or delete :)';
  $lang['posts_msg_no_posts_criteria'] = 'There are no posts according to the chosen criteria!';
  $lang['posts_msg_post_approved'] = 'Post has been successfully modified and approved!';
  $lang['posts_msg_post_deleted'] = 'Post has been deleted!';
  $lang['posts_msg_post_edited'] = 'Post has been modified!';
  $lang['posts_msg_post_rejected'] = 'Post has been modified and saved as unapproved!';
  $lang['posts_msg_post_saved'] = 'Post has been modified and saved as a draft!';
  $lang['posts_msg_post_unapproved'] = 'Post has been successfully modified (awaiting approval)!';
  $lang['posts_new_post'] = 'New post';
  $lang['posts_page_first'] = 'First page';
  $lang['posts_page_last'] = 'Last page';
  $lang['posts_page_next'] = 'Next page';
  $lang['posts_page_prev'] = 'Previous page';
  $lang['posts_post'] = 'Post';
  $lang['posts_post_comments'] = 'Comments on post';
  $lang['posts_posts'] = 'Posts';
  $lang['posts_q_really_delete'] = 'Are you sure you want to delete post';
  $lang['posts_select_all'] = 'Select all';
  $lang['posts_select_category'] = 'Select category';
  $lang['posts_settings'] = 'Settings';
  $lang['posts_show_post'] = 'Show post';
  $lang['posts_show_post_web'] = 'Show post on the website';
  $lang['posts_short_story'] = 'Short story (perex)';
  $lang['posts_status'] = 'Status';
  $lang['posts_status_all'] = 'All statuses';
  $lang['posts_status_1'] = 'Published';
  $lang['posts_status_2'] = 'Private';
  $lang['posts_status_3'] = 'Drafts';
  $lang['posts_status_4'] = 'Awaiting approval';
  $lang['posts_status_5'] = 'Disapproved';
  $lang['posts_status_form_1'] = 'Public';
  $lang['posts_status_form_1_help'] = 'After approval by the administrator';
  $lang['posts_status_form_2'] = 'Private post';
  $lang['posts_status_form_2_help'] = 'Not listed in public posts list';
  $lang['posts_status_form_3'] = 'Save as draft';
  $lang['posts_status_form_4'] = 'Pending approval';
  $lang['posts_status_form_4_alt'] = 'Send it to re-approval';
  $lang['posts_status_form_5'] = 'Disapproved';
  $lang['posts_status_name_1'] = 'Published';
  $lang['posts_status_name_2'] = 'Private';
  $lang['posts_status_name_3'] = 'Draft';
  $lang['posts_status_name_4'] = 'Pending approval';
  $lang['posts_status_name_5'] = 'Disapproved';
  $lang['posts_submit_add'] = 'Add';
  $lang['posts_submit_approve'] = 'Approve';
  $lang['posts_submit_publish'] = 'Publish';
  $lang['posts_submit_reject'] = 'Reject';
  $lang['posts_submit_save'] = 'Save changes';
  $lang['posts_title'] = 'Title';
  $lang['posts_toggle_full_story'] = 'Toggle full story';
  $lang['posts_upload_images'] = 'Upload images';
  $lang['posts_wysiwyg_toggle'] = 'Turn editor on/off';


/* ----- Kategorie ------------------------------------------------------------------------------ */
  $lang['cats_add_category'] = 'Add category';
  $lang['cats_categories'] = 'Categories';
  $lang['cats_category'] = 'Category';
  $lang['cats_cat_name'] = 'Category name';
  $lang['cats_delete_cancel'] = 'Cancel';
  $lang['cats_delete_category'] = 'Delete category';
  $lang['cats_edit_category'] = 'Edit category';
  $lang['cats_msg_category_added'] = 'The category was successfully added';
  $lang['cats_msg_category_deleted'] = 'The category was successfully deleted';
  $lang['cats_msg_category_edited'] = 'The category was successfully edited';
  $lang['cats_msg_empty_cat_name'] = 'Category name can not be empty!';
  $lang['cats_msg_posts_number_0'] = 'Category contains no posts!';
  $lang['cats_msg_posts_number_1'] = 'Category contains %n% post!';
  $lang['cats_msg_posts_number_2'] = 'Category contains %n% posts!';
  $lang['cats_msg_posts_number_3'] = 'Category contains %n% posts!';
  $lang['cats_msg_put_contents_error'] = 'Category file permissions are not set correctly!';
  $lang['cats_posts_count'] = 'Number of posts in the category';
  $lang['cats_q_really_delete'] = 'Are you sure you want to delete category';
  $lang['cats_show_cats_list'] = 'Show categories list';
  $lang['cats_uncategorized'] = 'Uncategorized';
  $lang['cats_unknown_category'] = 'Unknown category';


/* ----- Štítky --------------------------------------------------------------------------------- */
  $lang['tags_add_tag'] = 'Add tag';
  $lang['tags_tags'] = 'Tags';
  $lang['tags_tag'] = 'Tag';
  $lang['tags_tag_name'] = 'Tag name';
  $lang['tags_delete_cancel'] = 'Cancel';
  $lang['tags_delete_tag'] = 'Delete tag';
  $lang['tags_edit_tag'] = 'Edit tag';
  $lang['tags_msg_tag_added'] = 'The tag was successfully added!';
  $lang['tags_msg_tag_deleted'] = 'The tag was successfully deleted!';
  $lang['tags_msg_tag_edited'] = 'The tag was successfully edited!';
  $lang['tags_msg_empty_tag_name'] = 'Tag name can not be empty!';
  $lang['tags_msg_posts_number_0'] = 'Tag is not assigned to any post!';
  $lang['tags_msg_posts_number_1'] = 'Tag is assigned to %n% post!';
  $lang['tags_msg_posts_number_2'] = 'Tag is assigned to %n% posts!';
  $lang['tags_msg_posts_number_3'] = 'Tag is assigned to %n% posts!';
  $lang['tags_msg_put_contents_error'] = 'Tags file permissions are not set correctly!';
  $lang['tags_posts_count'] = 'Number of posts with the tag';
  $lang['tags_q_really_delete'] = 'Are you sure you want to delete tag';
  $lang['tags_show_tags_list'] = 'Tags list';
  $lang['tags_unknown_tag'] = 'Unknown tag';


/* ----- Uživatelé ------------------------------------------------------------------------------ */
  $lang['users_about'] = 'About';
  $lang['users_about_help'] = 'About yourself, html not allowed.';
  $lang['users_add_new_user'] = 'Add new user';
  $lang['users_add_user'] = 'Add user';
  $lang['users_admin_info'] = 'Admin info';
  $lang['users_avatar'] = 'Avatar';
  $lang['users_birthdate'] = 'Birthdate';
  $lang['users_change_image'] = 'Change image';
  $lang['users_contact_info'] = 'Contact info';
  $lang['users_delete_image'] = 'Delete image';
  $lang['users_delete_user'] = 'Delete user';
  $lang['users_edit_profile'] = 'Edit profile';
  $lang['users_edit_user'] = 'Edit user';
  $lang['users_email'] = 'E-mail';
  $lang['users_gender'] = 'Gender';
  $lang['users_gender_0'] ='';
  $lang['users_gender_1'] = 'Man';
  $lang['users_gender_2'] = 'woman';
  $lang['users_group'] = 'Group';
  $lang['users_help_email'] = 'Používejte platný e-mail - v případě zapomenutí hesla na něj bude zasláno heslo nové.';
  $lang['users_help_group'] = 'Jednotlivé skupiny mají nastaveny různá práva v administraci.';
  $lang['users_help_pass1'] = 'Heslo musí obsahovat nejméně 6 znaků!';
  $lang['users_help_pass2'] = 'Ověření správnosti hesla proti překlepům.';
  $lang['users_help_username'] = 'Uživatelské jméno musí mít nejméně 4 znaky, maximálně 20 a smí obsahovat pouze alfanumerické znaky, podtržítko a pomlčku!';
  $lang['users_icq'] = 'ICQ';
  $lang['users_jabber'] = 'Jabber/Google Talk';
  $lang['users_last_ip_address'] = 'Last IP';
  $lang['users_last_login'] = 'Last active';
  $lang['users_last_login_never'] = 'Never';
  $lang['users_login_info'] = 'Login info';
  $lang['users_location'] = 'Location';
  $lang['users_msg_already_exists'] = 'Zvolené uživatelské jméno, nebo e-mail se již v databázi nachází!';
  $lang['users_msg_already_exists_short'] = 'Zvolené jméno, nebo e-mail již existuje!';
  $lang['users_msg_email_check'] = 'Zadaný e-mail není platným e-mailem!';
  $lang['users_msg_empty_values'] = 'Jedna z povinných položek není vyplněna!';
  $lang['users_msg_forbidden_chars'] = 'Zvolené jméno obsahuje nepovolený znak!';
  $lang['users_msg_forbidden_string'] = 'Užívatelské jméno nesmí obsahovat "admin"!';
  $lang['users_msg_passwords_not_same'] = 'Zadaná hesla se neshodují.';
  $lang['users_msg_posts_number_0'] = 'Uživatel nenapsal žádný článek!';
  $lang['users_msg_posts_number_1'] = 'Uživatel napsal %n% článek!';
  $lang['users_msg_posts_number_2'] = 'Uživatel napsal %n% články!';
  $lang['users_msg_posts_number_3'] = 'Uživatel napsal %n% článků!';
  $lang['users_msg_profile_edited'] = 'Profil byl úspěšně upraven!';
  $lang['users_msg_put_contents_error'] = 'Práva pro zápis do souboru uživatelů nejsou správně nastaveny!';
  $lang['users_msg_user_added'] = 'Uživatel byl úspěšně přidán!';
  $lang['users_msg_user_edited'] = 'Uživatel byl úspěšně upraven!';
  $lang['users_msg_user_deleted'] = 'Uživatel byl úspěšně vymazán!';
  $lang['users_msg_values_length'] = 'Uživatelské jméno musí obsahovat minimálně 4 znaky, heslo minimálně 6!';
  $lang['users_msg_values_length_short'] = 'Jméno musí obsahovat min 4 znaky, heslo min 6';
  $lang['users_msg_wrong_old_password'] = 'Zadali jste nesprávné staré heslo!';
  $lang['users_msn'] = 'MSN';
  $lang['users_other'] = 'Other';
  $lang['users_other1'] = 'Optional item 1';
  $lang['users_other2'] = 'Optional item 2';
  $lang['users_permanent_login'] = 'Permanent login';
  $lang['users_personal_info'] = 'Personal info';
  $lang['users_personal_and_contact_info'] = 'Personal and contact info';
  $lang['users_posts_count'] = 'Number of posts from user';
  $lang['users_profile'] = 'Profile';
  $lang['users_profile_edit_help'] = 'To change the password, or edit the e-mail address, you must enter your current password.';
  $lang['users_public_email_help'] = 'Public e-mail?!';
  $lang['users_registered'] = 'Registered';
  $lang['users_registered_ip_address'] = 'Registered from IP';
  $lang['users_skype'] = 'Skype';
  $lang['users_status'] = 'Status';
  $lang['users_status_0'] = 'Inactive';
  $lang['users_status_1'] = 'Active';
  $lang['users_status_2'] = 'Awaiting activation';
  $lang['users_info_others'] = 'Others';
  $lang['users_nickname'] = 'First name &amp; Surname';
  $lang['users_password'] = 'Password';
  $lang['users_password_check'] = 'Confirm password';
  $lang['users_password_new'] = 'New password';
  $lang['users_password_old'] = 'Old password';
  $lang['users_q_really_delete'] = 'Are you sure you want to delete user';
  $lang['users_username'] = 'Username';
  $lang['users_user'] = 'User';
  $lang['users_users'] = 'Users';
  $lang['users_website'] = 'Web';


/* ----- Uživatelské skupiny -------------------------------------------------------------------- */
  $lang['groups_add_group'] = 'Add group';
  $lang['groups_add_new_group'] = 'Add new group';
  $lang['groups_default_group_1'] = 'Administrators';
  $lang['groups_default_group_2'] = 'Light adminitrators';
  $lang['groups_default_group_3'] = 'Editors';
  $lang['groups_default_group_4'] = 'External editors';
  $lang['groups_default_group_5'] = 'Registered users';
  $lang['groups_delete_group'] = 'Delete group';
  $lang['groups_edit_group'] = 'Edit group';
  $lang['groups_group'] = 'Group';
  $lang['groups_group_name'] = 'Group name';
  $lang['groups_groups'] = 'Groups';
  $lang['groups_move_users_to_group'] = 'Move user to group';
  $lang['groups_msg_edited'] = 'Group has been successfully edited!';
  $lang['groups_msg_empty_values'] = 'All fields are required!';
  $lang['groups_msg_deleted'] = 'Group has been deleted!';
  $lang['groups_msg_put_contents_error'] = 'Groups file permissions are not set correctly!';
  $lang['groups_perms_0'] = 'No rights';
  $lang['groups_perms_1'] = 'Full rights';
  $lang['groups_perms_2'] = 'Partial rights';
  $lang['groups_perms_3'] = 'Restricted rights';
  $lang['groups_perms_3_dashboard'] = 'Redirection to user profile';
  $lang['groups_perms_help_0'] = 'User can not modify anything in this section';
  $lang['groups_perms_help_1'] = 'Access to all of the features of a given section';
  $lang['groups_perms_help_2'] = 'User will be able to access only his posts, comments below his posts, ...';
  $lang['groups_perms_help_3'] = 'User will be able to access only his posts, publishing posts after approval, ... (even more restricted rights)';
  $lang['groups_perms_section_0'] = 'Dashboard';
  $lang['groups_perms_section_1'] = 'Posts';
  $lang['groups_perms_section_2'] = 'Categories/Tags';
  $lang['groups_perms_section_3'] = 'Comments';
  $lang['groups_perms_section_4'] = 'Pages';
  $lang['groups_perms_section_5'] = 'Files';
  $lang['groups_perms_section_6'] = 'Users';
  $lang['groups_perms_section_7'] = 'Groups';
  $lang['groups_perms_section_8'] = 'Configuration';
  $lang['groups_perms_section_9'] = 'Templates';
  $lang['groups_perms_section_10'] = 'Ban IPs';
  $lang['groups_perms_section_11'] = 'Backup';
  $lang['groups_perms_section_12'] = 'Integration';
  $lang['groups_perms_section_13'] = 'Help (FAQ)';
  $lang['groups_perms_section_14'] = 'Profile';
  $lang['groups_q_really_delete'] = 'Are you sure you want to delete group';


/* ----- Komentáře ------------------------------------------------------------------------------ */
  $lang['comm_add_comment'] = 'Add comment';
  $lang['comm_all_authors'] = 'All registered authors';
  $lang['comm_all_dates'] = 'All data';
  $lang['comm_all_ip_addresses'] = 'All IP addresses';
  $lang['comm_all_posts'] = 'All articles';
  $lang['comm_all_statuses'] = 'All status';
  $lang['comm_antispam'] = 'Spam protection. Please rewrite this numer: %n%';
  $lang['comm_author'] = 'Author';
  $lang['comm_back_to_post'] = 'Back to the article';
  $lang['comm_bulk_approve'] = 'Authorize';
  $lang['comm_bulk_delete'] = 'Delete';
  $lang['comm_bulk_delete_perm'] = 'Delete permanently';
  $lang['comm_bulk_hide'] = 'Hide';
  $lang['comm_bulk_hide_text'] = 'Hide text ';
  $lang['comm_bulk_mark_as_spam'] = 'Mark as a spam';
  $lang['comm_bulk_move_to_trash'] = 'Move to the bin';
  $lang['comm_bulk_reject'] = 'Disapprove';
  $lang['comm_bulk_restore'] = 'Restore';
  $lang['comm_captcha'] = 'Captcha';
  $lang['comm_captcha_help'] = 'Rewrite the words drom the picture';
  $lang['comm_comment_addition'] = 'Add comment';
  $lang['comm_comments'] = 'Comments';
  $lang['comm_delete_comment'] = 'Delete comment';
  $lang['comm_delete_permanently'] = 'Delete permanently';
  $lang['comm_edit_comment'] = 'Edit comment';
  $lang['comm_email'] = 'E-mail';
  $lang['comm_filter_by_ip_address'] = 'Display all comments from IP address';
  $lang['comm_filter_cancel'] = 'Cancel filter';
  $lang['comm_filter_comments_count'] = 'Number of comments';
  $lang['comm_filter_settings'] = 'Options';
  $lang['comm_filter_status0'] = 'Deleted';
  $lang['comm_filter_status1'] = 'Not approved';
  $lang['comm_filter_status2'] = 'Waiting for approve';
  $lang['comm_filter_status3'] = 'Hidden';
  $lang['comm_filter_status4'] = 'Marked as spam';
  $lang['comm_filter_status5'] = 'Not approved';
  $lang['comm_host'] = 'Host';
  $lang['comm_info'] = 'Info';
  $lang['comm_info_approval'] = '<b>Warning:</b> This disscussion is moderated, all comments will be approved by administrator!';
  $lang['comm_ip_address'] = 'IP address';
  $lang['comm_last_comments'] = 'Recent comments';
  $lang['comm_login'] = 'Login';
  $lang['comm_msg_author_name_length'] = 'Name must include at least 3 and at the most 30 characters! ';
  $lang['comm_msg_bulk_status1'] = 'Selected comments were restored!';
  $lang['comm_msg_captcha'] = 'Your comment was analysed as a spam! Rewrite captcha code!';
  $lang['comm_msg_comment_added'] = 'Comment was succesfully added!';
  $lang['comm_msg_comment_deleted'] = 'Comment was succesfully deleted!';
  $lang['comm_msg_comment_edited'] = 'Comment was succesfully edited!';
  $lang['comm_msg_comment_length'] = 'Comment must include at least %n% characters!';
  $lang['comm_msg_empty_values'] = 'One of the neccessary items is not filled!';
  $lang['comm_msg_flood'] = 'Send more comments in short while is not allowed!<br /> Try again later please.';
  $lang['comm_msg_forbidden_author_name'] = 'The name includes not allowed characters!!';
  $lang['comm_msg_login'] = 'To add the comment please log in first!';
  $lang['comm_msg_moved_to_trash'] = 'Comment was removed to the bin!';
  $lang['comm_msg_no_comments'] = 'There are no comments. There is nothing to delete or edit :) ';
  $lang['comm_msg_no_comments_criteria'] = 'For selected criteries tjere are no comments Zvoleným kritériím neodpovídá žádný komentář!';
  $lang['comm_msg_no_comments_trash'] = 'There are no comments in the bin!';
  $lang['comm_msg_password'] = 'This user name is already registered! Fill the password or choose another user name! ';
  $lang['comm_msg_post_id'] = 'Nonono! Do not play with the article´s ID :)';
  $lang['comm_msg_post_no_comments'] = 'There are no comments to this article!';
  $lang['comm_msg_put_contents_error'] = 'The rights for editing the comments file are set up wrong!';
  $lang['comm_msg_selected_comments_deleted'] = 'Selected comments were deleted';
  $lang['comm_msg_spam'] = 'Your comment was analysed as a spam! Rewrite the antispam correctly!';
  $lang['comm_msg_too_short'] = 'Comment is too short!';
  $lang['comm_pass'] = 'Password';
  $lang['comm_post'] = 'Article';
  $lang['comm_preview'] = 'View';
  $lang['comm_preview_button'] = 'View button';
  $lang['comm_process_approve'] = 'Approve';
  $lang['comm_process_reject'] = 'Disapprove';
  $lang['comm_q_really_delete'] = 'Are you sure you want to delete your comment';
  $lang['comm_reply'] = 'Reply';
  $lang['comm_restore'] = 'Restore';
  $lang['comm_selected_comments'] = 'Selected comments';
  $lang['comm_show'] = 'Display';
  $lang['comm_status0'] = 'Deleted';
  $lang['comm_status1'] = 'Approved';
  $lang['comm_status2'] = 'Waiting to approve';
  $lang['comm_status3'] = 'Hidden';
  $lang['comm_status4'] = 'Marked as spam';
  $lang['comm_status5'] = 'Disapproved';
  $lang['comm_text'] = 'Comment text';
  $lang['comm_trash'] = 'Delete';
  $lang['comm_user_agent'] = 'User agent';
  $lang['comm_user_browser'] = 'Browser';
  $lang['comm_www'] = 'Website';


/* ----- Stránky -------------------------------------------------------------------------------- */
  $lang['pages_add_new_page'] = 'Add new page';
  $lang['pages_add_page'] = 'Add page';
  $lang['pages_all_dates'] = 'All data';
  $lang['pages_all_menu_status'] = 'All pages';
  $lang['pages_all_users'] = 'All users';
  $lang['pages_author'] = 'Author';
  $lang['pages_change_pass'] = 'Change password';
  $lang['pages_date'] = 'Date';
  $lang['pages_delete_page'] = 'Delete page';
  $lang['pages_edit_page'] = 'Edit page';
  $lang['pages_filter'] = 'Filter';
  $lang['pages_filter_cancel'] = 'Remove filter';
  $lang['pages_filter_settings'] = 'Options';
  $lang['pages_info'] = 'Info';
  $lang['pages_info_key'] = 'Today´s key';
  $lang['pages_info_key_text'] = 'This page is protected by the password. It can be displayd only after fillinng the right pasword. There is also the possibility to display the contect by the key which you set as a parameter  mn_key= to the url address. This key attend on sending a quick link to somebody you don´t want to say the password and you want to allow his access for today - every midnight the password changes!  URL example:';
  $lang['pages_info_pageview'] = 'Display page';
  $lang['pages_info_pageview_text1'] = 'You can display this page by 2 different ways. The first one is to display the page by filling the params to the url. On the page you put the articles by include you edit the url address following - instead of the param <em>mn_post =</em>use this param <em>mn_page=</em>, add the page´s ID (%id%) ,eg:';
  $lang['pages_info_pageview_text2'] = 'Druhou (složitější) možností je zobrazit stránku pomocí vložení následujícího kódu do stránky, na které chcete stránku natrvalo zobrazit:';
  $lang['pages_menu_invisible'] = 'Nezobrazované v menu';
  $lang['pages_menu_visible'] = 'Zobrazované v menu';
  $lang['pages_msg_empty_values'] = 'Jedna z povinných položek není vyplněna!';
  $lang['pages_msg_no_pages'] = 'Neexistují žádné stránky! Není co mazat či upravovat :)';
  $lang['pages_msg_page_added'] = 'Stránka byla úspěšně přidána!';
  $lang['pages_msg_page_deleted'] = 'Stránka byla úspěšně smazána!';
  $lang['pages_msg_page_edited'] = 'Stránka byla úspěšně upravena!';
  $lang['pages_msg_put_contents_error'] = 'Práva pro zápis do adresáře stránek nejsou správně nastaveny!';
  $lang['pages_order'] = 'Order in menu';
  $lang['pages_page'] = 'Page';
  $lang['pages_pages'] = 'Pages';
  $lang['pages_pass'] = 'Password';
  $lang['pages_password_required'] = 'Page protected by password';
  $lang['pages_protected_page'] = 'To display the contect you need to fill the password!';
  $lang['pages_q_really_delete'] = 'Do you really want to delete the page';
  $lang['pages_reorder_pages'] = 'Order pages';
  $lang['pages_reorder_pages_help'] = 'Pořadí stránek zobrazených v menu uspořádáte systémem drag-and-drop! Stránky jednoduše přesouvejte tažením za ikonku šipek na pravo od názvu stránky na místo, kde chcete aby byla v menu zobrazována. Po skončení stačí toto okno zavřít, pořadí stránek se ukládá průběžně!';
  $lang['pages_settings'] = 'Settings';
  $lang['pages_show_in_menu'] = 'Display in menu';
  $lang['pages_text'] = 'Text';
  $lang['pages_title'] = 'Page name';
  $lang['pages_visible'] = 'Displayed in menu?';


/* ----- Uploads -------------------------------------------------------------------------------- */
  $lang['files_add_file'] = 'Add file';
  $lang['files_add_image'] = 'Add image';
  $lang['files_add_images'] = 'Add images';
  $lang['files_all_dates'] = 'All dates';
  $lang['files_all_dirs'] = 'All directories';
  $lang['files_all_extentions'] = 'All extentions';
  $lang['files_all_galleries'] = 'All galleries';
  $lang['files_all_users'] = 'All users';
  $lang['files_bulk_delete'] = 'Bulk delete';
  $lang['files_buld_add_to_gallery'] = 'Add to gallery';
  $lang['files_date'] = 'Date';
  $lang['files_delete_file'] = 'Delete file';
  $lang['files_delete_image'] = 'Delete image';
  $lang['files_description'] = 'Description';
  $lang['files_dir_images'] = 'Images';
  $lang['files_dir_media'] = 'Media';
  $lang['files_dir_others'] = 'Others';
  $lang['files_directory'] = 'Directory';
  $lang['files_edit_file'] = 'Edit file';
  $lang['files_filename'] = 'Filename';
  $lang['files_files'] = 'Files';
  $lang['files_image'] = 'Image';
  $lang['files_image_gallery'] = 'Image gallery';
  $lang['files_images'] = 'Images';
  $lang['files_max_file_size'] = 'Maximálna povolená veľkosť súboru je';
  $lang['files_msg_empty_filename'] = 'Názov súboru nemôže byť prázdny!';
  $lang['files_msg_file_deleted'] = 'Súbor bol vymazaný!';
  $lang['files_msg_file_edited'] = 'Súbor bol upravený!';
  $lang['files_msg_file_renamed'] = 'Súbor bol premenovaný!';
  $lang['files_msg_file_too_big'] = 'Súbor je príliš veľký, maximálna povolená veľkosť';
  $lang['files_msg_files_indexed'] = 'Súbory boli naindexované!';
  $lang['files_msg_image_deleted'] = 'Image has been deleted!';
  $lang['files_msg_image_renamed'] = 'Obrázok bol premenovaný!';
  $lang['files_msg_no_files'] = 'Neexistujú žiadne súbory! Nie je čo mazať, či upravovať :)';
  $lang['files_msg_upload_successful'] = 'File has been successfully uploaded!';
  $lang['files_msg_wrong_filetype'] = 'Tento typ súboru nie je možné nahrať!';
  $lang['files_msg_wrong_image'] = 'Toto nie je platný obrázok!';
  $lang['files_msg_wrong_permissions'] = 'Práva na zápis do adresára obrázkov nie sú správne nastavené!';
  $lang['files_multiupload'] = 'Multiupload';
  $lang['files_multiupload_start_info'] = 'Pre začatie uploadu, stlačte tlačítko "Nahrať súbory"';
  $lang['files_multiupload_upload_complete'] = 'Upload bol úspešne dokončený!';
  $lang['files_multiupload_upload_progress'] = 'Uploading files...';
  $lang['files_q_really_delete'] = 'Do you really want to delete file';
  $lang['files_quick_upload'] = 'Quick upload';
  $lang['files_size'] = 'Size';
  $lang['files_select_files'] = 'Select files';
  $lang['files_sort_by_ext'] = 'Sorty by extention';
  $lang['files_sort_by_id'] = 'Sort by ID';
  $lang['files_title'] = 'Title';
  $lang['files_upload'] = 'Upload';
  $lang['files_upload_file'] = 'Upload file';
  $lang['files_upload_files'] = 'Upload files';
  $lang['files_upload_image'] = 'Upload image';
  $lang['files_uploader'] = 'Uploader';
  $lang['files_uploads'] = 'Uploads';
  $lang['files_uploaded_images'] = 'Uploaded images';


/* ----- Galerie ------------------------------------------------------------------------------- */
  $lang['galleries_add_gallery'] = 'Add gallery';
  $lang['galleries_galleries'] = 'Galleries';
  $lang['galleries_gallery'] = 'Gallery';
  $lang['galleries_gallery_name'] = 'Gallery name';
  $lang['galleries_delete_cancel'] = 'Cancel';
  $lang['galleries_delete_gallery'] = 'Delete gallery';
  $lang['galleries_edit_gallery'] = 'Edit gallery';
  $lang['galleries_int_code'] = 'Začlenenie galérie do stránok';
  $lang['galleries_int_code_help1'] = 'Tento kód vložte na miesto, kde chcete danú galériu zobraziť. Šablónu výpisu galérie si môžete upraviť v sekcii %templates%.';
  $lang['galleries_int_code_help2'] = 'Galériu môžete na stránke zobraziť aj zmenou url, pridaním parametru&nbsp;?mn_gallery=X, kde X je id galérie. Takže url tejto galérie môže byť napríklad';
  $lang['galleries_msg_gallery_added'] = 'Galéria bola úspešne pridaná!';
  $lang['galleries_msg_gallery_canceled'] = 'Zmazanie galérie bolo stornované';
  $lang['galleries_msg_gallery_deleted'] = 'Galéria bola úspešne vymazaná!';
  $lang['galleries_msg_gallery_edited'] = 'Galéria bol úspešne upravená!';
  $lang['galleries_msg_empty_gallery_name'] = 'Názov galérie nesmie byť prázdny!';
  $lang['galleries_msg_images_no_delete'] = 'Obrázky priradené k tejto galérii <strong>nebudú</strong> zmazané.';
  $lang['galleries_msg_posts_number_0'] = 'Galéria neobsahuje žiaden súbor!';
  $lang['galleries_msg_posts_number_1'] = 'Galéria obsahuje %n% obrázok!';
  $lang['galleries_msg_posts_number_2'] = 'Galéria obsahuje %n% obrázky!';
  $lang['galleries_msg_posts_number_3'] = 'Galéria obsahuje %n% obrázkov!';
  $lang['galleries_msg_put_contents_error'] = 'Nesprávne nastavené práva na zápis do súboru galérii!';
  $lang['galleries_posts_count'] = 'Počet obrázkov v galérii';
  $lang['galleries_q_really_delete'] = 'Naozaj chcete zmazať galériu';
  $lang['galleries_show_galleries_list'] = 'Zobraziť zoznam galérii';
  $lang['galleries_unknown_gallery'] = 'Unknown gallery';


/* ----- Nástroje ------------------------------------------------------------------------------- */
  $lang['tools_backup'] = 'Backup';
  $lang['tools_backup_help'] = 'Pomocí tohoto nástroje vytvoříte zálohu adresáře, kde jsou uloženy všechna data, a v případě nějakých potíží snadno obnovíte.';
  $lang['tools_config'] = 'Config';
  $lang['tools_config_help'] = 'Zde máte možnost upravení široké škály nastavení, které přizpůsobí chování MNews na stránce, ale i v administraci.';
  $lang['tools_help'] = 'Help (FAQ)';
  $lang['tools_help_help'] = 'Pokud jste narazili na nějaký problém, nebo něčemu nerozumíte, podívejte se do nápovědy, která vysvětluje základní pojmy!';
  $lang['tools_integration'] = 'Site integration';
  $lang['tools_integration_help'] = 'Přehledný a jednoduchý formulář Vám pomůže integrovat MNews do stránky přesně tak jak chcete články zobrazovat.';
  $lang['tools_ipban'] = 'IP bans';
  $lang['tools_ipban_help'] = 'Kódy pro snadné vložení menu, archívu a mnoho dalšího do Vašich stránek +';
  $lang['tools_templates'] = 'Templates';
  $lang['tools_templates_help'] = 'Pomocí šablon přizpůsobíte vzhled výpisu MNews. Můžete využít předpřipravené šablony a upravit je, nebo vytvořit vlastní.';
  $lang['tools_tools'] = 'Tools';


/* ----- Nastavení ------------------------------------------------------------------------------ */
  $lang['config_admin_icons'] = 'Show admin icons';
  $lang['config_admin_icons_help'] = 'Možnost vypnout zobrazování pomocných admin ikonek (upravení a smazání článku) při výpisu článků.';
  $lang['config_admin_theme'] = 'Administration theme';
  $lang['config_admin_theme_help'] = 'Možnost výběru různých vzhledů administrace (pokud jsou k dispozici).';
  $lang['config_admin_auto_url'] = 'Automaticky načíst novou URL';
  $lang['config_admin_url'] = 'MNews admin URL';
  $lang['config_admin_url_help'] = 'Zapisujte bez lomítka / na konci. Cesta byla vygenerovaná při instalaci automaticky. V případě, že jste přemístili MNews do jiného adresáře, upravte i tuto cestu. Například: http://example.com/mnews';
  $lang['config_admin_wysiwyg'] = 'Use WYSIWYG editor';
  $lang['config_admin_wysiwyg_help'] = 'Vyberte si či chcete používat WYSIWYG editor při psaní článku';
  $lang['config_comments'] = 'Comments';
  $lang['config_comments_a_all'] = 'Allow';
  $lang['config_comments_a_nobody'] = 'Turn off';
  $lang['config_comments_a_registered'] = 'Only for registered users';
  $lang['config_comments_antiflood'] = 'Antiflood protection';
  $lang['config_comments_antiflood_help'] = 'Čas v sekundách, který musí uplynout mezi odesláním komentářů (zajišťuje ochranu proti hromadnému vkládání příspěvků). 0 = žádná ochrana.';
  $lang['config_comments_antispam'] = 'Antispam number';
  $lang['config_comments_antispam_help'] = 'Vyberte číslo, které zamezí vkládání automatického spamu do komentářů.';
  $lang['config_comments_approval'] = 'Moderate comments';
  $lang['config_comments_approval_help'] = 'Zapne/vypne schvalování komentářů administrátorem před jejich publikováním.';
  $lang['config_comments_help'] = 'Povolení či zakázání komentářů pod jednotlivými články. Komentáře je možné zakázat i pro jednotlivé články při úpravě článku.';
  $lang['config_comments_bb'] = 'Use BB codes';
  $lang['config_comments_bb_buttons'] = 'BB buttons';
  $lang['config_comments_bb_help'] = 'Povolení nebo zakázání používání značkovacích BB kódů v komentářích.';
  $lang['config_comments_captcha'] = 'Use captcha';
  $lang['config_comments_captcha_help'] = 'Povolení či zakázání nutnosti vyplnění Captcha kódu při odesílání komentáře.';
  $lang['config_comments_links_auto'] = 'Automatický převod odkazů';
  $lang['config_comments_links_auto_help'] = 'Všechna slova (odkazy), které v komentáři začínají na http:// nebo ftp:// nebo https:// budou automaticky převedeny na klikatelný odkaz';
  $lang['config_comments_links_target'] = 'Otevírat odkazy do nového okna';
  $lang['config_comments_links_target_help'] = 'Pokud jsou povoleny BB tagy, je možné vkládat odkazy a to tak, zda se dané odkazy mají otevírat do nového okna, nebo do stejného.';
  $lang['config_comments_links_nofollow'] = 'Používat atribut rel="nofollow"';
  $lang['config_comments_links_nofollow_help'] = 'Ke všem externím odkazům v komentářích připojí atribut rel="nofollow"';
  $lang['config_comments_optional_fields'] = 'Optional fields';
  $lang['config_comments_optional_fields_help'] = 'Možnost skrytí volitelných položek ve formuláři pro přidání komentáře.';
  $lang['config_comments_order'] = 'Comments order';
  $lang['config_comments_order_help'] = 'Volba řazení komentářů ve výpisu, zda nahoře mají být nejprve nejstarší, nebo nejnovější komentáře.';
  $lang['config_comments_order_normal'] = 'Od nejstaršího po nejnovější';
  $lang['config_comments_order_reverse'] = 'Od nejnovějšího po nejstarší';
  $lang['config_comments_smiles'] = 'Use smiles';
  $lang['config_comments_smiles_help'] = 'Povolení či zakázání nahrazování textových smajlíků, obrázkovými.';
  $lang['config_config'] = 'Config';
  $lang['config_language'] = 'Main language';
  $lang['config_language_help'] = 'Volba základního jazyka administrace, který je nastaven jako výchozí.';
  $lang['config_msg_put_contents_error'] = 'Práva pro zápis do souboru nastavení nejsou nastaveny správně!';
  $lang['config_msg_saved'] = 'Nastavení bylo úspěšně uloženo';
  $lang['config_save'] = 'Save';
  $lang['config_seconds'] = 'seconds';
  $lang['config_tab_1'] = 'Administration';
  $lang['config_tab_2'] = 'Page';
  $lang['config_tab_3'] = 'Posts';
  $lang['config_tab_4'] = 'Comments';
  $lang['config_tab_5'] = 'Users';
  $lang['config_time_adj'] = 'Time adjust';
  $lang['config_time_adj_help'] = 'Posune čas na serveru o celé hodiny dopředu nebo dozadu. Aktuální čas na serveru:';
  $lang['config_users_avatar_size'] = 'Avatar size';
  $lang['config_users_avatar_size_help'] = 'Zadajte rozmery avataru, ktorý si môžu užívatelia nahrať k svojmu profilu. Obmedzená tak bude maximálna šírka, či výška avataru. Veľkosť zadávajte v pixeloch.';
  $lang['config_users_avatar_size_standard'] = 'standard';
  $lang['config_users_avatar_size_small'] = 'small avatar';
  $lang['config_users_avatar_size_mini'] = 'mini avatar';
  $lang['config_users_default_group'] = 'Default user group';
  $lang['config_users_default_group_help'] = 'Určuje do které skupiny bude uživatel zařazen při automatické registraci (pokud je povolena).';
  $lang['config_users_perm_login'] = 'Allow permanent login';
  $lang['config_users_perm_login_help'] = 'Umožní uživatelům tzv. trvalé přihlášení. Pokud se neodhlásíte, jen zavřete prohlížeč, MNews si vaše přihlášení zapamatuje i příště';
  $lang['config_users_registration'] = 'Users registration';
  $lang['config_users_registration_help'] = 'Uživatelé se budou moci automaticky zaregistrovat a upravovat svůj profil (pokud to mají povoleno).';
  $lang['config_web_counter'] = 'Read counter';
  $lang['config_web_counter_help'] = 'Možnost vypnout započítávání čtenosti jednotlivých článků. Platí pouze pro dlouhé verze článků.';
  $lang['config_web_encoding'] = 'Page encoding';
  $lang['config_web_encoding_help'] = 'Vyberte příslušné kódování, které používáte na svých stránkách.';
  $lang['config_web_format'] = 'Page format';
  $lang['config_web_format_help'] = 'Nastavení, zda stránka používá jako značkovací jazyk XHTML, nebo HTML.';
  $lang['config_web_pagination'] = 'Zobrazovat stránkování';
  $lang['config_web_pagination_help'] = 'Možnost vypnout zobrazení stránkování dole pod výpisem článků.';
  $lang['config_web_posts_count'] = 'Počet zobrazovaných článků';
  $lang['config_web_posts_count_help'] = 'Kolik článků se má zobrazovat ve výpisu ...';
  $lang['config_web_powered_by'] = 'Show "Powered by ..."';
  $lang['config_web_powered_by_help'] = 'Možnost skrytí reklamního řádku na konci výpisu článků.';
  $lang['config_web_title'] = 'Page title';
  $lang['config_web_title_help'] = 'Název Vaší stránky. Tento název bude použit jako nadpis v RSS, tak případně i na hlavní stránce.';
  $lang['config_web_url'] = 'Base URL';
  $lang['config_web_url_help'] = 'URL adresa, která se použije pro vytvoření odkazů (budou na ni směřovat odkazy na detail článku, stránkování, ...). Pokud je ponechána prázdná, vytvoří se automaticky.';


/* ----- Šablony -------------------------------------------------------------------------------- */
  $lang['tmpl_add_template'] = 'Add template';
  $lang['tmpl_continue'] = 'Continue';
  $lang['tmpl_delete_template'] = 'Delete template';
  $lang['tmpl_edit_template'] = 'Edit template';
  $lang['tmpl_file_name'] = 'File name';
  $lang['tmpl_link_edit_tmpls'] = 'Back to the list of templates';
  $lang['tmpl_msg_deleted'] = 'Template has been successfully deleted!';
  $lang['tmpl_msg_edited'] = 'Template %tmpl% has been modified.';
  $lang['tmpl_msg_empty_tmpl_name'] = 'Template name can not be empty!';
  $lang['tmpl_msg_empty_values'] = 'All fields are required!';
  $lang['tmpl_msg_put_contents_error'] = 'Template directory permissions are not set correctly!';
  $lang['tmpl_msg_tmpl_exists'] = 'Template with such name already exists!';
  $lang['tmpl_msg_tmpl_group_empty'] = 'Template group name can not be empty!';
  $lang['tmpl_msg_tmpl_group_exists'] = 'Template group with such name already exists!!';
  $lang['tmpl_q_really_delete'] = 'Are you sure you want to delete template';
  $lang['tmpl_select_tmpl_group'] = 'Select template group';
  $lang['tmpl_step'] = 'Step';
  $lang['tmpl_templates'] = 'Templates';
  $lang['tmpl_tmpl_group'] = 'Template group';
  $lang['tmpl_tmpl_group_exists'] = 'Existing group';
  $lang['tmpl_tmpl_group_new'] = 'New group';
  $lang['tmpl_tmpl_name'] = 'Template name';
  $lang['tmpl_tmpl_name_1'] = 'Posts';
  $lang['tmpl_tmpl_name_2'] = 'Categories';
  $lang['tmpl_tmpl_name_3'] = 'Archive';
  $lang['tmpl_tmpl_name_4'] = 'Search';
  $lang['tmpl_tmpl_name_5'] = 'By author';
  $lang['tmpl_tmpl_name_10'] = 'Post detail';
  $lang['tmpl_tmpl_name_11'] = 'Page';
  $lang['tmpl_tmpl_name_12'] = 'Comments';
  $lang['tmpl_tmpl_name_13'] = 'User profile';
  $lang['tmpl_tmpl_name_14'] = 'RSS';
  $lang['tmpl_tmpl_name_15'] = 'Pagination';
  $lang['tmpl_tmpl_type'] = 'Template type';
  $lang['tmpl_tmpl_type_1'] = 'Posts <span class="trivial">(main listing)</span>';
  $lang['tmpl_tmpl_type_2'] = 'Posts <span class="trivial">(cateogies)</span>';
  $lang['tmpl_tmpl_type_3'] = 'Posts <span class="trivial">(archive)</span>';
  $lang['tmpl_tmpl_type_4'] = 'Posts <span class="trivial">(search)</span>';
  $lang['tmpl_tmpl_type_5'] = 'Posts <span class="trivial">(by author)</span>';
  $lang['tmpl_tmpl_type_10'] = 'Post detail';
  $lang['tmpl_tmpl_type_11'] = 'Page';
  $lang['tmpl_tmpl_type_12'] = 'Comments';
  $lang['tmpl_tmpl_type_13'] = 'User profile';
  $lang['tmpl_tmpl_type_14'] = 'RSS';
  $lang['tmpl_tmpl_type_15'] = 'Pagination';
  $lang['tmpl_var_author'] = 'Author (link to his profile)';
  $lang['tmpl_var_author_email'] = 'Author e-mail';
  $lang['tmpl_var_author_id'] = 'Author ID';
  $lang['tmpl_var_author_name'] = 'Author name';
  $lang['tmpl_var_comment_author'] = 'Author name';
  $lang['tmpl_var_comment_email'] = 'Author e-mail with an optional link text';
  $lang['tmpl_var_comment_id'] = 'Comment ID';
  $lang['tmpl_var_comment_ip_address'] = 'Author IP address';
  $lang['tmpl_var_comment_num'] = 'Comment number';
  $lang['tmpl_var_comment_text'] = 'Comment text';
  $lang['tmpl_var_comment_www'] = 'Author\'s web with an optional link text';
  $lang['tmpl_var_date'] = 'Publish date';
  $lang['tmpl_var_date_day'] = 'Publish day (number)';
  $lang['tmpl_var_date_day_abbr'] = 'Publish day (abbreviation)';
  $lang['tmpl_var_date_month'] = 'Publish month (number)';
  $lang['tmpl_var_date_month_abbr'] = 'Publish month (abbreviation)';
  $lang['tmpl_var_date_us'] = 'Publish date (american format)';
  $lang['tmpl_var_date_year'] = 'Publish year';
  $lang['tmpl_var_page_id'] = 'Page ID';
  $lang['tmpl_var_page_text'] = 'Page text (content)';
  $lang['tmpl_var_page_title'] = 'Page title';
  $lang['tmpl_var_pages_next'] = 'link to next page';
  $lang['tmpl_var_pages_pages'] = 'pagination, number of pages';
  $lang['tmpl_var_pages_previous'] = 'link to previous page';
  $lang['tmpl_var_post_comments'] = 'Number of comments';
  $lang['tmpl_var_post_category'] = 'Post category (if exists)';
  $lang['tmpl_var_post_category_id'] = 'Post category id (if exists)';
  $lang['tmpl_var_post_category_name'] = 'Post category name (if exists)';
  $lang['tmpl_var_post_id'] = 'Post ID';
  $lang['tmpl_var_post_link'] = 'Odkaz na celý článek (pokud existuje) s výchozím textem "celý článek"';
  $lang['tmpl_var_post_link_bb'] = 'Odkaz na celý článek (pokud existuje) s volitelným textem odkazu';
  $lang['tmpl_var_post_link_perm'] = 'Permanent link';
  $lang['tmpl_var_post_tag_names'] = 'Tag names list (without hyperlink, separated by commas)';
  $lang['tmpl_var_post_tags'] = 'Tag list (separated by commas)';
  $lang['tmpl_var_post_text'] = 'Short story (perex)';
  $lang['tmpl_var_post_text_full'] = 'Full story (including perex)';
  $lang['tmpl_var_post_title'] = 'Post title';
  $lang['tmpl_var_post_title_plain'] = 'Post title (only text, never as a link to post detail)';
  $lang['tmpl_var_post_views'] = 'Number of post views';
  $lang['tmpl_var_rss_link'] = 'Permanent link';
  $lang['tmpl_var_rss_pubdate'] = 'Date modified for use in RSS template as pubDate';
  $lang['tmpl_var_time'] = 'Time';
  $lang['tmpl_var_time_ampm'] = 'The 12-hour time format for morning (am) and afternoon (pm)';
  $lang['tmpl_var_time_hour'] = 'Hour (24-hour time format)';
  $lang['tmpl_var_time_hour_us'] = 'Hour (12-hour time format)';
  $lang['tmpl_var_time_minute'] = 'Minute';
  $lang['tmpl_var_time_us'] = 'US time format';
  $lang['tmpl_var_timestamp'] = 'Unix time format (timestamp)';
  $lang['tmpl_var_user_about'] = 'About';
  $lang['tmpl_var_user_avatar'] = 'Avatar';
  $lang['tmpl_var_user_birthday'] = 'Birthday';
  $lang['tmpl_var_user_email'] = 'E-mail';
  $lang['tmpl_var_user_gender'] = 'Gender';
  $lang['tmpl_var_user_group'] = 'User group';
  $lang['tmpl_var_user_icq'] = 'ICQ';
  $lang['tmpl_var_user_id'] = 'User ID';
  $lang['tmpl_var_user_jabber'] = 'Jabber/Google Talk';
  $lang['tmpl_var_user_location'] = 'Location';
  $lang['tmpl_var_user_msn'] = 'MSN';
  $lang['tmpl_var_user_nickname'] = 'Nickname';
  $lang['tmpl_var_user_other1'] = 'Optional item 1';
  $lang['tmpl_var_user_other2'] = 'Optional item 2';
  $lang['tmpl_var_user_skype'] = 'Skype';
  $lang['tmpl_var_user_username'] = 'Username';
  $lang['tmpl_var_user_www'] = 'User web';
  $lang['tmpl_vars_example'] = 'Example';
  $lang['tmpl_vars_more_variables'] = 'More';


/* ----- Zálohování ----------------------------------------------------------------------------- */
  $lang['backup_backup'] = 'Backup';
  $lang['backup_disclaimer'] = 'Disclaimer';
  $lang['backup_disclaimer_text'] = 'Nástroj zálohování je zatím experimentální - nemusí fungovat správně na každém hostingu. Proto v případě vypsání chybové hlášky udělejte zálohu ručně a to tak, že si zkopírujete celý adresář "data" k vám na disk. Každopádně v případě chybové hlášky budu rád, pokud danou chybovou hlášku napíšete na <a href = "http://forum.mnewscms.com/">MNews fórum</a> a zároveň popíšete jaký hosting používáte ...';
  $lang['backup_last_backup'] = 'Last backup';
  $lang['backup_last_backup_day'] = 'Poslední záloha proběhla necelý den dozadu. Tak často opravdu není třeba zálohovat!';
  $lang['backup_last_backup_lta'] = 'Uf! Už ani nepamatuji kdy jsme naposledy dělali zálohu. Tak šup šup do toho ...';// lta = long time ago
  $lang['backup_last_backup_month'] = 'Poslední záloha proběhla již více než před týdnem. Nová záloha by se hodila!';
  $lang['backup_last_backup_never'] = 'Jejda! Ještě neproběhla žádná záloha! Tak šup šup do toho ...';
  $lang['backup_last_backup_week'] = 'Poslední záloha proběhla pár dní dozadu. Tak často není třeba zálohovat!';
  $lang['backup_msg_backup_done'] = 'Záloha proběhla úspěšně! Níže si můžete aktuální zálohu stáhnout!';
  $lang['backup_msg_not_supported'] = 'Tato funkce není na Vašem hostingu podporována!';
  $lang['backup_not_supported_text'] = 'Bohužel, na Vašem hostingu není nainstalována třída pro práci se zip soubory <a href="http://php.net/manual/en/class.ziparchive.php">ZipArchive()</ a>. Požádejte administrátora svého hostingu, aby rozšíření do php doinstaloval.';
  $lang['backup_submit'] = 'Run backup';


/* ----- Blokování IP adres --------------------------------------------------------------------- */
  $lang['ban_add_ip_address'] = 'Add IP';
  $lang['ban_ban_ip_address'] = 'Ban IP';
  $lang['ban_ban_ips'] = 'Ban IPs';
  $lang['ban_ban_ips_help'] = 'To specify several different IPs enter each on a new line.';
  $lang['ban_msg_already_banned_ip'] = 'This IP is already banned';
  $lang['ban_msg_banned_ips_saved'] = 'The list of banned IPs has been modified!';
  $lang['ban_msg_ip_address_banned'] = 'IP %ip% has been banned.';
  $lang['ban_msg_not_valid_ip'] = 'This is not correct IP!';
  $lang['ban_msg_own_ip'] = 'You can not ban your own IP :)';
  $lang['ban_submit'] = 'Submit';


/* ----- Začlenění do stránek ------------------------------------------------------------------- */
  $lang['int_code_archive'] = 'Automaticky generovaný archiv';
  $lang['int_code_archive_help'] = 'Kód vložte do stránky na místo, kde chcete generovat automatické menu. Vygeneruje archivy po měsících v nečíslovaném seznamu s class="mn-archive". Možnosti přizpůsobení vzhledu výpisu novinek si upravíte v sekci %templates%.';
  $lang['int_code_main'] = 'Kód pro vložení článků do stránky';
  $lang['int_code_main_help'] = 'Kód vložte do stránky na místo, kde chcete zobrazovat novinky (stránka musí mít příponu .php). Možnosti přizpůsobení vzhledu výpisu novinek si upravíte v sekci %templates%.';
  $lang['int_code_menu'] = 'Automaticky generované menu kategorií';
  $lang['int_code_menu_help'] = 'Kód vložte do stránky na místo, kde chcete generovat automatické menu. Vygeneruje se menu z kategorií v nečíslovaném seznamu s class="mn-menu"';
  $lang['int_code_pagemenu'] = 'Automaticky generované menu stránek';
  $lang['int_code_pagemenu_help'] = 'Kód vložte do stránky na místo, kde chcete automaticky generovat menu stránek. Vygeneruje se menu ze statických stránek v nečíslovaném seznamu s class="mn-menu" a id="mn-page-menu"';
  $lang['int_code_rss'] = 'RSS';
  $lang['int_code_rss_help'] = 'Tento kód vkládejte do prázdného souboru na stránce, například do prázdného rss.php, na který budete potom odkazovat. Proměnnou $mn_url si upravte podle toho, kde přesně novinky zobrazujete (defaultně je nastavena na index).';
  $lang['int_code_search'] = 'Vyhledávací formulář';
  $lang['int_code_search_help'] = 'Kód vložte do stránky na místo, kde chcete zobrazit formulář pro vyhledávání. Proměnnou $mn_url si upravte podle toho, kde přesně novinky zobrazujete (defaultně je nastavena podle nastavení MNews).';
  $lang['int_integration'] = 'Začlenění do stránek';


/* ----- Průvodce začleněním článků (Wizard) ---------------------------------------------------- */
  $lang['wiz_author'] = 'Posts author';
  $lang['wiz_author_all'] = 'Zobrazovat články od všech autorů';
  $lang['wiz_author_help'] = 'Možnost zvolení konkrétního autora, od kterého se články budou zobrazovat.';
  $lang['wiz_categories'] = 'Posts categories';
  $lang['wiz_categories_empty'] = 'Neexistují žádné kategorie.';
  $lang['wiz_categories_help'] = 'Výběr určitých kategorií, z kterých se budou články zobrazovat. Pokud nezvolíte ani jednu kategorii, budou se vypisovat články ze všech kategorií.';
  $lang['wiz_generate'] = 'Generate';
  $lang['wiz_generated_code'] = 'Generated code';
  $lang['wiz_generated_code_help'] = 'Pro zobrazení článků podle Vámi zvolených kritérií vložte tento kód do Vašich stránek (s koncovkou *.php) na místo, kde chcete články zobrazovat!';
  $lang['wiz_pagination'] = 'Show pagination';
  $lang['wiz_pagination_help'] = 'Možnost vypnout zobrazení stránkování pod výpisem článků (dole). Pokud nezvolíte jednu možnost, použije se předvolená hodnota z nastavení.';
  $lang['wiz_posts_count'] = 'Počet zobrazovaných článků';
  $lang['wiz_posts_count_help'] = 'Počet článků, které se májí zobrazovat ve výpisu. Pokud zůstane pole prázdné, použije se předvolená hodnota z nastavení.';
  $lang['wiz_template'] = 'Template';
  $lang['wiz_template_default'] = 'Default template';
  $lang['wiz_template_help'] = 'Možnost výběru skupiny šablon, z které se šablony budou používat ve výpisu článků.';
  $lang['wiz_wizard'] = 'Wizard';
  $lang['wiz_wizard_help'] = 'Tento průvodce Vám umožní vygenerovat kód pro začlenění článků do stránek podle Vámi zadaných kritérií. Pokud chcete do stránek vložit menu, archív, nebo vyhledávací formulář, navštivte sekci';



  ##### Je to fajn, fajn, fajn, fajnovy... #########################################################
  ##### http://youtu.be/7J7AGC3Aixk ##########################################################

?>